-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: 25-Nov-2015 às 14:46
-- Versão do servidor: 5.6.17
-- PHP Version: 5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `tcc`
--

-- --------------------------------------------------------

--
-- Estrutura da tabela `arquivo`
--

CREATE TABLE IF NOT EXISTS `arquivo` (
  `arq_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `arq_titulo` varchar(150) DEFAULT NULL,
  `arq_descricao` varchar(500) DEFAULT NULL,
  `arq_url` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`arq_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `arquivo_turma`
--

CREATE TABLE IF NOT EXISTS `arquivo_turma` (
  `at` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `arq_id` int(10) unsigned NOT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`at`),
  KEY `arq_id_idx` (`arq_id`),
  KEY `tur_id_idx` (`tur_id`),
  KEY `fk_arquivo_turma_materia1_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao`
--

CREATE TABLE IF NOT EXISTS `avaliacao` (
  `ava_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ava_aplicacao` int(10) unsigned NOT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  `ava_dataAplicacao` date DEFAULT NULL,
  `ava_dataLimiteCadastroQuestoes` date DEFAULT NULL,
  `ava_dataLimiteCadastroNotas` date DEFAULT NULL,
  `ava_status` tinyint(1) DEFAULT NULL,
  `ava_bimestre` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`ava_id`),
  KEY `tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao_gabarito`
--

CREATE TABLE IF NOT EXISTS `avaliacao_gabarito` (
  `gab_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_matricula` int(6) unsigned NOT NULL,
  `ava_id` int(10) unsigned NOT NULL,
  `gab_prova` text,
  `gab_respostaOficial` text,
  `gab_respostaAluno` varchar(90) DEFAULT NULL,
  PRIMARY KEY (`gab_id`),
  KEY `ava_id_idx` (`ava_id`),
  KEY `ag_usu_id_idx` (`usu_matricula`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao_questao`
--

CREATE TABLE IF NOT EXISTS `avaliacao_questao` (
  `aq_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ava_id` int(10) unsigned NOT NULL,
  `que_id` int(10) unsigned DEFAULT NULL,
  `aq_discursiva` tinyint(1) DEFAULT NULL,
  `aq_anulada` tinyint(1) DEFAULT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`aq_id`),
  KEY `ava_id_idx` (`ava_id`),
  KEY `aq_mat_id_idx` (`mat_id`),
  KEY `aq_que_id_idx` (`que_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao_seg_chamada`
--

CREATE TABLE IF NOT EXISTS `avaliacao_seg_chamada` (
  `seg_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_id` int(10) unsigned NOT NULL,
  `seg_bimestre` tinyint(1) NOT NULL,
  PRIMARY KEY (`seg_id`),
  KEY `avaSeg_usu_id_idx` (`usu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `aviso`
--

CREATE TABLE IF NOT EXISTS `aviso` (
  `avi_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `avi_dataVisibilidade` date DEFAULT NULL,
  `avi_titulo` varchar(250) DEFAULT NULL,
  `avi_aviso` varchar(5000) DEFAULT NULL,
  PRIMARY KEY (`avi_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `aviso_turma`
--

CREATE TABLE IF NOT EXISTS `aviso_turma` (
  `at` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `avi_id` int(10) unsigned NOT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`at`),
  KEY `avi_id_idx` (`avi_id`),
  KEY `tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `configuracao`
--

CREATE TABLE IF NOT EXISTS `configuracao` (
  `con_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `con_1b_inicio` date DEFAULT NULL,
  `con_1b_final` date DEFAULT NULL,
  `con_2b_inicio` date DEFAULT NULL,
  `con_2b_final` date DEFAULT NULL,
  `con_3b_inicio` date DEFAULT NULL,
  `con_3b_final` date DEFAULT NULL,
  `con_4b_inicio` date DEFAULT NULL,
  `con_4b_final` date DEFAULT NULL,
  `con_1b_envioConvocacaoRecuperacao` date DEFAULT NULL,
  `con_2b_envioConvocacaoRecuperacao` date DEFAULT NULL,
  `con_3b_envioConvocacaoRecuperacao` date DEFAULT NULL,
  `con_4b_envioConvocacaoRecuperacao` date DEFAULT NULL,
  `con_1b_limiteSolicitacaoSegChamada` date DEFAULT NULL,
  `con_2b_limiteSolicitacaoSegChamada` date DEFAULT NULL,
  `con_3b_limiteSolicitacaoSegChamada` date DEFAULT NULL,
  `con_4b_limiteSolicitacaoSegChamada` date DEFAULT NULL,
  PRIMARY KEY (`con_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Extraindo dados da tabela `configuracao`
--

INSERT INTO `configuracao` (`con_id`, `con_1b_inicio`, `con_1b_final`, `con_2b_inicio`, `con_2b_final`, `con_3b_inicio`, `con_3b_final`, `con_4b_inicio`, `con_4b_final`, `con_1b_envioConvocacaoRecuperacao`, `con_2b_envioConvocacaoRecuperacao`, `con_3b_envioConvocacaoRecuperacao`, `con_4b_envioConvocacaoRecuperacao`, `con_1b_limiteSolicitacaoSegChamada`, `con_2b_limiteSolicitacaoSegChamada`, `con_3b_limiteSolicitacaoSegChamada`, `con_4b_limiteSolicitacaoSegChamada`) VALUES
(1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Estrutura da tabela `fase_escolar`
--

CREATE TABLE IF NOT EXISTS `fase_escolar` (
  `fas_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fas_nome` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`fas_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `fase_escolar_materia`
--

CREATE TABLE IF NOT EXISTS `fase_escolar_materia` (
  `fm_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fas_id` int(10) unsigned NOT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`fm_id`),
  KEY `fas_id_idx` (`fas_id`),
  KEY `mat_id_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `lancamento`
--

CREATE TABLE IF NOT EXISTS `lancamento` (
  `lan_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lan_nome` varchar(125) DEFAULT NULL,
  `lan_datalimite` date DEFAULT NULL,
  `mat_id` int(10) unsigned DEFAULT NULL,
  `lan_bimestre` int(1) DEFAULT NULL,
  `lancamentocol` varchar(45) DEFAULT NULL,
  `tur_id` int(10) unsigned DEFAULT NULL,
  `ava_id` int(11) DEFAULT NULL,
  `lan_discursiva` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`lan_id`),
  KEY `lan_mat_id_idx` (`mat_id`),
  KEY `lan_tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `lista_exercicio`
--

CREATE TABLE IF NOT EXISTS `lista_exercicio` (
  `lis_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lis_numero` int(3) unsigned NOT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  `lis_bimestre` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`lis_id`,`lis_numero`),
  KEY `tur_id_idx` (`tur_id`),
  KEY `mat_ID_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `lista_exercicio_entregue`
--

CREATE TABLE IF NOT EXISTS `lista_exercicio_entregue` (
  `ent_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lis_id` int(3) unsigned NOT NULL,
  `usu_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`ent_id`),
  KEY `le_usu_id_idx` (`usu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `materia`
--

CREATE TABLE IF NOT EXISTS `materia` (
  `mat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mat_nome` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `nota`
--

CREATE TABLE IF NOT EXISTS `nota` (
  `not_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_id` int(10) unsigned NOT NULL,
  `ava_id` int(10) unsigned DEFAULT NULL,
  `lan_id` int(10) unsigned DEFAULT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  `not_bimestre` tinyint(1) DEFAULT NULL,
  `not_nota` double DEFAULT NULL,
  PRIMARY KEY (`not_id`),
  KEY `ava_id_idx` (`ava_id`),
  KEY `mat_id_idx` (`mat_id`),
  KEY `not_usu_id_idx` (`usu_id`),
  KEY `not_lan_id_idx` (`lan_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `planejamento_semanal`
--

CREATE TABLE IF NOT EXISTS `planejamento_semanal` (
  `pla_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tur_id` int(10) unsigned NOT NULL,
  `pla_descricao` varchar(75) DEFAULT NULL,
  `pla_bimestre` tinyint(1) DEFAULT NULL,
  `pla_dataInicioSemana` date DEFAULT NULL,
  `pla_dataFinalSemana` date DEFAULT NULL,
  `pla_url` varchar(550) DEFAULT NULL,
  PRIMARY KEY (`pla_id`),
  KEY `tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `pontuacao_extra`
--

CREATE TABLE IF NOT EXISTS `pontuacao_extra` (
  `pon_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pon_nome` varchar(50) DEFAULT NULL,
  `pon_bimestre` tinyint(1) DEFAULT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`pon_id`),
  KEY `tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `pontuacao_extra_aluno`
--

CREATE TABLE IF NOT EXISTS `pontuacao_extra_aluno` (
  `pa_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_id` int(10) unsigned NOT NULL,
  `pon_id` int(10) unsigned NOT NULL,
  `pa_bimestre` tinyint(1) DEFAULT NULL,
  `pa_nota` double DEFAULT NULL,
  PRIMARY KEY (`pa_id`),
  KEY `pon_id_idx` (`pon_id`),
  KEY `pa_usu_id_idx` (`usu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `ppd`
--

CREATE TABLE IF NOT EXISTS `ppd` (
  `ppd_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ppd_dataEntrega` date DEFAULT NULL,
  `ppd_dataLimiteCadastroQuestoes` date DEFAULT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  `ppd_status` tinyint(1) DEFAULT NULL,
  `ppd_bimestre` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`ppd_id`),
  KEY `tur_id_idx` (`tur_id`),
  KEY `mat_id_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `ppd_questao`
--

CREATE TABLE IF NOT EXISTS `ppd_questao` (
  `pq_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ppd_id` int(10) unsigned NOT NULL,
  `que_id` int(10) unsigned DEFAULT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`pq_id`),
  KEY `ppd_id_idx` (`ppd_id`),
  KEY `que_id_idx` (`que_id`),
  KEY `pq_mat_id_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `professor_turma`
--

CREATE TABLE IF NOT EXISTS `professor_turma` (
  `pt_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_id` int(10) unsigned NOT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`pt_id`),
  KEY `tur_id_idx` (`tur_id`),
  KEY `mat_id_idx` (`mat_id`),
  KEY `usu_id_idx` (`usu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `questao`
--

CREATE TABLE IF NOT EXISTS `questao` (
  `que_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mat_id` int(10) unsigned NOT NULL,
  `que_discursiva` tinyint(1) DEFAULT NULL,
  `que_enunciado1` mediumtext,
  `que_enunciado2` mediumtext,
  `que_imagem` varchar(500) DEFAULT NULL,
  `que_linhas` tinyint(2) DEFAULT NULL,
  PRIMARY KEY (`que_id`),
  KEY `mat_id_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `questao_alternativa`
--

CREATE TABLE IF NOT EXISTS `questao_alternativa` (
  `alt_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `que_id` int(10) unsigned NOT NULL,
  `alt_descricao` text,
  `alt_correta` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`alt_id`),
  KEY `que_id_idx` (`que_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `simulado`
--

CREATE TABLE IF NOT EXISTS `simulado` (
  `sim_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tur_id` int(10) unsigned NOT NULL,
  `sim_dataAplicacao` date DEFAULT NULL,
  `sim_dataLimiteCadastroQuestoes` date DEFAULT NULL,
  `sim_dataLimiteRealizacao` date DEFAULT NULL,
  `sim_bimestre` tinyint(1) DEFAULT NULL,
  `sim_status` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`sim_id`),
  KEY `tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `simulado_gabarito`
--

CREATE TABLE IF NOT EXISTS `simulado_gabarito` (
  `gab_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_id` int(10) unsigned NOT NULL,
  `sim_id` int(10) unsigned NOT NULL,
  `gab_ordenacaoMaterias` tinyint(1) DEFAULT NULL,
  `gab_ordenacaoQuestoes` tinyint(1) DEFAULT NULL,
  `gab_respostaOficial` varchar(150) DEFAULT NULL,
  `gab_respostaAluno` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`gab_id`),
  KEY `sim_id_idx` (`sim_id`),
  KEY `gab_usu_id_idx` (`usu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `simulado_questao`
--

CREATE TABLE IF NOT EXISTS `simulado_questao` (
  `sq_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sim_id` int(10) unsigned NOT NULL,
  `que_id` int(10) unsigned DEFAULT NULL,
  `sq_anulada` tinyint(1) DEFAULT NULL,
  `mat_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`sq_id`),
  KEY `sim_id_idx` (`sim_id`),
  KEY `que_id_idx` (`que_id`),
  KEY `sq_mat_id_idx` (`mat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `turma`
--

CREATE TABLE IF NOT EXISTS `turma` (
  `tur_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fas_id` int(10) unsigned NOT NULL,
  `tur_nome` varchar(1) DEFAULT NULL,
  `tur_horario` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`tur_id`),
  KEY `fas_id_idx` (`fas_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estrutura da tabela `usuario`
--

CREATE TABLE IF NOT EXISTS `usuario` (
  `usu_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_nome` varchar(75) DEFAULT NULL,
  `usu_matricula` varchar(6) NOT NULL,
  `usu_login` varchar(12) DEFAULT NULL,
  `usu_senha` varchar(32) DEFAULT NULL,
  `usu_email` varchar(150) DEFAULT NULL,
  `usu_foto` varchar(40) DEFAULT NULL,
  `usuario_perfil_up_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`usu_id`),
  KEY `usuarios_perfil1_id_idx` (`usuario_perfil_up_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Extraindo dados da tabela `usuario`
--

INSERT INTO `usuario` (`usu_id`, `usu_nome`, `usu_matricula`, `usu_login`, `usu_senha`, `usu_email`, `usu_foto`, `usuario_perfil_up_id`) VALUES
(1, 'Administrador Geral', '', 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin@mysiids.com.br', NULL, 1);

-- --------------------------------------------------------

--
-- Estrutura da tabela `usuario_perfil`
--

CREATE TABLE IF NOT EXISTS `usuario_perfil` (
  `up_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `apelido` varchar(45) DEFAULT NULL,
  `controller` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`up_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Extraindo dados da tabela `usuario_perfil`
--

INSERT INTO `usuario_perfil` (`up_id`, `apelido`, `controller`) VALUES
(1, 'Administrador', 'admin'),
(2, 'Coordenador', 'coordenador'),
(3, 'Professor', 'professor'),
(4, 'Aluno', 'aluno');

-- --------------------------------------------------------

--
-- Estrutura da tabela `usuario_turma`
--

CREATE TABLE IF NOT EXISTS `usuario_turma` (
  `ut_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usu_id` int(10) unsigned NOT NULL,
  `tur_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`ut_id`),
  KEY `ut_usu_id_idx` (`usu_id`),
  KEY `ut_tur_id_idx` (`tur_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Constraints for dumped tables
--

--
-- Limitadores para a tabela `arquivo_turma`
--
ALTER TABLE `arquivo_turma`
  ADD CONSTRAINT `aq_arq_id` FOREIGN KEY (`arq_id`) REFERENCES `arquivo` (`arq_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `aq_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_arquivo_turma_materia1` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao`
--
ALTER TABLE `avaliacao`
  ADD CONSTRAINT `ava_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao_gabarito`
--
ALTER TABLE `avaliacao_gabarito`
  ADD CONSTRAINT `ag_usu_id` FOREIGN KEY (`usu_matricula`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ag_ava_id` FOREIGN KEY (`ava_id`) REFERENCES `avaliacao` (`ava_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao_questao`
--
ALTER TABLE `avaliacao_questao`
  ADD CONSTRAINT `aq_ava_id` FOREIGN KEY (`ava_id`) REFERENCES `avaliacao` (`ava_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `aq_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `aq_que_id` FOREIGN KEY (`que_id`) REFERENCES `questao` (`que_id`) ON DELETE SET NULL ON UPDATE SET NULL;

--
-- Limitadores para a tabela `avaliacao_seg_chamada`
--
ALTER TABLE `avaliacao_seg_chamada`
  ADD CONSTRAINT `avaSeg_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `aviso_turma`
--
ALTER TABLE `aviso_turma`
  ADD CONSTRAINT `at_avi_id` FOREIGN KEY (`avi_id`) REFERENCES `aviso` (`avi_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `at_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `fase_escolar_materia`
--
ALTER TABLE `fase_escolar_materia`
  ADD CONSTRAINT `fm_fas_id` FOREIGN KEY (`fas_id`) REFERENCES `fase_escolar` (`fas_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fm_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `lancamento`
--
ALTER TABLE `lancamento`
  ADD CONSTRAINT `lan_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `lan_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `lista_exercicio`
--
ALTER TABLE `lista_exercicio`
  ADD CONSTRAINT `lis_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `lis_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `lista_exercicio_entregue`
--
ALTER TABLE `lista_exercicio_entregue`
  ADD CONSTRAINT `le_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `nota`
--
ALTER TABLE `nota`
  ADD CONSTRAINT `not_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `not_ava_id` FOREIGN KEY (`ava_id`) REFERENCES `avaliacao` (`ava_id`) ON DELETE SET NULL ON UPDATE SET NULL,
  ADD CONSTRAINT `not_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `not_lan_id` FOREIGN KEY (`lan_id`) REFERENCES `lancamento` (`lan_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `planejamento_semanal`
--
ALTER TABLE `planejamento_semanal`
  ADD CONSTRAINT `pla_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `pontuacao_extra`
--
ALTER TABLE `pontuacao_extra`
  ADD CONSTRAINT `pon_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `pontuacao_extra_aluno`
--
ALTER TABLE `pontuacao_extra_aluno`
  ADD CONSTRAINT `pa_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `pa_pon_id` FOREIGN KEY (`pon_id`) REFERENCES `pontuacao_extra` (`pon_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `ppd`
--
ALTER TABLE `ppd`
  ADD CONSTRAINT `ppd_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ppd_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `ppd_questao`
--
ALTER TABLE `ppd_questao`
  ADD CONSTRAINT `pq_ppd_id` FOREIGN KEY (`ppd_id`) REFERENCES `ppd` (`ppd_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `pq_que_id` FOREIGN KEY (`que_id`) REFERENCES `questao` (`que_id`) ON DELETE SET NULL ON UPDATE SET NULL,
  ADD CONSTRAINT `pq_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `professor_turma`
--
ALTER TABLE `professor_turma`
  ADD CONSTRAINT `pt_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `pt_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `pt_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `questao`
--
ALTER TABLE `questao`
  ADD CONSTRAINT `que_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `questao_alternativa`
--
ALTER TABLE `questao_alternativa`
  ADD CONSTRAINT `alt_que_id` FOREIGN KEY (`que_id`) REFERENCES `questao` (`que_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `simulado`
--
ALTER TABLE `simulado`
  ADD CONSTRAINT `sim_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `simulado_gabarito`
--
ALTER TABLE `simulado_gabarito`
  ADD CONSTRAINT `gab_sim_id` FOREIGN KEY (`sim_id`) REFERENCES `simulado` (`sim_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `gab_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `simulado_questao`
--
ALTER TABLE `simulado_questao`
  ADD CONSTRAINT `sq_sim_id` FOREIGN KEY (`sim_id`) REFERENCES `simulado` (`sim_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `sq_que_id` FOREIGN KEY (`que_id`) REFERENCES `questao` (`que_id`) ON DELETE SET NULL ON UPDATE SET NULL,
  ADD CONSTRAINT `sq_mat_id` FOREIGN KEY (`mat_id`) REFERENCES `materia` (`mat_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `turma`
--
ALTER TABLE `turma`
  ADD CONSTRAINT `tur_fas_id` FOREIGN KEY (`fas_id`) REFERENCES `fase_escolar` (`fas_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `usuario`
--
ALTER TABLE `usuario`
  ADD CONSTRAINT `usuarios_perfil1_id` FOREIGN KEY (`usuario_perfil_up_id`) REFERENCES `usuario_perfil` (`up_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `usuario_turma`
--
ALTER TABLE `usuario_turma`
  ADD CONSTRAINT `ut_usu_id` FOREIGN KEY (`usu_id`) REFERENCES `usuario` (`usu_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ut_tur_id` FOREIGN KEY (`tur_id`) REFERENCES `turma` (`tur_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
