<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Alunos extends MY_Controller {

  public function __construct()
  {
    parent::__construct();
    $this->twiggy->title('Alunos');
    $this->load->model('Usuarios_model');
  }

  public function index()
  {
    $this->twiggy->set('alunos', $this->Usuarios_model->get_alunos( true ));
    $this->twiggy->display('comum/alunos');
  }


  public function cadastrar($tur_id='')
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['foto']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['usuario_foto_upload']);
        if ( !$this->upload->do_upload('foto') )
        {
          $data['result_cadastrar'] = 'imagem_error';
        }
        else
        {
          $form['foto'] = $this->upload->data();
          $data['result_cadastrar'] = $this->Usuarios_model->cadastrar($form, 'aluno');
        }
      }
      else
      {
        // Apenas o cadastro, sem imagem
        $data['result_cadastrar'] = $this->Usuarios_model->cadastrar($form, 'aluno');
      }
      
      $this->twiggy->set($data, true);
    }
    // Caso o ID exista (ele estará referenciando a turma)
    // Deixa a turma ja selecionada no select (HTML)
    $this->twiggy->set('turma_id', $tur_id);
    // Pegando as turmas
    $this->load->model('Turmas_model');
    $turmas = $this->Turmas_model->get_turmas();
    $this->twiggy->set('turmas', $turmas);
    $this->twiggy->display('comum/alunos_cadastrar');
  }


  public function editar($id)
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['foto']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['usuario_foto_upload']);
        if ( !$this->upload->do_upload('foto') )
        {
          $data['result_editar'] = 'imagem_error';
        }
        else
        {
          $form['foto'] = $this->upload->data();
          $data['result_editar'] = $this->Usuarios_model->editar($id, $form);
        }
      }
      else
      {
        // Apenas o edicao, sem imagem
        $data['result_editar'] = $this->Usuarios_model->editar($id, $form);
      }
      
      $this->twiggy->set($data, true);
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------
    // Pegando as turmas
    $this->load->model('Turmas_model');
    $turmas = $this->Turmas_model->get_turmas();
    $this->twiggy->set('turmas', $turmas);
    // Resgatando os dados do aluno
    $aluno = $this->Usuarios_model->get_aluno( $id );
    if( $aluno==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('aluno', $aluno);
    }
    $this->twiggy->display('comum/alunos_editar');
  }


  public function excluir($id)
  {
    $data = array();

    $data['result_excluir'] = $this->Usuarios_model->excluir($id);
    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/alunos_excluir');
  }

  public function associar($tur_id)
  {
    $data = array();

    // ID está referenciando a turma
    $this->load->model('Turmas_model');
    $this->load->model('Alunos_model');
    $data = array();
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Veio vazio, ou seja, ira apenas remover os alunos da turma
      if( !isset($form['alunos']) )
        $form['alunos'] = array();
      $data['result_associar'] = $this->Turmas_model->alterar_aluno_turma($form['alunos'], $tur_id);
    }
    $this->twiggy->set('alunos', $this->Alunos_model->get_alunos_sem_turma($tur_id));
    $this->twiggy->set('turma', $this->Turmas_model->get_turma($tur_id));
    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/alunos_associar');
  }
  

  public function notas($id, $bimestre)
  {
    $data = array();

    $this->twiggy->set('bimestre', $bimestre);
    // Resgatando os dados do aluno
    $this->load->model('Alunos_model');
    
    $this->twiggy->set('aluno', $this->Usuarios_model->get_aluno( $id ));
    $this->twiggy->set('materias', $this->Alunos_model->get_aluno_notas( $id, $bimestre ));
    
    $this->twiggy->display('comum/alunos_notas');
  }

}
