<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Avaliacoes extends MY_Controller {


	public function __construct()
  {
		parent::__construct();

    $this->twiggy->title('Avaliações');
    $this->load->model('Avaliacoes_model');
    $this->load->model('Turmas_model');
    $this->load->model('Materias_model');
  }


  /**
   * 
   */
  public function index($id='')
  {
    $data = array();
    $this->administrar($id);
  }

  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar()
  {
    $data = array();
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Avaliacoes_model->cadastrar($form);        
    }

    //Pegando as turmas que possuam alunos cadastrados (true)
    $data['turmas'] = $this->Turmas_model->get_turmas(true);
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/avaliacoes_cadastrar');
  }

  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar2($id)
  {
    $data = array();

    //Pegando o id da turma da avaliacao
    $id_turma = $this->Avaliacoes_model->get_turma_id( $id );

    //Pegando a fase escolar da turma
    $id_faseescolar = $this->Turmas_model->get_fase_escolar_id( $id_turma );

    //Pegando as Materias
    $materias = $this->Materias_model->get_materias();
    $this->twiggy->set('materias', $materias);

    //Pegando as Matérias da fase escolar
    $materias = $this->Turmas_model->get_fase_escolar_materia( $id_faseescolar );
    $id_materias = array();
    if( $materias )
    {
      foreach( $materias AS $reg )
      {
        $id_materias[] = $reg->mat_id;
      }
    }
    $this->twiggy->set('id_materias', $id_materias);

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Avaliacoes_model->cadastrar_2($form, $id_materias);
      
      $this->twiggy->set($data, true);
    }

    //Pegando os dados da própria avaliacao
    $avaliacao = $this->Avaliacoes_model->get_avaliacao( $id );
    $this->twiggy->set('avaliacao', $avaliacao);

    // Resgatando os dados da turma
    $turma = $this->Turmas_model->get_turma( $id_turma );
    if( $turma==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('turma', $turma);
    }
    
    $this->twiggy->display('comum/avaliacoes_cadastrar_2');
  }

  /**
   * Metodo que faz 
   */
  public function editar($id)
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      if(isset($form['alterar']))
      {
        $data['result_editar'] = $this->Avaliacoes_model->editar($form, $id);
        $this->twiggy->set($data, true);
      }
      elseif(isset($form['incluir']))
      {
        $data['result_editar'] = $this->Avaliacoes_model->incluir($form, $id);
        $this->twiggy->set($data, true);
      }
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------

    //Pegando o id da turma da avaliacao
    $id_turma = $this->Avaliacoes_model->get_turma_id( $id );

    // Resgatando os dados da turma
    $turma = $this->Turmas_model->get_turma( $id_turma );
    if( $turma==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('turma', $turma);
    }

    //Pegando a fase escolar da turma
    $id_faseescolar = $this->Turmas_model->get_faseescolar( $id_turma );

    //Pegando as Materias
    $materias = $this->Materias_model->get_materias();
    $this->twiggy->set('materias', $materias);

    //Pegando as Matérias da fase escolar
    $materias = $this->Turmas_model->get_fase_escolar_materia( $id_faseescolar );
    $id_materias = array();
    if( $materias )
    {
      foreach( $materias AS $reg )
      {
        $id_materias[] = $reg->mat_id;
      }
    }
    $this->twiggy->set('id_materias', $id_materias);

    //Pegando os dados da própria avaliacao
    $avaliacao = $this->Avaliacoes_model->get_avaliacao( $id );
    $this->twiggy->set('avaliacao', $avaliacao);

    //Pegando as questões na tabela intermediaria
    $questoes = $this->Avaliacoes_model->get_questoes( $id );
    $this->twiggy->set('questoes', $questoes);

    $this->twiggy->display('comum/avaliacoes_editar');
  }

  /**
   * Metodo que faz 
   */
  public function excluir($id)
  {
    $data = array();
    $data['result_excluir'] = $this->Avaliacoes_model->excluir($id);
    $this->twiggy->set($data, true);
  }


  /**
   * Metodo que faz 
   */
  public function enviar_respostas($ava_id)
  {
    $data = array();
    if( !empty($_FILES['respostas']['name']) )
    {
      $respostas = $_FILES['respostas'];
      $data['result_enviar_respostas'] = $this->Avaliacoes_model->gravar_respostas( $respostas, $ava_id );
    }
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/avaliacoes_enviar_respostas');
  }


  /**
   * Metodo que faz 
   */
  public function administrar($id='')
  {
    $data = array();

    // $id assume papel de bimestre

    // Caso nao seja passado o bimestre, pega o atual
    if( empty($id) )
    {
      $this->load->model('Configuracao_model');
      $id = $this->Configuracao_model->get_bimestre();
    }

    $form = $this->input->post();
    if( !empty($form) )
    {
      if(isset($form['gerar-prova']))
      {
        $data['gerar_prova_result'] = $this->Avaliacoes_model->gerar_prova($form['ava_id']);
      }
      else if(isset($form['imprimir-prova']))
      {
        $this->load->model('ImprimirProvas_model');
        $this->ImprimirProvas_model->get( $form['ava_id'] );
      }
    }

    $data['bimestre'] = $id;
    $data['turmas'] = $this->Avaliacoes_model->get_avaliacoes( $id, true ); // Turmas que possuam alunos
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/avaliacoes_administrar');
  }


  /**
   * Metodo que faz 
   */
  public function alterarquestao($id)
  {
    $data = array();

    $data['result_excluir'] = $this->Avaliacoes_model->alterarquestao($id);
    $this->twiggy->set($data, true);
  }


}
