<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Lancamentos extends MY_Controller {


	public function __construct()
  {
		parent::__construct();

    $this->twiggy->title('Lançamentos');
    $this->load->model('Lancamentos_model');
    $this->load->model('Turmas_model');
  }


  /**
   * 
   */
  public function index()
  {
    $this->twiggy->set('lancamentos', $this->Lancamentos_model->get_lancamentos());

    $this->twiggy->display('comum/lancamentos');
  }


  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar()
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Lancamentos_model->cadastrar($form);
      
      $this->twiggy->set($data, true);
    }

    //Pegando as turmas
    $turmas = $this->Turmas_model->get_turmas(true); // que nao estejam vazias
    $this->twiggy->set('turmas', $turmas);
    
    $this->twiggy->display('comum/lancamentos_cadastrar');
  }


  /**
   * Metodo que faz 
   */
  public function turma($id, $bimestre)
  {
    $this->twiggy->set('bimestre', $bimestre);

    // Resgatando os dados da turma
    $turma = $this->Turmas_model->get_turma( $id );
    if( $turma==false )
    {
      $data['result_editar'] = 'danger';
    }
    else
    {
      $this->twiggy->set('turma', $turma);
    }

    // Pegando os lançamentos
    $data['lancamentos'] = $this->Lancamentos_model->get_lancamentos($id, $bimestre);
    if( $this->user->controller == 'professor' )
      $data['lancamentos'] = $this->Lancamentos_model->get_lancamentos_professor($this->user->usu_id, $id, $bimestre);

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/lancamentos_turma');
  }


  /**
   * Metodo que faz 
   */
  public function notas($id)
  {
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Lancamentos_model->notas($form, $id);
      
      $this->twiggy->set($data, true);
    }

    // pegando o lançamento
    $lancamento = $this->Lancamentos_model->get_lancamento($id);
    $this->twiggy->set('lancamento', $lancamento);

    // pegando as notas do aluno
    $notas = $this->Lancamentos_model->get_notas($id);
    $this->twiggy->set('notas', $notas);

    $this->twiggy->display('comum/lancamentos_notas');
  }


  /**
   * Metodo que faz 
   */
  public function administrar($id='')
  {
    $this->twiggy->set('lancamentos', $this->Lancamentos_model->get_lancamentos());

    $this->twiggy->display('comum/lancamentos');
  }


}
