<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Questoes extends MY_Controller {


	public function __construct()
  {
		parent::__construct();

    $this->twiggy->title('Questões');
    $this->load->model('Configuracao_model');
    $this->load->model('Questoes_model');
    $this->load->model('Materias_model');
    $this->load->model('Avaliacoes_model');
    $this->load->model('Simulados_model');
    $this->load->model('Turmas_model');
    $this->load->model('FasesEscolares_model');
    $this->load->model('Simulados_model');
  }


  /**
   * 
   */
  public function index($bimestre)
  {
    $data = array();
    $this->twiggy->set('bimestre', $bimestre);

    //Pegando as avaliações
    $data['turmas'] = $this->Avaliacoes_model->get_avaliacoes( $bimestre, true );
    if( $this->user->controller == 'professor' )
    {
      $data['turmas'] = $this->Avaliacoes_model->get_avaliacoes( $bimestre, true, $this->user->usu_id);
      $data['questoes_cadastradas_professor'] = $this->Questoes_model->get_total_cadastradas_professor($this->user->usu_id);
    }

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/questoes');
  }


  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar($id='')
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['imagem']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['questao_upload']);

        if ( !$this->upload->do_upload('imagem') )
        {
          $data['result_cadastrar'] = 'arquivo_error';
        }
        else
        {
          $form['imagem'] = $this->upload->data();
          $data['result_cadastrar'] = $this->Questoes_model->cadastrar($form);
        }
      }
      else
      {
        $data['result_cadastrar'] = $this->Questoes_model->cadastrar($form);
      }       
    }

    // Pegando as Matérias
    $data['materias'] = $this->Materias_model->get_materias();
    if( $this->user->controller == 'professor' )
      $data['materias'] = $this->Materias_model->get_materia_professor($this->user->usu_id, false, true);
    
    // Variavel id, assume papel de materia id
    // Ja vai deixar selecionado a materia
    $data['materia_selected'] = $id;

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/questoes_cadastrar');
  }


  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar2($id)
  {
    $data = array();
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Questoes_model->cadastrar_2( $form, $id );
      
      $this->twiggy->set($data, true);
    }

    // Pegando o nome do usuario
    $data['nome'] = $this->user->usu_nome;

    // Pegando a questao
    $data['questao'] = $this->Questoes_model->get_questao( $id );

    // Pegando as associações das avaliações
    $data['ava_aq'] = $this->Avaliacoes_model->get_avaliacao_questao( $data['questao']->mat_id, true );

    // Pegando as associações dos PPDs
    $data['ppd_aq'] = $this->Avaliacoes_model->get_ppd_questao( $data['questao']->mat_id, true );

    // Pegando as associações dos Simulados
    $data['sim_aq'] = $this->Simulados_model->get_simulado_questao( $data['questao']->mat_id, true );

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/questoes_cadastrar2');
  }


  /**
   * Metodo que faz 
   */
  public function editar($id)
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['imagem']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['questao_upload']);

        if ( !$this->upload->do_upload('imagem') )
        {
          $data['result_editar'] = 'arquivo_error';
        }
        else
        {
          $form['imagem'] = $this->upload->data();
          $data['result_editar'] = $this->Questoes_model->editar($form, $id);
        }
      }
      else
      {
        $data['result_editar'] = $this->Questoes_model->editar($form, $id);
      }
      
      $this->twiggy->set($data, true);
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------

    // Resgatando os dados da materia
    $questao = $this->Questoes_model->get_questao( $id );
    if( $questao==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('questao', $questao);
    }

    //Pegando as Alternativas
    $alternativas = $this->Questoes_model->get_alternativas( $id );
    $this->twiggy->set('alternativas', $alternativas);

    $this->twiggy->display('comum/questoes_editar');
  }


  /**
   * Metodo que faz 
   */
  public function avaliacoes($id)
  {
    $data = array();

    //Pegando as turmas
    $turmas = $this->Turmas_model->get_turmas();
    $this->twiggy->set('turmas', $turmas);

    //Pegando as Associações
    $fasesescolares = $this->FasesEscolares_model->get_todas_fasesescolares_materias();
    $this->twiggy->set('fasesescolares', $fasesescolares);

    //Prgando as Matérias
    $materias = $this->Materias_model->get_materias();
    $this->twiggy->set('materias', $materias);

    //Prgando a Avaliacao
    $avaliacao = $this->Avaliacoes_model->get_avaliacao( $id );
    $this->twiggy->set('avaliacao', $avaliacao);

    //Pegando as questões na tabela intermediaria
    $data['questoes'] = $this->Avaliacoes_model->get_questoes( $id );
    if( $this->user->controller == 'professor' )
      $data['questoes'] = $this->Avaliacoes_model->get_questoes( $id, $this->user->usu_id );

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/questoes_avaliacoes');
  }


  /**
   * Metodo que faz 
   */
  public function desassociar($action, $id, $bimestre='')
  {
    $data = array();

    if( $action == 'avaliacao' )
    {
      $data['result_excluir'] = $this->Questoes_model->desassociar($id, 'a');
      $this->twiggy->set($data, true);
    }
    elseif( $action == 'simulado' )
    {
      $data['result_excluir'] = $this->Questoes_model->desassociar($id, 's');
      $this->twiggy->set($data, true);
    }
    elseif( $action == 'ppd' )
    {
      $data['result_excluir'] = $this->Questoes_model->desassociar($id, 'p', $bimestre);
      $this->twiggy->set($data, true);
    }
  }


  /**
   * Metodo que faz 
   */
  public function anular($action, $id)
  {
    $data = array();

    if( $action == 'avaliacao' )
    {
      $data['result_excluir'] = $this->Questoes_model->anularquestao($id, 'a');
      $this->twiggy->set($data, true);
    }
    elseif( $action == 'simulado' )
    {
      $data['result_excluir'] = $this->Questoes_model->anularquestao($id, 's');
      $this->twiggy->set($data, true);
    }
  }


  /**
   * Metodo que faz 
   */
  public function ppd($bimestre)
  {
    //Prgando as questoes de ppd
    $ppd = $this->Avaliacoes_model->get_ppd_bimestre( $bimestre );
    $this->twiggy->set('ppd', $ppd);

    $this->twiggy->display('comum/questoes_ppd');
  }


  public function simulados($bimestre)
  {
    $data = array();

    //Pegando a Avaliacao
    $simulado = $this->Simulados_model->get_simulado_bimestre( $bimestre );
    $this->twiggy->set('simulado', $simulado);

    //Pegando as questões na tabela intermediaria
    if( !empty($simulado) )
    {
      $questoes = $this->Simulados_model->get_questoes( $simulado->sim_id );
      $this->twiggy->set('questoes', $questoes);
    }

    $this->twiggy->display('comum/questoes_simulados');
  }
}
