<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Simulados extends MY_Controller {


	public function __construct()
  {
		parent::__construct();

    $this->twiggy->title('Simulados');
    $this->load->model('Simulados_model');
    $this->load->model('Turmas_model');
    $this->load->model('Materias_model');
    $this->load->model('FasesEscolares_model');
  }


  /**
   * 
   */
  public function index()
  {
    //
  }

  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar()
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Simulados_model->cadastrar($form);
    }
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/simulados_cadastrar');
  }

  /**
   * Metodo que faz 
   */
  public function editar($id)
  {
    $data = array();
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      if(isset($form['alterar']))
      {
        $data['result_editar'] = $this->Simulados_model->editar($form, $id);
        $this->twiggy->set($data, true);
      }
      elseif(isset($form['incluir']))
      {
        $data['result_editar'] = $this->Simulados_model->incluir($form, $id);
        $this->twiggy->set($data, true);
      }
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------

    //Pegando o id da turma do simulado
    $id_turma = $this->Simulados_model->get_turma_id( $id );

    // Resgatando os dados da turma
    $turma = $this->Turmas_model->get_turma( $id_turma );
    if( $turma==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('turma', $turma);
    }

    //Pegando a fase escolar da turma
    $id_faseescolar = $this->Turmas_model->get_faseescolar( $id_turma );

    //Pegando as Materias
    $materias = $this->Materias_model->get_materias();
    $this->twiggy->set('materias', $materias);

    //Pegando as Matérias da fase escolar
    $materias = $this->Turmas_model->get_fase_escolar_materia( $id_faseescolar );
    $id_materias = array();
    if( $materias )
    {
      foreach( $materias AS $reg )
      {
        $id_materias[] = $reg->mat_id;
      }
    }
    $this->twiggy->set('id_materias', $id_materias);

    //Pegando os dados do proprio simulado
    $simulado = $this->Simulados_model->get_simulado( $id );
    $this->twiggy->set('simulado', $simulado);

    //Pegando as questões na tabela intermediaria
    $questoes = $this->Simulados_model->get_questoes( $id );
    $this->twiggy->set('questoes', $questoes);

    $this->twiggy->display('comum/simulados_editar');

  }

  /**
   * Metodo que faz 
   */
  public function administrar($bimestre)
  {
    $data = array();
    $this->twiggy->set('bimestre', $bimestre);
    
    //Pegando os simulados
    $simulados = $this->Simulados_model->get_simulados( $bimestre );
    $this->twiggy->set('simulados', $simulados);      

    //Pegando as turmas
    $turmas = $this->Turmas_model->get_turmas();
    $this->twiggy->set('turmas', $turmas);

    $this->twiggy->display('comum/simulados_administrar');
  }


  /**
   * Metodo que faz 
   */
  public function excluir($id)
  {
    $data = array();

    $data['result_excluir'] = $this->Simulados_model->excluir($id);
    $this->twiggy->set($data, true);
  }


}
