<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Turmas extends MY_Controller {


	public function __construct()
  {
		parent::__construct();

    $this->twiggy->title('Turmas');
    $this->load->model('Turmas_model');
    $this->load->model('Materias_model');
    $this->load->model('FasesEscolares_model');
    $this->load->model('Usuarios_model');
  }


  /**
   * 
   */
  public function index()
  {
    // Pegando as turmas
    $data['turmas'] = $this->Turmas_model->get_turmas();
    if( $this->user->controller == 'professor' )
      $data['turmas'] = $this->Turmas_model->get_turma_professor( $this->user->usu_id, true ); // Relacionadas ao professor e q possuam alunos

    // Professores relacionado com as Materias (Exibida no Admin e Coordenador)
    $data['professores_turmas'] = $this->Turmas_model->get_turmas_professores();

    // Materias que o professor ministra (Só é usada quando for o professor logado)
    $data['professor_materias'] = $this->Turmas_model->get_professor_turma_materia($this->user->usu_id);

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/turmas');
  }

  /**
   * Metodo que faz o cadastro
   */
  public function cadastrar()
  {
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Turmas_model->cadastrar($form);
      
      $this->twiggy->set($data, true);
    }

    //Pegando as Fases Escolares
    $fasesescolares = $this->FasesEscolares_model->get_fasesescolares();
    $this->twiggy->set('fasesescolares', $fasesescolares);
    
    $this->twiggy->display('comum/turmas_cadastrar');
  }

  /**
   * Metodo que faz 
   */
  public function editar($id)
  {
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_editar'] = $this->Turmas_model->editar($id, $form);
      $this->twiggy->set($data, true);
    }
    // Final da parte que realmente faz a edicao

    // -----------------------------------------

    // Resgatando os dados da turma
    $turma = $this->Turmas_model->get_turma( $id );
    if( $turma==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('turma', $turma);
    }

    //Pegando as Fases Escolares
    $fasesescolares = $this->FasesEscolares_model->get_fasesescolares();
    $this->twiggy->set('fasesescolares', $fasesescolares);

    //Pegando os Professores
    $professores = $this->Usuarios_model->get_professores();
    $this->twiggy->set('professores', $professores);

    //Pegando as Materias
    $materias = $this->Materias_model->get_materias();
    $this->twiggy->set('materias', $materias);

    //Pegando as Matérias da fase escolar
    $materias = $this->Turmas_model->get_fase_escolar_materia( $id );
    $id_materias = array();
    if( $materias )
    {
      foreach( $materias AS $reg )
      {
        $id_materias[] = $reg->mat_id;
      }
    }
    $this->twiggy->set('id_materias', $id_materias);

    //Pega tabela intermediaria (professor_turma)
    $pt = $this->Turmas_model->get_professorturma( $id );
    $this->twiggy->set('pt', $pt);


    $this->twiggy->display('comum/turmas_editar');
  }

  /**
   * Metodo que faz 
   */
  public function alunos($id)
  {
    // Resgatando os dados da turma
    $turma = $this->Turmas_model->get_turma( $id );
    $this->twiggy->set('turma', $turma);

    $alunos = $this->Turmas_model->get_turma_alunos( $id );
    $this->twiggy->set('alunos', $alunos);

    $this->twiggy->display('comum/turmas_alunos');
  }


}
