<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Fases_escolares extends MY_Controller {

  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Fases Escolares - Administrador');
    $this->load->model('FasesEscolares_model');
  }


  /**
   * Home page
   */
  public function index()
  {
    $fasesescolares = $this->FasesEscolares_model->get_fasesescolares();
    $this->twiggy->set('fasesescolares', $fasesescolares);
    $this->twiggy->display('admin/fases_escolares');
  }


  /**
   * Cadastrar Fase Escolare
   */
  public function cadastrar()
  {
    $data = array();    

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->FasesEscolares_model->cadastrar($form);
      
      $this->twiggy->set($data, true);
    }

    $materias = $this->FasesEscolares_model->get_materias();

    $this->twiggy->set('materias', $materias);
    
    $this->twiggy->display('admin/fases_escolares_cadastrar');
  }


  /**
   * Editar Fase Escolare
   */
  public function editar($id='')
  {
    $data = array();    

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_editar'] = $this->FasesEscolares_model->editar($id, $form);
      $this->twiggy->set($data, true);
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------

    // Resgatando os dados da fase escolar
    $faseescolar = $this->FasesEscolares_model->get_faseescolar( $id );

    if( $faseescolar==false )
    {
      $data['result_editar'] = 'danger';
      $this->twiggy->set($data, true);
    }
    else
    {
      $this->twiggy->set('faseescolar', $faseescolar);
    }

    //Pegando as Matérias
    $materias = $this->FasesEscolares_model->get_materias();
    $this->twiggy->set('materias', $materias);

    //Pegando as Associações
    $fasesescolares = $this->FasesEscolares_model->get_fasesescolares_materias( $id );

    // Pega apenas os ID's das utilizadas nessa fase escolar
    $fases_atuais = array();
    if( $fasesescolares )
    {
      foreach( $fasesescolares AS $fase )
      {
        $fases_atuais[] = $fase->mat_id;
      }
    }

    $this->twiggy->set('fases_atuais', $fases_atuais);

    $this->twiggy->display('admin/fases_escolares_editar');
  }
}
