<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Materias extends MY_Controller {


  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Administrador - Materias');
    $this->load->model('Materias_model');
  }


  /**
   * Home page
   */
  public function index()
  {
    $data = array();
    
    //Pegando as Matérias
    $materias = $this->Materias_model->get_materias();
    $this->twiggy->set('materias', $materias);

    $this->twiggy->display('admin/materias');
  }


  public function cadastrar()
  {
    $data = array();

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Materias_model->cadastrar($form);      
    }
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('admin/materias_cadastrar');    
  }
  

  public function editar($id='')
  {
    $data = array();

    if ( empty($id) )
      echo "ops";
  
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_editar'] = $this->Materias_model->editar($id, $form);
      
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------

    // Resgatando os dados da materia
    $materia = $this->Materias_model->get_materia( $id );
    if( $materia==false )
    {
      $data['result_editar'] = 'danger';
    }
    else
    {
      $this->twiggy->set('materia', $materia);
    }

    $this->twiggy->set($data, true);
    $this->twiggy->display('admin/materias_editar');
  }

}
