<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Usuarios extends MY_Controller {

  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Usuários - Administrador');
    $this->load->model('Usuarios_model');
  }


  /**
   * Home page
   */
  public function index()
  {
    $usuarios = array(
      'Administradores' => $this->Usuarios_model->get_administradores(),
      'Coordenadores'   => $this->Usuarios_model->get_coordenadores(),
      'Professores'     => $this->Usuarios_model->get_professores(),
    );

    $this->twiggy->set('usuarios', $usuarios);
    $this->twiggy->display('admin/usuarios');
  }



  /**
   * Cadastrar Usuario
   */
  public function cadastrar()
  {
    $data = array();    

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['foto']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['usuario_foto_upload']);

        if ( !$this->upload->do_upload('foto') )
        {
          $data['result_cadastrar'] = 'imagem_error';
        }
        else
        {
          $form['foto'] = $this->upload->data();
          $data['result_cadastrar'] = $this->Usuarios_model->cadastrar($form);
        }

      }
      else
      {
        // Apenas o cadastro, sem imagem
        $data['result_cadastrar'] = $this->Usuarios_model->cadastrar($form);
      }     
    }

    // Para o select de perfil
    $perfils = $this->Usuarios_model->get_perfils(array('controller !='=>'aluno'));
    $this->twiggy->set('perfils', $perfils);
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('admin/usuarios_cadastrar');
  }


  /**
   * Editar Usuario
   */
  public function editar($id)
  {
    $data = array();
    
    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['foto']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['usuario_foto_upload']);

        if ( !$this->upload->do_upload('foto') )
        {
          $data['result_editar'] = 'imagem_error';
        }
        else
        {
          $form['foto'] = $this->upload->data();
          $data['result_editar'] = $this->Usuarios_model->editar($id, $form);
        }

      }
      else
      {
        // Apenas o cadastro, sem imagem
        $data['result_editar'] = $this->Usuarios_model->editar($id, $form);
      }
      
      $this->twiggy->set($data, true);
    }
    // Final da parte que realmente faz a edicao
    // -----------------------------------------

    // Para o select de perfil
    $perfils = $this->Usuarios_model->get_perfils(array('controller !='=>'aluno'));
    $this->twiggy->set('perfils', $perfils);

    // Resgatando os dados do usuario, nao permitindo q sejam alunos
    $usuario = $this->Usuarios_model->get_usuario( $id, array('usuario_perfil.controller !='=>'aluno') );
    if( $usuario==false )
    {
      $data['result_editar'] = 'danger';
    }
    else
    {
      $this->twiggy->set('usuario', $usuario);
    }

    $this->twiggy->set($data, true);
    $this->twiggy->display('admin/usuarios_editar');
  }


  /**
   * Excluir Usuario
   */
  public function excluir($id)
  {
    $data = array();

    $data['result_excluir'] = $this->Usuarios_model->excluir($id);
    $this->twiggy->set($data, true);
    $this->twiggy->display('admin/usuarios_excluir');
  }

}
