<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Avisos extends MY_Controller {

  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Avisos - Coordenador');
    $this->load->model('Avisos_model');
    $this->load->model('Turmas_model');
    $this->load->model('FasesEscolares_model');
  }


  /**
   * Home page
   */
	public function index()
	{
    //Pegando as Turmas
    $turmas = $this->Turmas_model->get_turmas();
    $this->twiggy->set('turmas', $turmas);

    //Pegando as Fases Escolares
    $fases = $this->FasesEscolares_model->get_fasesescolares();
    $this->twiggy->set('fasesescolares', $fases);

    //Pegando os avisos
    $avisos = $this->Avisos_model->get_avisos();
    $this->twiggy->set('avisos', $avisos);

    //Pegando os registros aviso_turma
    $at = $this->Avisos_model->get_aviso_turma();
    $this->twiggy->set('at', $at);

    $this->twiggy->display('coordenador/avisos');
  }


  /**
   * Manter Avisos
   */
  public function cadastrar($action="", $id="")
  {
    $data = array();  

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Avisos_model->cadastrar($form);
    }

    //Pegando as Turmas
    $turmas = $this->Turmas_model->get_turmas();
    $this->twiggy->set('turmas', $turmas);

    //Pegando as Fases Escolares
    $fases = $this->FasesEscolares_model->get_fasesescolares();
    $this->twiggy->set('fasesescolares', $fases);
    
    $this->twiggy->set($data, true);
    $this->twiggy->display('coordenador/avisos_cadastrar');
  }

  /**
   * Metodo que faz a exclusão do aviso
   * @param $id -> ID do aviso
   * 
   */
  public function excluir($id)
  {
    $this->twiggy->set('result_excluir', $this->Avisos_model->excluir($id));
    $this->twiggy->display('coordenador/avisos_excluir');
  }

}
