<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Lista_exercicios extends MY_Controller {


  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Lista exercicios - Professor');
    $this->load->model('Turmas_model');
    $this->load->model('ListaExercicios_model');
  }


  /**
   * Home page
   */
  public function index($tur_id='')
  {
    if( !empty($tur_id) && is_numeric($tur_id) )
    {
      $this->twiggy->set('turma', $this->Turmas_model->get_turma($tur_id, $this->user->usu_id));
      $this->twiggy->set('listas', $this->ListaExercicios_model->get_listas($tur_id, $this->user->usu_id));
      $this->twiggy->set('alunos', $this->Turmas_model->get_turma_alunos($tur_id, $this->user->usu_id));

      $this->twiggy->display('professor/lista_exercicios');
    }
    // else
      // redirect('/professor');
  }


  /**
   * Metodo que faz 
   */
  public function cadastrar($tur_id)
  {
    $data = array();
    $this->twiggy->set('turma', $this->Turmas_model->get_turma($tur_id, $this->user->usu_id));
    $this->twiggy->set('materias', $this->Turmas_model->get_professor_turma_materia($this->user->usu_id, $tur_id));
    $this->twiggy->set('listas', $this->ListaExercicios_model->get_listas($tur_id, $this->user->usu_id));
    $this->twiggy->set('alunos', $this->Turmas_model->get_turma_alunos($tur_id, $this->user->usu_id));

    // Foi submetido um form para a propia pagina
    $form = $this->input->post();
    if( !empty($form) )
    {
      $this->twiggy->set('result_cadastrar', $this->ListaExercicios_model->cadastrar($form, $tur_id));
    }

    $this->twiggy->display('professor/lista_exercicios_cadastrar');
  }


  /**
   * Metodo que faz 
   */
  public function editar($id)
  {
    $data = array();
    $form = $this->input->post();
    if( !empty($form) )
    {
      $this->twiggy->set('result_editar', $this->ListaExercicios_model->editar($form, $id));
    }

    $lista = $this->ListaExercicios_model->get_lista($id, $this->user->usu_id);

    $tur_id = current($lista);
    $tur_id = $tur_id->tur_id;
    
    // Para fazer o checked
    $lista_ids = array();
    foreach ($lista AS $aluno) {
      $lista_ids[] = $aluno->usu_id;
    }

    $this->twiggy->set('lista', $lista );
    $this->twiggy->set('lista_ids', $lista_ids );
    $this->twiggy->set('turma', $this->Turmas_model->get_turma($tur_id));
    $this->twiggy->set('alunos', $this->Turmas_model->get_turma_alunos($tur_id));

    $this->twiggy->display('professor/lista_exercicios_editar');
  }


  /**
   * Metodo que faz 
   */
  public function excluir($id)
  {
    $data = array();
    $data['result_excluir'] = $this->ListaExercicios_model->excluir($id);
    $this->twiggy->set($data, true);
    $this->twiggy->display('professor/lista_exercicios_excluir');
  }

}
