<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class MY_Controller extends MX_Controller {

  /*
   * Usuario atual/logado */
  var $user;

  /*
   * Lista de acesso a determiados methods */
  var $access = array(
    'alunos'        => array('admin', 'coordenador', 'professor'),
    'planejamento'  => array('coordenador', 'professor'),
    'turmas'        => array('admin', 'coordenador', 'professor'),
    'lancamentos'   => array('admin', 'coordenador', 'professor'),
    'avaliacoes'    => array('admin', 'coordenador', 'professor'),
    'questoes'      => array('admin', 'coordenador', 'professor'),
    'simulados'     => array('admin', 'coordenador', 'professor'),
  );


  /**
   * Initialize
   */
  public function __construct()
  {
    parent::__construct();

    // Instanciando com o usuario atual (logado)
    $this->user = $this->session->userdata('user');

    // Restringindo acesso a quem está na lista
    $this->access( $this->uri->segment(2) );

    //Pegando o bimestre atual
    $this->load->model('Configuracao_model');
    $this->twiggy->set('bimestreatual', $this->Configuracao_model->get_bimestre());
    
    // Definindo a base de url (/admin, /coordenador ...)
    $this->twiggy->set('base_url', base_url($this->user->controller));
  }

  /**
   * Method que faz a restricao de conteudo por acesso
   * Se não estiver na lista de acesso, é liberada a visualização
   *
   * @param $mehod -> funcao a ser checada
   */
  private function access($method)
  {
    if( isset($this->access[$method]) && !in_array($this->user->controller, $this->access[$method]) )
      redirect($this->user->controller);
  }
}
