<?php

/**
 * Função de auxilio no template para exibir um asset
 * @param $path = arquivo a ser incluido (img/logo.png)
 * @return URL
 */
if ( ! function_exists('assets'))
{
  function assets( $path="" )
  {
    $CI =& get_instance();
    $twiggy = $CI->config->config;

    $base  = $twiggy['base_url'];
    // if( $twiggy['twiggy']['include_apppath'] == TRUE )
    //   $base .= 'application/';
    $base .= $twiggy['twiggy']['themes_base_dir'];
    $base .= $twiggy['twiggy']['default_theme'] . '/';
    $base .= "assets/";
    $base .= $path;

    return $base;
  }  
}


/**
 * Função de auxilio no template para exibir um asset
 * @param $path = arquivo a ser incluido (img/logo.png)
 * @return URL
 */
if ( ! function_exists('arredondamento'))
{
  function arredondamento($nota)
  {
    // return $nota;
    $CI =& get_instance();
    $CI->load->model('Lancamentos_model');
    return $CI->Lancamentos_model->arredondamento_nota($nota);
  }  
}


/**
 * Gera links dinamicos (ativos)
 * @param $uri
 * @param $title
 * @param $attributes
 * @param $active_class = classe CSS para quando estiver ativo
 * @return URL
 */
if ( ! function_exists('menu_anchor'))
{
  function menu_anchor($uri = '', $title = '', $attributes = '', $active_class='active')
  {
    $title = (string) $title;

    if ( ! is_array($uri))
    {
      $site_url = ( ! preg_match('!^\w+://! i', $uri)) ? site_url($uri) : $uri;
    }
    else
    {
      $site_url = site_url($uri);
    }

    if ($title == '')
    {
      $title = $site_url;
    }

    if ($attributes != '')
    {
      $attributes = _parse_attributes($attributes);
    }

    $current_url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
    $attributes .= ($site_url == $current_url) ? "class=\"{$active_class}\"" : '"';

    return '<a href="'.$site_url.'"'.$attributes.'>'.$title.'</a>';
  }
}

/* End of file twiggy_helper.php */
