<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

class MySiids
{
	private $CI;

	public function __construct()
	{
		$this->CI =& get_instance();
    $this->CI->load->library('twiggy');
   
    // $this->CI->session->sess_destroy();
    
    // Deixando acessivel toda a session no template (twiggy)
    $this->CI->twiggy->set('session', $this->CI->session->userdata());

    $this->CI->twiggy->set('mysiids', $this->CI->config->item('mysiids'));

    $this->privilegies();
	}


  /**
   * Verifica se o usuario esta na sua area correta
   * Protege caso o usuario tente acessar uma area nao permitida
   */
  private function privilegies()
  {
    $current_perfil = $this->CI->uri->segment(1);
    $current_controller = $this->CI->router->fetch_class();
    $current_module = $this->CI->router->fetch_module();

    $this->CI->load->model('Usuarios_model');

    /* Coloca os perfils na session para nao consultar a DB toda hora
     */
    $session_perfils = $this->CI->session->userdata('perfils');
    if( empty($session_perfils) )
    {
      // Carregar do banco de dados os perfils e setar na session
      $perfils = $this->CI->Usuarios_model->get_perfils();

      $this->CI->session->set_userdata('perfils', $perfils);
      $session_perfils = $this->CI->session->userdata('perfils');
    }


    /* Verifica se existe usuario logado (session)
     * Se nao existir, redireciona para o login
     */
    $user = $this->CI->session->userdata('user');
    if( empty($user) && !empty($current_perfil))
    {
      redirect('/');
    }


    /* Usuario logado, porem tentando acessar area nao permitida
     */
    if( ! empty($user) && $current_perfil != $user->controller)
    {
      redirect($user->controller);
    }
  }

}
// End Class
