<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Alunos_model extends CI_Model {

  public function __construct() {
    parent::__construct();
    $this->load->database();
  }

  /**
   * 
   * @param $tur_id -> ID da turma, para nao ignorar os alunos da propria turma
   */
  public function get_alunos_sem_turma( $tur_id )
  {
    $this->db->select('usuario.usu_id, usuario.usu_nome, usuario.usu_matricula, usuario_turma.tur_id');
    // $this->db->select('usuario.*, turma.*, fase_escolar.*');
    $this->db->from('usuario');
    $this->db->join('usuario_perfil', 'usuario.usuario_perfil_up_id = usuario_perfil.up_id');
    
      $this->db->join('usuario_turma', 'usuario.usu_id = usuario_turma.usu_id', 'left');
      $this->db->join('turma', 'turma.tur_id = usuario_turma.tur_id', 'left');
      $this->db->join('fase_escolar', 'fase_escolar.fas_id = turma.fas_id', 'left');
    
    $this->db->where('usuario_perfil.controller', 'aluno');
    $this->db->where('usuario_turma.tur_id', null);
    $this->db->or_where('usuario_turma.tur_id', $tur_id);
    $query = $this->db->get();

    if( $this->db->affected_rows() )
      return $query->result();

    return false;
  }


  /**
   * Resgata todas as notas do aluno
   * @param $usu_id -> ID do aluno
   *
   * @return Array de objetos
   */
  public function get_aluno_notas($usu_id, $bimestre)
  {
    $rs = $this->db->select('*')
                    ->from('nota')
                    ->join('lancamento', 'lancamento.lan_id = nota.lan_id')
                    ->join('materia', 'materia.mat_id = lancamento.mat_id')
                    ->join('usuario', 'usuario.usu_id = nota.usu_id')
                    ->join('turma', 'turma.tur_id = lancamento.tur_id')
                    ->join('fase_escolar', 'fase_escolar.fas_id = turma.fas_id')
                    ->where('nota.usu_id', $usu_id)
                    ->where('nota.not_bimestre', $bimestre)
                    ->get();
    
    if( !$this->db->affected_rows() )
      return;

    $this->load->model('ListaExercicios_model');

    $relacao_entregue = $this->ListaExercicios_model->get_relacao_entregue($usu_id, $bimestre);

    // Agrupando por materia
    $notas = array();
    foreach ($rs->result() AS $row) {
      $row = (array) $row;

      if( isset($relacao_entregue[ $row['mat_id'] ]) )
        $row = array_merge($row, $relacao_entregue[ $row['mat_id'] ]);

      $notas[ $row['mat_id'] ][] = $row;
    }

    $notas = array_values($notas);

    return $notas;
  }

}
