<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Avaliacoes_model extends CI_Model {

  public function __construct() {
    parent::__construct();
    $this->load->database();
  }

  /**
   * Cadastrar uma nova 
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> cadastrada com sucesso
   * @return 'warning' -> Caso já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function cadastrar( $form )
  {
    if( !empty($form['aplicacao']) )
    {
      $this->load->model('Configuracao_model');

      //Pegando o bimestre
      $bimprova = $this->Configuracao_model->get_bimestredata($form['aplicacao']);

      if($bimprova == "N")
      {
        return 'warning';
      }

      $data = array('ava_aplicacao'=> $form['nomeaplicacao'], 'tur_id'=> $form['turma'], 'ava_dataAplicacao'=>$form['aplicacao'], 'ava_dataLimiteCadastroQuestoes'=>$form['questoes'], 'ava_status'=>'1', 'ava_bimestre'=>$bimprova);

      // Efetua o INSERT
      $sql = $this->db->insert_string('avaliacao', $data );
      $result = $this->db->query( $sql );

      if( $result )
      {
        //Pegando o id da avaliacao cadastrada
        $ava_id = $this->db->insert_id();
        $user = $this->session->userdata('user');
        
        redirect($user->controller.'/avaliacoes/cadastrar2/'.$ava_id);
        
      }
    }
    return "danger";
  }

  /**
   * Continuação do Cadastro
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> cadastrada com sucesso
   * @return 'warning' -> Caso já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function cadastrar_2( $form, $id_materias )
  {
    $this->load->model('Materias_model');

    //Pegando o id da avaliacao
    $ava_id = $form['ava_id'];

    //Pegando as materias
    $materias = $this->Materias_model->get_materias();
    
    foreach ($materias as $row) 
    {
      if(in_array($row->mat_id, $id_materias))
      {
        $nome = 'qtd'.$row->mat_id;
        $qtd = $form[$nome];
        if(isset($form['discursiva'.$row->mat_id]))
        {
          $discursiva = true;
          //Cadastrar PPD
          $data = array('ppd_dataEntrega'=>$form['ava_dataAplicacao'],
                        'ppd_dataLimiteCadastroQuestoes'=>$form['ava_dataLimiteCadastroQuestoes'],
                        'tur_id'=>$form['tur_id'],
                        'mat_id'=>$row->mat_id,
                        'ppd_bimestre'=>$form['ava_bimestre']);
          $sql = $this->db->insert_string('ppd', $data );
          $result = $this->db->query( $sql );
          if($result)
          {
            //Pegando o id da ppd cadastrada
            $this->db->select_max('ppd_id');
            $query = $this->db->get('ppd');
            foreach ($query->result() as $linha)
            {
              $data2 = array('ppd_id'=> $linha->ppd_id, 'mat_id'=> $row->mat_id);
            }

            //Cadastra a tabela intermediária
            $j = 1;
            while ($j <= 10) 
            {
              $sql2 = $this->db->insert_string('ppd_questao', $data2 );
              $result2 = $this->db->query( $sql2 );
              if(!$result)
              {
                return 'danger';
              }
              $j++;
            }
          }
        }
        else
        {
          $discursiva = false;
        }
        $anulada = false;
        
        $data = array('ava_id'=> $ava_id, 'aq_discursiva'=> $discursiva, 'aq_anulada'=> $anulada, 'mat_id'=> $row->mat_id);

        $i = 1;
        while ( $i <= $qtd) 
        {
          // Efetua o INSERT
          $sql = $this->db->insert_string('avaliacao_questao', $data );
          $result = $this->db->query( $sql );
          if(!$result)
          {
            return 'danger';
          }
          $i++;
        }
      }
    }   
    return 'success';
  }

  /**
   * Editar
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> cadastrada com sucesso
   * @return 'warning' -> Caso já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function editar( $form, $id )
  {
    $data = array('ava_aplicacao'=> $form['nomeaplicacao'], 'ava_dataAplicacao'=> $form['dataaplicacao'], 'ava_dataLimiteCadastroQuestoes'=> $form['datacadastro']);

    $result = $this->db->update('avaliacao', $data, array('ava_id'=>$id));

    if( $result )
    {
      return 'success';
    } 
    return "danger";
  }

  /**
   * Inclui uma nova questão
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> cadastrada com sucesso
   * @return 'warning' -> Caso já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function incluir( $form, $id )
  {
    if(isset($form['discursiva']))
    {
      $discursiva = 1;
    }
    else
    {
      $discursiva = 0;
    }
    if($form['mat_id'] == 'null')
    {
      return 'danger';
    }
    $data = array('ava_id'=> $id, 'aq_discursiva'=> $discursiva, 'aq_anulada'=> '0', 'mat_id'=> $form['mat_id']);

    $sql = $this->db->insert_string('avaliacao_questao', $data );
    $this->db->query( $sql );
    
    if( $this->db->affected_rows() )
    {
      $this->db->update('avaliacao', array('ava_status'=> 1), array('ava_id'=>$id));
      return 'successn';
    }

    return "danger";
  }

  /**
   * Pega o id da turma da avaliacao
   * @param $id -> ID da turma a consultada
   *
   * @return (1) Objeto da materia
   * @return (2) false
   */
  public function get_turma_id( $id )
  {
    $this->db->select('tur_id');
    $this->db->from('avaliacao');
    $this->db->where('ava_id', $id);
    $turma = $this->db->get();
    $turma = $turma->result();

    if( !empty($turma) )
    {
      $turma = current( $turma );
      return $turma->tur_id;
    }

    return false;
  }

  /**
   * Lista apenas uma avaliacao
   * @param $id -> ID da turma a consultada
   *
   * @return (1) Objeto da materia
   * @return (2) false
   */
  public function get_avaliacao( $id )
  {
    $sql  = "SELECT * FROM avaliacao a ";
    $sql .= "JOIN turma t ON a.tur_id = t.tur_id ";
    $sql .= "JOIN fase_escolar f ON t.fas_id = f.fas_id ";
    $sql .= "WHERE ava_id = ".$id;
    $result = $this->db->query($sql);

    if( $this->db->affected_rows() )
      return current( $result->result() );

    return false;
  }

  /**
   *
   */
  public function get_acompanhamento()
  {
    $rs = $this->db->select('*')
              ->from('avaliacao')
              ->join('avaliacao_questao', 'avaliacao_questao.ava_id = avaliacao.ava_id')
              ->join('turma', 'turma.tur_id = avaliacao.tur_id')
              ->join('fase_escolar', 'fase_escolar.fas_id = turma.fas_id')
              ->get();

    // Faz a contabilidade das questoes que faltam e o total
    $avaliacoes = array();
    foreach ($rs->result() AS $ava)
    {
      $ava = (array) $ava;

      if( !isset($avaliacoes[ $ava['ava_id'] ]) )
      {
        $avaliacoes[ $ava['ava_id'] ] = $ava;
        $avaliacoes[ $ava['ava_id'] ]['total'] = 0;
        $avaliacoes[ $ava['ava_id'] ]['total_falta'] = 0;
      }

      if( empty($ava['que_id']) || $ava['que_id'] == NULL || $ava['que_id'] == 'NULL' )
      {
        $avaliacoes[ $ava['ava_id'] ]['total_falta']++;
      }
      
      $avaliacoes[ $ava['ava_id'] ]['total']++;
    }

    return $avaliacoes;

  }


  /**
   * Lista todas as avaliações
   * @param $bimestre
   * @param $concat -> Agrupa as avaliações por turma (opcional)
   * @param $usu_id -> ID do professor (opcional)
   *
   * @return Array de objetos
   */
  public function get_avaliacoes( $bimestre, $concat = false, $usu_id = false)
  {
    if( !empty($usu_id) )
      $this->db->select('*, count(1) as total_questoes');
    else
      $this->db->select('*');

    $this->db->from('avaliacao');
    $this->db->join('turma', 'turma.tur_id = avaliacao.tur_id');
    $this->db->join('fase_escolar', 'fase_escolar.fas_id = turma.fas_id');
    
    if( !empty($usu_id) )
    {
      $this->db->join('avaliacao_questao', 'avaliacao_questao.ava_id = avaliacao.ava_id');
      $this->db->join('professor_turma', 'professor_turma.tur_id = avaliacao.tur_id');
      $this->db->join('materia', 'materia.mat_id = professor_turma.mat_id AND avaliacao_questao.mat_id=materia.mat_id');
      $this->db->where('professor_turma.usu_id', $usu_id);
      $this->db->where('avaliacao.ava_bimestre', $bimestre);
      $this->db->group_by('avaliacao.ava_id');
    }
    
    $this->db->where('avaliacao.ava_bimestre', $bimestre);
    
    $rs = $this->db->get();

    if( !$this->db->affected_rows() )
      return;

    if( $concat === false )
      return $rs->result();

    // Faz o agrupamento por turma
    $avaliacoes = array();
    foreach ($rs->result() AS $ava) {
      $avaliacoes[$ava->tur_id][] = $ava;
    }

    return $avaliacoes;
  }


  /**
   * Gravar respostas da avaliação
   * 
   * @param $form -> Contem os dados do arquivo .DAT ($_FILE)
   */
  public function gravar_respostas($form, $ava_id)
  {
    $this->db->trans_start();
    
    $handle = fopen($form['tmp_name'], 'r');
    if( !empty($handle) )
    {
      // lendo e separando o conteudo dos DAT
      $matriculas = array();
      $respostas = array();
      while( ($row = fgets($handle)) !== false )
      {
        $matricula = substr($row, 0, 6);
        $resposta = substr($row, 6);

        $matriculas[] = $matricula;
        $respostas[$matricula] = array(
          'matricula' => $matricula,
          'resposta' => $resposta
        );
        // echo $matricula . '-' . $resposta . "<br>";
      }
      fclose($handle);

      $avaliacao = $this->get_avaliacao($ava_id);

      $this->load->model('Lancamentos_model');
      $this->load->model('Usuarios_model');
      $nomes = array(
        '1' => 'P1',
        '2' => 'P2',
        '3' => 'P3',
        '4' => 'P4',
        '5' => 'P5',
        '6' => 'P6',
        '7' => 'P7',
        '8' => 'P8',
        '9' => '2º Chamada',
        '10' => 'Recup.',
        '11' => 'Rec. Final',
      ); 

      // Cria os lançamentos para as discursivas para todos os alunos (caso exista)
      $discursivas = $this->get_materias_avaliacao($ava_id, true, true);
      if( !empty($discursivas) )
      {
        $lancamento = array(
          'nome'          => $nomes[$avaliacao->ava_aplicacao] . ' - Discursiva',
          'datacadastro'  => date('Y-m-d', strtotime("+7 days")),
          'turmas'        => array($avaliacao->tur_id),
          'discursiva'    => true,
        );
        $lancamento = $this->Lancamentos_model->cadastrar($lancamento, $discursivas, $ava_id);
        if( $lancamento != 'success' )
          return 'danger';
      }
      
      // Cria os lançamento apenas com as materias da avaliacao apenas para os alunos que fizeram a avaliacao
      $materias = $this->get_materias_avaliacao($ava_id, true);      
      $lancamento = array(
        'nome'          => $nomes[$avaliacao->ava_aplicacao] . ' - Objetiva',
        'datacadastro'  => date('Y-m-d', strtotime("+7 days")),
        'turmas'        => array($avaliacao->tur_id),
      );
      $alunos = $this->Usuarios_model->get_alunos_by_matricula($matriculas);
      $lancamento = $this->Lancamentos_model->cadastrar($lancamento, $materias, $ava_id, $alunos);

      // inserindo gabarito do aluno
      foreach ($alunos AS $aluno)
      {
        $update = array('gab_respostaAluno'=>$respostas[$aluno->usu_matricula]['resposta']);
        $where = array('usu_matricula'=>$aluno->usu_id);
        $this->db->update('avaliacao_gabarito', $update, $where);
      }

      $result = $this->atualiza_notas_avaliacao($ava_id);
      if( $result == 'success')
      {
        $this->db->trans_complete();
        $this->db->update('avaliacao', array('ava_status'=> 4), array('ava_id'=>$ava_id));
      }

      return $result;
    }
    else
      return 'warning';

    return 'danger';
  }

  /**
   * Funciona como uma trigger apos a criação dos lançamentos da avliacao
   * Para a correção da avaliacao e atualização das notas do aluno
   */
  public function atualiza_notas_avaliacao($ava_id)
  {
    // Pegar os lançamentos e separar em materias $lan[mat_id] = "lan_id"
    // Loop dos alunos (gabaritos) da avaliacao e comparaçao com a resposta dada e correta

    $rs = $this->db->select('*')
              ->from('lancamento')
              ->where('ava_id', $ava_id)
              ->where('lan_discursiva IS NULL')
              ->get();    

    // Obtendo o ID do lancamento de cada metéria da avaliacao
    $lancamentos = array();
    foreach ($rs->result() AS $lan) {
      $lancamentos[$lan->mat_id] = $lan->lan_id;
    }

    $gabaritos = $this->get_gabarito($ava_id, true);
    if( !$gabaritos )
      return 'danger';

    // Loop do gabarito de cada aluno
    foreach ($gabaritos AS $gab) {
      $oficial = json_decode($gab->gab_respostaOficial);
      $resposta = str_split($gab->gab_respostaAluno);
  
      $notas = array();

      // Faz a comparação do gabarito
      foreach ($oficial AS $key => $correta) {
        if( $correta->letra == $resposta[$key] )
        {
          $lan_id = $lancamentos[ $correta->mat_id ];

          // Ainda nao existe a referencia para esse lancamento
          if( !isset($notas[ $lan_id ]) )
          {
            $notas[ $lan_id ] = array(
              'lan_id'    => $lan_id,
              'ava_id'    => $ava_id,
              'usu_id'    => $gab->usu_matricula,
              'not_nota'  => 0.5,
            );
            continue;
          }
            
          $notas[ $lan_id ]['not_nota'] += 0.5;
        }
      } // end foreach comparacao

      // Atualiza as notas do aluno
      if( !empty($notas) )
      {
        foreach ($notas AS $nota) {
          $where = array(
            'lan_id' => $nota['lan_id'],
            'usu_id' => $nota['usu_id'],
          );
          $this->db->where($where);
          $this->db->update('nota', array('not_nota'=>$nota['not_nota']));
          if( !$this->db->affected_rows() )
          {
            return 'danger';
            break;
          }
        }
      }
    }

    return 'success';
  }

  

  /**
   * Lista todas as questoes da tabela intermediaria
   * @param $id -> ID da avaliacao (ava_id)o
   *
   * @return Array de objetos
   */
  public function get_questoes( $ava_id, $usu_id = false )
  {

    $this->db->select('*');
    $this->db->from('avaliacao_questao');

    if( !empty($usu_id) )
    {
      $this->db->join('avaliacao', 'avaliacao.ava_id = avaliacao_questao.ava_id');
      $this->db->join('professor_turma', 'professor_turma.tur_id = avaliacao.tur_id');
      $this->db->join('materia', 'materia.mat_id = professor_turma.mat_id AND avaliacao_questao.mat_id=materia.mat_id');
      $this->db->where('professor_turma.usu_id', $usu_id);
    }
    else
    {
      $this->db->join('materia', 'materia.mat_id = avaliacao_questao.mat_id');
    }

    $this->db->where('avaliacao_questao.ava_id', $ava_id);
    $rs = $this->db->get();

    if( $this->db->affected_rows() )
      return $rs->result();

    return;
  }


  public function get_questoes_discusivas( $ava_id )
  {
    $rs = $this->db->select('*')
                    ->from('avaliacao_questao')
                    ->join('questao', 'questao.que_id = avaliacao_questao.que_id')
                    ->where('avaliacao_questao.ava_id', $ava_id)
                    ->get();
    if( $this->db->affected_rows() )
      return $rs->result();
  }

  public function get_gabarito( $ava_id, $not_empty = false )
  {
    $where = array(
      'ava_id' => $ava_id
    );
    if( $not_empty )
      $where['gab_respostaAluno !='] = '';
    $rs = $this->db->get_where('avaliacao_gabarito', $where );

    if( $this->db->affected_rows() )
      return $rs->result();

    return;
  }


  /**
   * Lista todas as materias da avaliacao
   * @param $ava_id -> ID da avaliacao (ava_id)
   * @param $only_ids -> TRUE/FALSE, para retornar apenas os ids das materias
   * @param $discursiva -> TRUE/FALSE, para retornar apenas os as discursivas
   *
   * @return Array de objetos
   */
  public function get_materias_avaliacao( $ava_id, $only_ids = false, $discursiva = false )
  {
    if( $only_ids )
      $this->db->select('materia.mat_id AS mat_id');
    else
      $this->db->select('*');

    $this->db->from('avaliacao_questao');
    $this->db->join('materia', 'materia.mat_id=avaliacao_questao.mat_id');
    $this->db->where('avaliacao_questao.ava_id', $ava_id);
    
    if( $discursiva )
      $this->db->where('avaliacao_questao.aq_discursiva', 1);

    $this->db->group_by('materia.mat_id');
    $rs = $this->db->get();

    if( $this->db->affected_rows() )
      return $rs->result();

    return;
  }


  /**
   * Lista todas as questoes da tabela intermediaria
   *
   * @return Array de objetos
   */
  public function get_avaliacao_questao( $id, $group_by = false )
  {
    $this->db->select('*, count(1) as total');
    $this->db->from('avaliacao_questao');
    $this->db->join('avaliacao', 'avaliacao.ava_id = avaliacao_questao.ava_id');
    $this->db->join('materia', 'materia.mat_id = avaliacao_questao.mat_id');

    $this->db->join('turma', 'turma.tur_id = avaliacao.tur_id');
    $this->db->join('fase_escolar', 'fase_escolar.fas_id = turma.fas_id');
    
    $this->db->where('avaliacao_questao.mat_id', $id);
    $this->db->where('avaliacao_questao.que_id IS NULL');

    if( !empty($group_by) )
    {
      $this->db->group_by('avaliacao_questao.ava_id');
      $this->db->group_by('avaliacao_questao.aq_discursiva');
    }

    $result = $this->db->get();

    if( $this->db->affected_rows() )
      return $result->result();

    return;
  }


  /**
   * Lista todas as questoes PPD da tabela intermediaria
   *
   * @return Array de objetos
   */
  public function get_ppd_questao( $id, $group_by = false )
  {
    $sql  = "SELECT * FROM ppd_questao aq ";
    $sql .= "JOIN materia m ON aq.mat_id = m.mat_id ";
    $sql .= "JOIN ppd ON aq.ppd_id = ppd.ppd_id ";
    $sql .= "JOIN turma t ON ppd.tur_id = t.tur_id ";
    $sql .= "JOIN fase_escolar f ON t.fas_id = f.fas_id ";
    $sql .= "WHERE aq.mat_id=? AND aq.que_id is null";
    if( $group_by )
      $sql .= " GROUP BY aq.ppd_id ";

    $result = $this->db->query($sql, array($id));
    return $result->result();
  }

   /**
   * Lista todas as questoes PPD da tabela intermediaria pelo bimestre
   *
   * @return Array de objetos
   */
  public function get_ppd_bimestre( $bimestre )
  {
    $sql  = "SELECT * FROM ppd_questao aq ";
    $sql .= "JOIN materia m ON aq.mat_id = m.mat_id ";
    $sql .= "JOIN ppd ON aq.ppd_id = ppd.ppd_id ";
    $sql .= "JOIN turma t ON ppd.tur_id = t.tur_id ";
    $sql .= "JOIN fase_escolar f ON t.fas_id = f.fas_id ";
    $sql .= "WHERE ppd.ppd_bimestre=?";

    $result = $this->db->query($sql, array($bimestre));
    return $result->result();
  }
  
  /**
   * Funcao que atualiza o status da AVALIACAO para "pronta para gerar prova"
   */
  public function update_status_questao_avaliacao($aq_id)
  {
    $rs = $this->db->get_where('avaliacao_questao', 'aq_id='.$aq_id);
    if( !$this->db->affected_rows() )
      return;
    
    $rs = current( $rs->result() );
    $ava_id = $rs->ava_id;

    $this->update_status_avaliacao($ava_id);
  }

  private function update_status_avaliacao($ava_id)
  {
    $rs = $this->db->get_where('avaliacao_questao', array('ava_id'=>$ava_id, 'que_id'=>null) );
    if( $rs->num_rows() == 0 )
      $this->db->update('avaliacao', array('ava_status'=> 2), array('ava_id'=>$ava_id));
  }

  /**
   * Gerar prova da avaliação
   * @param $ava_id -> ID da avaliação a ser gerada a prova
   *
   */
  public function gerar_prova($ava_id)
  {
    // Pegando os dados da avaliacao
    $rs = $this->db->get_where('avaliacao', 'ava_id = '.$ava_id);
    if( !$this->db->affected_rows() )
      return;

    $avaliacao = $rs->row();

    // Pegando os dados das questoes da Avaliação
    $rs = $this->db->get_where('avaliacao_questao', 'ava_id = '.$ava_id);
    if( !$this->db->affected_rows() )
      return;
    
    $questoes = $rs->result();

    $alternativas_letras = array('A', 'B', 'C', 'D', 'E');

    /*
     * Gerando a prova base, para não haver reconsultas ao banco de dados */
    $prova_base = array();
    foreach ($questoes AS $questao)
    {
      $questao_pergunta = $this->db->get_where('questao', 'que_id = '.$questao->que_id);
      $questao_pergunta = $questao_pergunta->row();

      if( $questao_pergunta->que_discursiva )
        continue;
      
      $questao_alternativas = $this->db->get_where('questao_alternativa', 'que_id = '.$questao->que_id);
      $questao_alternativas = $questao_alternativas->result();

      // Acrescentando o mat_id nas alternativas
      // Facilitará a correção dos gabaritos
      $alternativas = array();
      foreach ($questao_alternativas AS $key => $alternativa)
      {
        $alternativa = (array) $alternativa;
        $alternativa['mat_id'] = $questao->mat_id;

        $alternativas[] = $alternativa;
      }

      // Acrescenta os dados da matéria
      // Facilitará na criação (impressão) das provas
      // Ocorerá apenas no primeiro loop da materia
      if( !isset($prova_base[ $questao->mat_id ]['mat_id']) )
      {
        $materia = $this->db->get_where('materia', 'mat_id = '.$questao->mat_id);
        $materia = (array) $materia->row();
        $prova_base[ $questao->mat_id ] = $materia;
      }

      $prova_base[ $questao->mat_id ]['questoes'][] = array(
        'questao' => (array) $questao_pergunta,
        'alternativas' => $alternativas,
      );
    }

    /*
     * Montar a prova para cada aluno */
    $this->db->trans_start();
    $this->load->model('Turmas_model');
    $alunos = $this->Turmas_model->get_turma_alunos($avaliacao->tur_id);

    // $sql_error = false;
    $provas = array();
    foreach ($alunos AS $aluno)
    {
      $prova_aluno = $prova_base;
      $prova_aluno_correta = array(); // Armazena apenas as alternativas corretas

      // Misturando as materias
      shuffle($prova_aluno);

      foreach ($prova_aluno AS &$materia)
      {
        // Loop para misturar as alternativas e separar as corretas
        foreach ($materia['questoes'] AS &$questao)
        {
          shuffle($questao['alternativas']);
          $questao['alternativas'] = array_combine($alternativas_letras, $questao['alternativas']);

          // Para acrescentar a letra da alternativa dentro dela mesma
          // E identificar a alternativa correta para separar
          foreach ($questao['alternativas'] AS $key => &$alternativa) {
            $questao['alternativas'][$key]['letra'] = $key;
            
            if( $alternativa['alt_correta'] )
              $prova_aluno_correta[] = $alternativa;
          }
        } // end foreach materia->questoes
      } // end foreach prova_aluno

      // Armazendo a prova para efetuar uma unica insercao na DB
      $provas[] = array(
        'usu_matricula' => $aluno->usu_id,
        'ava_id' => $ava_id,
        'gab_prova' => json_encode($prova_aluno),
        'gab_respostaOficial' => json_encode($prova_aluno_correta),
      );
    } // end foreach alunos

    // Inserindo as provas e gabaritos na DB
    $this->db->insert_batch('avaliacao_gabarito', $provas );
    if ( $this->db->affected_rows() )
    {
      $this->db->trans_complete();
      $this->db->update('avaliacao', array('ava_status'=> 3), array('ava_id'=>$ava_id));
      return 'success';
    }

    return 'danger';    
  }

  public function get_provas($ava_id)
  {
    $rs = $this->db->select('*')
              ->from('avaliacao_gabarito')
              ->join('usuario', 'usuario.usu_id = avaliacao_gabarito.usu_matricula')
              ->where('avaliacao_gabarito.ava_id', $ava_id)
              ->get();

    if( $this->db->affected_rows() )
      return $rs->result();
  }


  /**
   * Funcao que atualiza o status do PPD para "pronta para gerar prova"
   */
  public function update_status_questao_ppd($pq_id)
  {
    $rs = $this->db->get_where('ppd_questao', 'pq_id='.$pq_id);
    if( !$this->db->affected_rows() )
      return;
    
    $rs = current( $rs->result() );
    $ppd_id = $rs->ppd_id;

    $this->update_status_ppd($ppd_id);
  }

  private function update_status_ppd($ppd_id)
  {
    $rs = $this->db->get_where('ppd_questao', array('ppd_id'=>$ppd_id, 'que_id'=>null) );
    if( $rs->num_rows() == 0 )
      $this->db->update('ppd', array('ppd_status'=> 2), array('ppd_id'=>$ppd_id));
  }

  /**
   * Responsavel por exibir as avaliações que o professor é "responsavel" 
   * @param $usu_id -> ID do professor
   *
   * @return Array de objetos
   */
  public function get_avaliacoes_professor( $usu_id )
  {
    $this->db->select('*, count(1) as total_questoes');
    $this->db->from('avaliacao');

    $this->db->join('avaliacao_questao', 'avaliacao_questao.ava_id = avaliacao.ava_id');
    
    $this->db->join('turma', 'turma.tur_id = avaliacao.tur_id');
    $this->db->join('fase_escolar', 'fase_escolar.fas_id = turma.fas_id');
    $this->db->join('professor_turma', 'professor_turma.tur_id = avaliacao.tur_id');
    // $this->db->join('materia', 'materia.mat_id = professor_turma.mat_id');
    $this->db->join('materia', 'materia.mat_id = professor_turma.mat_id AND avaliacao_questao.mat_id=materia.mat_id');
    $this->db->where('professor_turma.usu_id', $usu_id);
    $this->db->order_by('avaliacao.ava_dataLimiteCadastroQuestoes', 'ASC'); // Só para prevenção
    $this->db->group_by('avaliacao.ava_id'); // Só para prevenção
    $rs = $this->db->get();

    if( $this->db->affected_rows() )
      return $rs->result();

    return;
  }



  /**
   * Excluir
   */
  public function excluir( $id )
  {
    $q = $this->db->get_where('avaliacao_questao', array('aq_id'=>$id));
    foreach ($q->result() as $key) 
    {
      $ava_id = $key->ava_id;
    }

    $this->db->where('aq_id', $id);
    $this->db->delete('avaliacao_questao');
    if( $this->db->affected_rows() )
    {
      $this->update_status_avaliacao($ava_id);
      //direcionando para a parte 2
      header("location:../editar/".$ava_id); 
    }
    return 'danger';
  }

  /**
   * Muda a opção discursiva da questao
   */
  public function alterarquestao( $id )
  {
    $q = $this->db->get_where('avaliacao_questao', array('aq_id'=>$id));
    foreach ($q->result() as $key) 
    {
      $ava_id = $key->ava_id;
      if($key->aq_discursiva == 0)
      {
        $data = array('aq_discursiva'=> 1);
      }
      else
      {
        $data = array('aq_discursiva'=> 0);
      }
    }
    
    $result = $this->db->update('avaliacao_questao', $data, array('aq_id'=>$id));
    if( $result )
    {
      //direcionando para a parte 2
      header("location:../editar/".$ava_id); 
    }
    return 'danger';
  }

   /**
   * Cadastrar uma nova solicitar_2_chamada
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> Matéria cadastrada com sucesso
   * @return 'warning' -> Caso matéria já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function solicitar_2_chamada( $form, $id )
  {

    $data = array('seg_bimestre'=> $form['bimestre'], 'usu_id'=> $id);

    // Verifica existencia
    $result = $this->db->get_where('avaliacao_seg_chamada', $data);
    $result = $result->result();

    if( $result )
    {
      return 'warning';
    }

    // Efetua o INSERT
    $sql = $this->db->insert_string('avaliacao_seg_chamada', $data );
    $result = $this->db->query( $sql );

    if( $result )
    {
      return 'success';
    } 
    
    return "danger";
  }
}
