<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class ImprimirProvas_model extends CI_Model {

  var $nomes_aplicacoes = array(
        '1' => 'P1',
        '2' => 'P2',
        '3' => 'P3',
        '4' => 'P4',
        '5' => 'P5',
        '6' => 'P6',
        '7' => 'P7',
        '8' => 'P8',
        '9' => '2º Chamada',
        '10' => 'Recup.',
        '11' => 'Rec. Final',
      ); 

  public function __construct()
  {
    parent::__construct();
    $this->load->database();
    $this->load->library('fpdf_loader');

    $this->fpdf->header_title = "Avaliação gerada pelo MySiid's";
  }


  public function get($ava_id)
  {
    $this->load->model('Turmas_model');
    $this->load->model('Avaliacoes_model');
    $this->load->model('Configuracao_model');

    $config = $this->config->item('mysiids'); // para pegar o caminho de upload

    $avaliacao = $this->Avaliacoes_model->get_avaliacao( $ava_id );
    $bimestre = $this->Configuracao_model->get_bimestre();
    $turma = $avaliacao->fas_nome .' '. $avaliacao->tur_nome;
    
    // Dando o nome e autor ao documento (nome que será salvo ao fazer download)
    $title = $this->nomes_aplicacoes[$avaliacao->ava_aplicacao]." - {$turma} - {$bimestre}ª Bimestre";

    $this->fpdf->SetTitle("Avaliação: ".$title);
    $this->fpdf->SetAuthor("MySiid's");

    /**
     * AQUI FAZ-SE O LOOP PARA A IMPRESSÃO DA LISTA DE PRESENÇA */
    $this->presenca_cabecalho($title, $turma, date('d/m/Y', strtotime($avaliacao->ava_dataAplicacao)) );
    $alunos = $this->Turmas_model->get_turma_alunos( $avaliacao->tur_id );
    foreach ($alunos AS $aluno)
    {
      $this->presenca_item($aluno->usu_nome);
    }

    /**
     * AQUI FAZ-SE O LOOP PARA PASSAR AS INFORMAÇÕES PARA A IMPRESSÃO DA AVALIAÇÃO
     **/
    $provas = $this->Avaliacoes_model->get_provas($ava_id);

    $base_url_images = base_url().$config['questao_uploads'].'/';

    // $base_url_images = base_url().$config['questao_uploads'].'/';
    $base_url_images = dirname(APPPATH).'/'.$config['questao_uploads'].'/';

    foreach ($provas AS $prova)
    {
      $materias = json_decode($prova->gab_prova);

      $this->proximo_aluno($prova->usu_nome, $prova->usu_matricula, $turma);
      $num_questao = 1;
      foreach ($materias AS $materia) {
          $this->nome_materia( $materia->mat_nome );

          foreach ($materia->questoes AS $questao) {
              // Se existir imagem, atribui o caminho absoluto
              $imagem = (!empty($questao->questao->que_imagem)) ? $base_url_images . $questao->questao->que_imagem : '';
              $param = array(
                  "numero"        => $num_questao,
                  "imagem"        => $imagem,
                  "Enunciado1"    => $questao->questao->que_enunciado1,
                  "Enunciado2"    => $questao->questao->que_enunciado2,
                  "alternativas"  => $questao->alternativas,
              );
              $this->imprimir_questao($param);

              $num_questao++;
          }
      }
    }

    $questoes_discursivas = $this->Avaliacoes_model->get_questoes_discusivas($ava_id);
    if( !empty($questoes_discursivas) )
    {
      foreach ($alunos AS $aluno) {
        $this->proximo_aluno($aluno->usu_nome, $aluno->usu_matricula, $turma);
        $num_questao = 1;
        foreach ($questoes_discursivas AS $q) {
          $imagem = (!empty($questao->questao->que_imagem)) ? $base_url_images . $questao->questao->que_imagem : '';
          $this->imprimir_questao_discursiva($num_questao, $q->que_enunciado1, $imagem, $q->que_enunciado2, $q->que_linhas);
          $num_questao++;
        }
      }
    }    

    $this->fpdf->AcceptPageBreak();
    $this->fpdf->Output( str_replace(' ', '_', $title).'.pdf' ,'D');
  }


  /**
   * FUNÇÃO QUE IMPRIME O NOME DA MATÉRIA
   **/
  function nome_materia($nome_materia)
  {
      // Title
      $this->fpdf->SetFont('Arial','B',11);
      $this->fpdf->SetFillColor(190);
      $this->fpdf->MultiCell(90,5,utf8_decode($nome_materia),0,'C',1);
      $this->fpdf->Ln(4);
      // Save ordinate
      //$this->y0 = $this->GetY();
  }


  function imprimir_questao($data)
  {
      // Exibir Enunciado 1
      $this->fpdf->SetFont('Arial','B',10);
      $this->fpdf->MultiCell(90,5,utf8_decode('QUESTÃO '.$data['numero'].' - '.$data['Enunciado1'] ));
      $this->fpdf->Ln();

      // Exibir imagem
      if( !empty($data['imagem']) && file_exists($data['imagem']) )
      {
          $this->fpdf->SetFont('Arial','I',8);
          $this->fpdf->MultiCell(90,5,'Imagem:');
          $this->fpdf->Image($data['imagem'], null, null, 90, null, null, null);
          $this->fpdf->Ln();
      }
      
      // Exibir Enunciado 2
      if(!empty($data['Enunciado2']))
      {
          $this->fpdf->SetFont('Arial','B',10);
          $this->fpdf->MultiCell(90,5,utf8_decode($data['Enunciado2']));
          $this->fpdf->Ln();
      }

      $this->fpdf->SetFont('Arial','BI',9);
      $this->fpdf->MultiCell(90,5,'Alternativas:');

      // Exibir Alternativas
      $this->fpdf->SetFont('Arial','',10);

      foreach ($data['alternativas'] AS $a) {
        $this->fpdf->MultiCell(90, 5, utf8_decode( "{$a->letra}. {$a->alt_descricao}" ));
      }

      $this->fpdf->Ln();
      $this->fpdf->Ln();
  }


  /**
   * FUNÇÃO QUE IMPRIME A QUESTÃO DISCURSIVA
   **/
  function imprimir_questao_discursiva($numero, $Enunciado1, $imagem, $Enunciado2, $linhas)
  {
      // Exibir Enunciado 1
      $this->fpdf->SetFont('Arial','B',10);
      $this->fpdf->MultiCell(90,5,utf8_decode('QUESTÃO '.$numero.' - '.$Enunciado1));
      $this->fpdf->Ln();

      // Exibir imagem
      if(file_exists($imagem))
      {
          $this->fpdf->SetFont('Arial','I',8);
          $this->fpdf->MultiCell(90,5,'Imagem:');
          $this->fpdf->Image($imagem, null, null, 90, null, null, null);
          $this->fpdf->Ln();
      }
      
      // Exibir Enunciado 2
      if($Enunciado2 != '')
      {
          $this->fpdf->SetFont('Arial','B',10);
          $this->fpdf->MultiCell(90,5,utf8_decode($Enunciado2));
          $this->fpdf->Ln();
      }

      $m = 0;
      while ($m <= $linhas) 
      {
          $this->fpdf->MultiCell(90,5,utf8_decode("____________________________________________"),0,'C');
          $m ++;
      }

      $this->fpdf->Ln();
      $this->fpdf->Ln();
  }


  /**
   * FUNÇÃO QUE FAZ A QUEBRA DE PÁGINA E INICIA A PROVA DO ALUNO
   **/
  function proximo_aluno($aluno, $matricula, $turma)
  {
      // Go back to first column
      $this->fpdf->SetCol(0);

      //inserindo a página de verso antes de iniciar a avaliação de outro aluno
      if($this->fpdf->PageNo()%2 != 0)
      {
          $this->fpdf->AddPage();
      }
      $this->fpdf->AddPage();

      $this->fpdf->SetFillColor(230);
      $this->fpdf->SetFont('Arial','B',10);
      $this->fpdf->MultiCell(90,5,utf8_decode("Aluno: ".$aluno),0,'C',1);
      $this->fpdf->MultiCell(90,5,utf8_decode("Matrícula: ".$matricula),0,'C',1);
      $this->fpdf->MultiCell(90,5,utf8_decode("Turma: ".$turma),0,'C',1);
      $this->fpdf->Ln();
      $this->fpdf->MultiCell(90,5,utf8_decode("Assinatura:"),0,'L',1);
      $this->fpdf->MultiCell(90,5,utf8_decode("___________________________________________"),0,'C',1);

      $this->fpdf->Ln(4);
  }


  /**
   * FUNÇÃO QUE IMPRIME O CABEÇÁLHO DA LISTA DE PRESENÇA
   **/
  function presenca_cabecalho($avaliacao, $turma, $data)
  {
      // Go back to first column
      $this->fpdf->SetCol(0);

      //inserindo a página de verso antes de iniciar a avaliação de outro aluno
      if($this->fpdf->PageNo()%2 != 0)
      {
          $this->fpdf->AddPage();
      }
      $this->fpdf->AddPage();

      $this->fpdf->SetFillColor(190);
      $this->fpdf->SetFont('Arial','B',11);
      $this->fpdf->MultiCell(90,5,utf8_decode("LISTA DE PRESENÇA"),0,'C',1);
      $this->fpdf->MultiCell(90,5,utf8_decode("Avaliação: ".$avaliacao),0,'C',1);
      $this->fpdf->MultiCell(90,5,utf8_decode("Turma: ".$turma),0,'C',1);
      $this->fpdf->MultiCell(90,5,utf8_decode("Data: ".$data),0,'C',1);
  }


  /**
   * FUNÇÃO QUE IMPRIME UM ITEM NA LISTA DE PRESENÇA
   **/
  function presenca_item($nome)
  {
      $this->fpdf->Ln(4);

      $this->fpdf->SetFillColor(230);
      $this->fpdf->SetFont('Arial','B',10);
      $this->fpdf->MultiCell(90,5,utf8_decode($nome),0,'L',1);
      $this->fpdf->SetFont('Arial','',10);
      $this->fpdf->MultiCell(90,5,utf8_decode("Assinatura:"),0,'J',1);
      $this->fpdf->MultiCell(90,10,utf8_decode("____________________________________________"),0,'C',1);
  }

  

}
