<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Planejamentos_model extends CI_Model {

  public function __construct() {
    parent::__construct();
    $this->load->database();
  }

  /**
   * Cadastrar 
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> Matéria cadastrada com sucesso
   * @return 'warning' -> Caso matéria já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function cadastrar( $form, $tur_id )
  {
    $data = array(
      'tur_id'                => $tur_id,
      'pla_descricao'         => trim($form['descricao']),
      'pla_bimestre'          => trim($form['bimestre']),
      'pla_dataInicioSemana'  => trim($form['data_inicio']),
      'pla_dataFinalSemana'   => trim($form['data_fim']),
      'pla_url'               => $form['arquivo']['file_name'],
    );

    $sql = $this->db->insert_string('planejamento_semanal', $data );
    $result = $this->db->query( $sql );

    if( $this->db->affected_rows() )
    {
      return 'success';
    }

    return "danger";
  }

  /**
   * 
   */
  public function excluir( $id )
  {
    $this->db->where('pla_id', $id);
    $this->db->delete('planejamento_semanal');

    if( $this->db->affected_rows() )
    {
      return 'success';
    }

    return 'danger';
  }


  /**
   * 
   *
   * @return Array de objetos
   */
  public function get_planejamentos($tur_id)
  {
    $this->db->select('*');
    $this->db->from('planejamento_semanal');
    $this->db->order_by('pla_bimestre', 'asc');
    $this->db->order_by('pla_dataInicioSemana', 'desc');
    $this->db->where('tur_id', $tur_id);
    $query = $this->db->get();

    if( !$this->db->affected_rows() )
      return false;

    // Organizando em hierarquia de bimestres
    $planejamentos = array();
    foreach ($query->result() AS $p)
    {
      $planejamentos[$p->pla_bimestre][] = $p;
    }

    return $planejamentos;
  }
}
