<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Aluno extends CI_Controller {


  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Aluno');
  }


  /**
   * Home page
   */
	public function index()
	{
    $data = array();

    $this->twiggy->set($data, null);

    $this->load->model('Avisos_model');

    $user = $this->session->userdata('user');

    // Pegando os avisos
    $avisos = $this->Avisos_model->get_avisosdaturma( $user->tur_id );
    $this->twiggy->set('avisos', $avisos);

    $this->twiggy->display('aluno/index');
  }


  /**
   * Solicitação de 2ª Chamada
   */
  public function segunda_chamada()
  {
    $data = array();

    $this->load->model('Configuracao_model');
    $this->load->model('Avaliacoes_model');

    $user = $this->session->userdata('user');

    $this->twiggy->set('nome', $user->usu_nome);

    $bimestreatual = $this->Configuracao_model->get_bimestre();
    $this->twiggy->set('bimestreatual', $bimestreatual);

    $form = $this->input->post();
    if( !empty($form) )
    {
      $data['result_cadastrar'] = $this->Avaliacoes_model->solicitar_2_chamada($form, $user->usu_id);
    }

    $this->twiggy->set($data, null);
    $this->twiggy->display('aluno/solicitar_2_chamada');
  }

  /**
   * Arquivos disponibilizados
   */
  public function arquivos()
  {
    $this->load->model('Arquivos_model');
    $user = $this->session->userdata('user'); 

    $this->twiggy->set('arquivos', $this->Arquivos_model->get_aluno_arquivos( $user->usu_id ));

    $this->twiggy->display('aluno/arquivos');
  }


  /*
   * Planejamento Semanal
   */
  public function planejamento()
  {
    $this->load->model('Planejamentos_model');
    $user = $this->session->userdata('user');

    $this->twiggy->set('planejamentos', $this->Planejamentos_model->get_planejamentos( $user->tur_id ));

    $this->twiggy->display('aluno/planejamento');
  }
  

  /**
   * Deslogar
   */
  public function deslogar()
  {
    $this->session->sess_destroy();
    redirect('/');
  }

}
