<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Coordenador extends MY_Controller {

  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Coordenador');
  }


  /**
   * Home page
   */
	public function index()
	{
    $this->load->model('Turmas_model');
    $this->load->model('Avaliacoes_model');
    $data = array();
    $data['alunos_por_turma'] = $this->Turmas_model->get_alunos_por_turma();
    $data['acompanhamento_questoes'] = $this->Avaliacoes_model->get_acompanhamento();

    $this->twiggy->set($data, null);
    $this->twiggy->display('comum/index_resumo_atividades');
  }


  /**
   * Manter Avisos
   */
  public function avisos($action="", $id="")
  {
    $data = array();

    $this->load->model('Avisos_model');
    $this->load->model('Turmas_model');
    $this->load->model('FasesEscolares_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Avisos_model->cadastrar($form);
        
        $this->twiggy->set($data, true);
      }

      //Pegando as Turmas
      $turmas = $this->Turmas_model->get_turmas();
      $this->twiggy->set('turmas', $turmas);

      //Pegando as Fases Escolares
      $fases = $this->FasesEscolares_model->get_fasesescolares();
      $this->twiggy->set('fasesescolares', $fases);
      
      $this->twiggy->display('coordenador/avisos_cadastrar');
    }
    elseif( $action=='excluir' && !empty($id) ) 
    {
      $data['result_excluir'] = $this->Avisos_model->excluir($id);
      $this->twiggy->set($data, true);
      $this->twiggy->display('coordenador/avisos_excluir');
    }
    else
    {
      //Pegando as Turmas
      $turmas = $this->Turmas_model->get_turmas();
      $this->twiggy->set('turmas', $turmas);

      //Pegando as Fases Escolares
      $fases = $this->FasesEscolares_model->get_fasesescolares();
      $this->twiggy->set('fasesescolares', $fases);

      //Pegando os avisos
      $avisos = $this->Avisos_model->get_avisos();
      $this->twiggy->set('avisos', $avisos);

      //Pegando os registros aviso_turma
      $at = $this->Avisos_model->get_aviso_turma();
      $this->twiggy->set('at', $at);

      $this->twiggy->display('coordenador/avisos');
    }
  }


  /**
   * Manter Grade Horaria
   */
  public function grade($action='', $id='')
  {
    $data = array();
    $this->load->model('Turmas_model');

    // Se for numerico se refere ao TUR_ID
    if( is_numeric($action) )
    {
      // Foi submetido um form para a propia pagina
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['arquivo']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['grade_upload']);

        if ( !$this->upload->do_upload('arquivo') )
        {
          $data['result_cadastrar'] = 'arquivo_error';
        }
        else
        {
          $form['arquivo'] = $this->upload->data();
          $this->twiggy->set('result_cadastrar', $this->Turmas_model->cadastrar_grade($form, $action));
        }
      }

      $this->twiggy->set('turma', $this->Turmas_model->get_turma($action));
      $this->twiggy->set('grade', $this->Turmas_model->get_grade($action));

      $this->twiggy->display('coordenador/grade');
    }
    elseif( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->Turmas_model->grade_excluir($id);
      $this->twiggy->set($data, true);
      $this->twiggy->display('coordenador/grade_excluir');
    }
    else
    {
      redirect('/coordenador');
    }    
  }
}
