<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Professor extends MY_Controller {


  /**
   * Initialize template and model
   */
  public function __construct()
  {
    parent::__construct();

    $this->twiggy->title('Professor');
  }


  /**
   * Home page
   */
  public function index()
  {
    $data = array();
    $this->load->model('Turmas_model');
    $this->load->model('Avaliacoes_model');
    $this->load->model('Lancamentos_model');
    $this->load->model('Questoes_model');
    
    $data['avaliacoes_professor'] = $this->Avaliacoes_model->get_avaliacoes_professor( $this->user->usu_id );
    $data['questoes_cadastradas_professor'] = $this->Questoes_model->get_total_cadastradas_professor($this->user->usu_id);
    $data['lancamentos_professor'] = $this->Lancamentos_model->get_lancamentos_professor( $this->user->usu_id );
    $data['alunos_por_turma'] = $this->Turmas_model->get_alunos_por_turma( $this->user->usu_id );

    // echo "<pre>";
    // print_r($data['avaliacoes_professor']);
    // echo "</pre>";

    $this->twiggy->set($data, null);
    $this->twiggy->display('professor/index');
  }


  /**
   * Manter Arquivos disponibilizados
   */
  public function arquivos($action="", $id="")
  {
    $data = array();
    $this->load->model('Arquivos_model');
    $this->load->model('Turmas_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        // Faz o cadastro e upload da imagem
        if ( !empty($_FILES['arquivo']['name']) )
        {
          // Carrega as configs de upload
          $config = $this->config->item('mysiids');
          $this->load->library('upload', $config['arquivos_upload']);

          if ( !$this->upload->do_upload('arquivo') )
          {
            $data['result_cadastrar'] = 'arquivo_error';
          }
          else
          {
            $form['arquivo'] = $this->upload->data();
            $data['result_cadastrar'] = $this->Arquivos_model->cadastrar($form);
          }
        }
        
        $this->twiggy->set($data, true);
      }
          
      $this->twiggy->set('relation', $this->Turmas_model->get_professor_turma_materia( $this->user->usu_id ));
      
      $this->twiggy->display('professor/arquivos_cadastrar');
    }
    elseif( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->Arquivos_model->excluir($id);
      $this->twiggy->set($data, true);
      $this->twiggy->display('professor/arquivos_excluir');
    }
    else
    {
      $this->twiggy->set('arquivos', $this->Arquivos_model->get_professor_arquivos( $this->user->usu_id ));

      $this->twiggy->set($data, null);
      $this->twiggy->display('professor/arquivos');
    }
  }


  /**
   * Manter Listas de Exercicios
   */
  public function lista_exercicios($action='', $id='')
  {
    $this->load->model('Turmas_model');
    $this->load->model('ListaExercicios_model');


    // Se for numerico se refere ao TUR_ID
    if( is_numeric($action) )
    {
      $this->twiggy->set('turma', $this->Turmas_model->get_turma($action, $this->user->usu_id));
      $this->twiggy->set('listas', $this->ListaExercicios_model->get_listas($action, $this->user->usu_id));
      $this->twiggy->set('alunos', $this->Turmas_model->get_turma_alunos($action, $this->user->usu_id));

      $this->twiggy->display('professor/lista_exercicios');
    }
    elseif( $action=='cadastrar' && !empty($id) )
    {
      // Cadastrar
      $this->twiggy->set('turma', $this->Turmas_model->get_turma($id, $this->user->usu_id));
      $this->twiggy->set('materias', $this->Turmas_model->get_professor_turma_materia($this->user->usu_id, $id));
      $this->twiggy->set('listas', $this->ListaExercicios_model->get_listas($id, $this->user->usu_id));
      $this->twiggy->set('alunos', $this->Turmas_model->get_turma_alunos($id, $this->user->usu_id));

      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $this->twiggy->set('result_cadastrar', $this->ListaExercicios_model->cadastrar($form, $id));
      }

      $this->twiggy->display('professor/lista_exercicios_cadastrar');
    }
    elseif( $action=='editar' && !empty($id) )
    {
      // Editar
      $form = $this->input->post();
      if( !empty($form) )
      {
        $this->twiggy->set('result_editar', $this->ListaExercicios_model->editar($form, $id));
      }

      $lista = $this->ListaExercicios_model->get_lista($id, $this->user->usu_id);

      $tur_id = current($lista);
      $tur_id = $tur_id->tur_id;
      
      // Para fazer o checked
      $lista_ids = array();
      foreach ($lista AS $aluno) {
        $lista_ids[] = $aluno->usu_id;
      }

      $this->twiggy->set('lista', $lista );
      $this->twiggy->set('lista_ids', $lista_ids );
      $this->twiggy->set('turma', $this->Turmas_model->get_turma($tur_id));
      $this->twiggy->set('alunos', $this->Turmas_model->get_turma_alunos($tur_id));

      $this->twiggy->display('professor/lista_exercicios_editar');
    }
    elseif( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->ListaExercicios_model->excluir($id);
      $this->twiggy->set($data, true);
      $this->twiggy->display('professor/lista_exercicios_excluir');
    }
    else
    {
      redirect('/professor');
    }
  }
}
