<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class MY_Controller extends CI_Controller {

  /*
   * Usuario atual/logado */
  var $user;

  /*
   * Lista de acesso a determiados methods */
  var $access = array(
    'alunos'        => array('admin', 'coordenador', 'professor'),
    'planejamento'  => array('coordenador', 'professor'),
    'turmas'        => array('admin', 'coordenador', 'professor'),
    'lancamentos'   => array('admin', 'coordenador', 'professor'),
    'avaliacoes'    => array('admin', 'coordenador', 'professor'),
    'questoes'      => array('admin', 'coordenador', 'professor'),
    'simulados'     => array('admin', 'coordenador', 'professor'),
  );


  /**
   * Initialize
   */
  public function __construct()
  {
    parent::__construct();

    // Instanciando com o usuario atual (logado)
    $this->user = $this->session->userdata('user');

    // Restringindo acesso a quem está na lista
    $this->access($this->router->fetch_method());

    //Pegando o bimestre atual
    $this->load->model('Configuracao_model');
    $this->twiggy->set('bimestreatual', $this->Configuracao_model->get_bimestre());
    
    // Definindo a base de url (/admin, /coordenador ...)
    $this->twiggy->set('base_url', base_url($this->user->controller));
  }


  /**
   * Manter Alunos
   */
  public function alunos($action="", $id="", $bimestre="")
  {
    $data = array();
    $this->load->model('Usuarios_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        // Faz o cadastro e upload da imagem
        if ( !empty($_FILES['foto']['name']) )
        {
          // Carrega as configs de upload
          $config = $this->config->item('mysiids');
          $this->load->library('upload', $config['usuario_foto_upload']);

          if ( !$this->upload->do_upload('foto') )
          {
            $data['result_cadastrar'] = 'imagem_error';
          }
          else
          {
            $form['foto'] = $this->upload->data();
            $data['result_cadastrar'] = $this->Usuarios_model->cadastrar($form, 'aluno');
          }

        }
        else
        {
          // Apenas o cadastro, sem imagem
          $data['result_cadastrar'] = $this->Usuarios_model->cadastrar($form, 'aluno');
        }
        
        $this->twiggy->set($data, true);
      }

      // Caso o ID exista (ele estará referenciando a turma)
      // Deixa a turma ja selecionada no select (HTML)
      $this->twiggy->set('turma_id', $id);

      // Pegando as turmas
      $this->load->model('Turmas_model');
      $turmas = $this->Turmas_model->get_turmas();

      $this->twiggy->set('turmas', $turmas);
      $this->twiggy->display('comum/alunos_cadastrar');
    }
    else if( $action=='editar' && !empty($id) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        // Faz o cadastro e upload da imagem
        if ( !empty($_FILES['foto']['name']) )
        {
          // Carrega as configs de upload
          $config = $this->config->item('mysiids');
          $this->load->library('upload', $config['usuario_foto_upload']);

          if ( !$this->upload->do_upload('foto') )
          {
            $data['result_editar'] = 'imagem_error';
          }
          else
          {
            $form['foto'] = $this->upload->data();
            $data['result_editar'] = $this->Usuarios_model->editar($id, $form);
          }

        }
        else
        {
          // Apenas o edicao, sem imagem
          $data['result_editar'] = $this->Usuarios_model->editar($id, $form);
        }
        
        $this->twiggy->set($data, true);
      }
      // Final da parte que realmente faz a edicao
      // -----------------------------------------

      // Pegando as turmas
      $this->load->model('Turmas_model');
      $turmas = $this->Turmas_model->get_turmas();

      $this->twiggy->set('turmas', $turmas);

      // Resgatando os dados do aluno
      $aluno = $this->Usuarios_model->get_aluno( $id );
      if( $aluno==false )
      {
        $data['result_editar'] = 'danger';
        $this->twiggy->set($data, true);
      }
      else
      {
        $this->twiggy->set('aluno', $aluno);
      }

      $this->twiggy->display('comum/alunos_editar');
    }
    else if( $action=='associar' && !empty($id) )
    {
      // ID está referenciando a turma
      $this->load->model('Turmas_model');
      $this->load->model('Alunos_model');
      $data = array();

      $form = $this->input->post();
      if( !empty($form) )
      {
        // Veio vazio, ou seja, ira apenas remover os alunos da turma
        if( !isset($form['alunos']) )
          $form['alunos'] = array();
        $data['result_associar'] = $this->Turmas_model->alterar_aluno_turma($form['alunos'], $id);
      }

      $this->twiggy->set('alunos', $this->Alunos_model->get_alunos_sem_turma($id));
      $this->twiggy->set('turma', $this->Turmas_model->get_turma($id));
      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/alunos_associar');
    }
    else if( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->Usuarios_model->excluir($id);
      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/alunos_excluir');
    }
    else if( $action=='notas' && !empty($id) )
    {
      $this->twiggy->set('bimestre', $bimestre);

      // Resgatando os dados do aluno
      $this->load->model('Alunos_model');
      
      $this->twiggy->set('aluno', $this->Usuarios_model->get_aluno( $id ));
      $this->twiggy->set('materias', $this->Alunos_model->get_aluno_notas( $id, $bimestre ));
      
      $this->twiggy->display('comum/alunos_notas');
    }
    else
    {
      $this->twiggy->set('alunos', $this->Usuarios_model->get_alunos( true ));
      $this->twiggy->display('comum/alunos');
    }
  }


  /**
   * Manter Planejamento Semanal
   */
  public function planejamento($action='', $id='')
  {
    $this->load->model('Turmas_model');
    $this->load->model('Planejamentos_model');

    // Se for numerico se refere ao TUR_ID
    if( is_numeric($action) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        // Faz o cadastro e upload da imagem
        if ( !empty($_FILES['arquivo']['name']) )
        {
          // Carrega as configs de upload
          $config = $this->config->item('mysiids');
          $this->load->library('upload', $config['planejamento_upload']);

          if ( !$this->upload->do_upload('arquivo') )
          {
            $data['result_cadastrar'] = 'arquivo_error';
          }
          else
          {
            $form['arquivo'] = $this->upload->data();
            $data['result_cadastrar'] = $this->Planejamentos_model->cadastrar($form, $action);
          }
        }
        
        $this->twiggy->set($data, true);
      }

      $this->twiggy->set('turma', $this->Turmas_model->get_turma($action));
      $this->twiggy->set('planejamentos', $this->Planejamentos_model->get_planejamentos($action));

      $this->twiggy->display('comum/planejamento');
    }
    elseif( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->Planejamentos_model->excluir($id);
      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/planejamento_excluir');
    }
    else
    {
      redirect( $this->user->controller );
    }    
  }


  /**
   * Turmas
   */
  public function turmas($action="", $id="")
  {
    $data = array();
    $this->load->model('Turmas_model');
    $this->load->model('Materias_model');
    $this->load->model('FasesEscolares_model');
    $this->load->model('Usuarios_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Turmas_model->cadastrar($form);
        
        $this->twiggy->set($data, true);
      }

      //Pegando as Fases Escolares
      $fasesescolares = $this->FasesEscolares_model->get_fasesescolares();
      $this->twiggy->set('fasesescolares', $fasesescolares);
      
      $this->twiggy->display('comum/turmas_cadastrar');
    }
    else if( $action=='editar' && !empty($id) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_editar'] = $this->Turmas_model->editar($id, $form);
        $this->twiggy->set($data, true);
      }
      // Final da parte que realmente faz a edicao

      // -----------------------------------------

      // Resgatando os dados da turma
      $turma = $this->Turmas_model->get_turma( $id );
      if( $turma==false )
      {
        $data['result_editar'] = 'danger';
        $this->twiggy->set($data, true);
      }
      else
      {
        $this->twiggy->set('turma', $turma);
      }

      //Pegando as Fases Escolares
      $fasesescolares = $this->FasesEscolares_model->get_fasesescolares();
      $this->twiggy->set('fasesescolares', $fasesescolares);

      //Pegando os Professores
      $professores = $this->Usuarios_model->get_professores();
      $this->twiggy->set('professores', $professores);

      //Pegando as Materias
      $materias = $this->Materias_model->get_materias();
      $this->twiggy->set('materias', $materias);

      //Pegando as Matérias da fase escolar
      $materias = $this->Turmas_model->get_fase_escolar_materia( $id );
      $id_materias = array();
      if( $materias )
      {
        foreach( $materias AS $reg )
        {
          $id_materias[] = $reg->mat_id;
        }
      }
      $this->twiggy->set('id_materias', $id_materias);

      //Pega tabela intermediaria (professor_turma)
      $pt = $this->Turmas_model->get_professorturma( $id );
      $this->twiggy->set('pt', $pt);


      $this->twiggy->display('comum/turmas_editar');
    }
    else if( $action=='alunos' && !empty($id) )
    {
      // Resgatando os dados da turma
      $turma = $this->Turmas_model->get_turma( $id );
      $this->twiggy->set('turma', $turma);

      $alunos = $this->Turmas_model->get_turma_alunos( $id );
      $this->twiggy->set('alunos', $alunos);

      $this->twiggy->display('comum/turmas_alunos');
    }
    else
    {
      // Pegando as turmas
      $data['turmas'] = $this->Turmas_model->get_turmas();
      if( $this->user->controller == 'professor' )
        $data['turmas'] = $this->Turmas_model->get_turma_professor( $this->user->usu_id, true ); // Relacionadas ao professor e q possuam alunos

      // Professores relacionado com as Materias (Exibida no Admin e Coordenador)
      $data['professores_turmas'] = $this->Turmas_model->get_turmas_professores();

      // Materias que o professor ministra (Só é usada quando for o professor logado)
      $data['professor_materias'] = $this->Turmas_model->get_professor_turma_materia($this->user->usu_id);

      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/turmas');
    }
  }


  /**
   * Manter Lançamentos de Notas
   */
  public function lancamentos($action="", $id="", $bimestre="")
  {

    $data = array();
    $this->load->model('Lancamentos_model');
    $this->load->model('Turmas_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Lancamentos_model->cadastrar($form);
        
        $this->twiggy->set($data, true);
      }

      //Pegando as turmas
      $turmas = $this->Turmas_model->get_turmas(true); // que nao estejam vazias
      $this->twiggy->set('turmas', $turmas);
      
      $this->twiggy->display('comum/lancamentos_cadastrar');
    }
    else if( $action=='turma' && !empty($id) && !empty($bimestre))
    {
      $this->twiggy->set('bimestre', $bimestre);

      // Resgatando os dados da turma
      $turma = $this->Turmas_model->get_turma( $id );
      if( $turma==false )
      {
        $data['result_editar'] = 'danger';
      }
      else
      {
        $this->twiggy->set('turma', $turma);
      }

      // Pegando os lançamentos
      $data['lancamentos'] = $this->Lancamentos_model->get_lancamentos($id, $bimestre);
      if( $this->user->controller == 'professor' )
        $data['lancamentos'] = $this->Lancamentos_model->get_lancamentos_professor($this->user->usu_id, $id, $bimestre);

      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/lancamentos_turma');
    }
    else if( $action=='notas' && !empty($id))
    {
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Lancamentos_model->notas($form, $id);
        
        $this->twiggy->set($data, true);
      }

      // pegando o lançamento
      $lancamento = $this->Lancamentos_model->get_lancamento($id);
      $this->twiggy->set('lancamento', $lancamento);

      // pegando as notas do aluno
      $notas = $this->Lancamentos_model->get_notas($id);
      $this->twiggy->set('notas', $notas);

      $this->twiggy->display('comum/lancamentos_notas');
    }
    else if( $action=='administrar' && !empty($id) )
    {
      $this->twiggy->set('lancamentos', $this->Lancamentos_model->get_lancamentos());

      $this->twiggy->display('comum/lancamentos');
    }
    else
    {
      $this->twiggy->set('lancamentos', $this->Lancamentos_model->get_lancamentos());

      $this->twiggy->display('comum/lancamentos');
    }
  }


  /**
   * Manter Avaliações
   */
  public function avaliacoes($action="", $id="")
  {
    $data = array();
    $this->load->model('Avaliacoes_model');
    $this->load->model('Turmas_model');
    $this->load->model('Materias_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Avaliacoes_model->cadastrar($form);        
      }

      //Pegando as turmas que possuam alunos cadastrados (true)
      $data['turmas'] = $this->Turmas_model->get_turmas(true);
      
      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/avaliacoes_cadastrar');
    }
    elseif( $action=='cadastrar-2' && !empty($id) )
    {
      //Pegando o id da turma da avaliacao
      $id_turma = $this->Avaliacoes_model->get_turma_id( $id );

      //Pegando a fase escolar da turma
      $id_faseescolar = $this->Turmas_model->get_fase_escolar_id( $id_turma );

      //Pegando as Materias
      $materias = $this->Materias_model->get_materias();
      $this->twiggy->set('materias', $materias);

      //Pegando as Matérias da fase escolar
      $materias = $this->Turmas_model->get_fase_escolar_materia( $id_faseescolar );
      $id_materias = array();
      if( $materias )
      {
        foreach( $materias AS $reg )
        {
          $id_materias[] = $reg->mat_id;
        }
      }
      $this->twiggy->set('id_materias', $id_materias);

      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Avaliacoes_model->cadastrar_2($form, $id_materias);
        
        $this->twiggy->set($data, true);
      }

      //Pegando os dados da própria avaliacao
      $avaliacao = $this->Avaliacoes_model->get_avaliacao( $id );
      $this->twiggy->set('avaliacao', $avaliacao);

      // Resgatando os dados da turma
      $turma = $this->Turmas_model->get_turma( $id_turma );
      if( $turma==false )
      {
        $data['result_editar'] = 'danger';
        $this->twiggy->set($data, true);
      }
      else
      {
        $this->twiggy->set('turma', $turma);
      }
      
      $this->twiggy->display('comum/avaliacoes_cadastrar_2');
    }
    else if( $action=='editar' && !empty($id) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        if(isset($form['alterar']))
        {
          $data['result_editar'] = $this->Avaliacoes_model->editar($form, $id);
          $this->twiggy->set($data, true);
        }
        elseif(isset($form['incluir']))
        {
          $data['result_editar'] = $this->Avaliacoes_model->incluir($form, $id);
          $this->twiggy->set($data, true);
        }
      }
      // Final da parte que realmente faz a edicao
      // -----------------------------------------

      //Pegando o id da turma da avaliacao
      $id_turma = $this->Avaliacoes_model->get_turma_id( $id );

      // Resgatando os dados da turma
      $turma = $this->Turmas_model->get_turma( $id_turma );
      if( $turma==false )
      {
        $data['result_editar'] = 'danger';
        $this->twiggy->set($data, true);
      }
      else
      {
        $this->twiggy->set('turma', $turma);
      }

      //Pegando a fase escolar da turma
      $id_faseescolar = $this->Turmas_model->get_faseescolar( $id_turma );

      //Pegando as Materias
      $materias = $this->Materias_model->get_materias();
      $this->twiggy->set('materias', $materias);

      //Pegando as Matérias da fase escolar
      $materias = $this->Turmas_model->get_fase_escolar_materia( $id_faseescolar );
      $id_materias = array();
      if( $materias )
      {
        foreach( $materias AS $reg )
        {
          $id_materias[] = $reg->mat_id;
        }
      }
      $this->twiggy->set('id_materias', $id_materias);

      //Pegando os dados da própria avaliacao
      $avaliacao = $this->Avaliacoes_model->get_avaliacao( $id );
      $this->twiggy->set('avaliacao', $avaliacao);

      //Pegando as questões na tabela intermediaria
      $questoes = $this->Avaliacoes_model->get_questoes( $id );
      $this->twiggy->set('questoes', $questoes);

      $this->twiggy->display('comum/avaliacoes_editar');
    }
    elseif($action=='enviar-respostas' && !empty($id))
    {
      // $id está referenciando o id da avaliação (ava_id)
      if( !empty($_FILES['respostas']['name']) )
      {
        $respostas = $_FILES['respostas'];
        $data['result_enviar_respostas'] = $this->Avaliacoes_model->gravar_respostas( $respostas, $id );
      }
      
      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/avaliacoes_enviar_respostas');
    }
    elseif($action=='administrar')
    {
      // $id assume papel de bimestre

      // Caso nao seja passado o bimestre, pega o atual
      if( empty($id) )
      {
        $this->load->model('Configuracao_model');
        $id = $this->Configuracao_model->get_bimestre();
      }

      $form = $this->input->post();
      if( !empty($form) )
      {
        if(isset($form['gerar-prova']))
        {
          $data['gerar_prova_result'] = $this->Avaliacoes_model->gerar_prova($form['ava_id']);
        }
        else if(isset($form['imprimir-prova']))
        {
          $this->load->model('ImprimirProvas_model');
          $this->ImprimirProvas_model->get( $form['ava_id'] );
        }
      }

      $data['bimestre'] = $id;
      $data['turmas'] = $this->Avaliacoes_model->get_avaliacoes( $id, true ); // Turmas que possuam alunos
    
      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/avaliacoes_administrar');
    }
    else if( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->Avaliacoes_model->excluir($id);
      $this->twiggy->set($data, true);
    }
    else if( $action=='alterarquestao' && !empty($id) )
    {
      $data['result_excluir'] = $this->Avaliacoes_model->alterarquestao($id);
      $this->twiggy->set($data, true);
    }
  }


  /**
   * Manter Questões
   */
  public function questoes($action="", $id="", $bimestre="")
  {
    $data = array();
    $this->load->model('Configuracao_model');
    $this->load->model('Questoes_model');
    $this->load->model('Materias_model');
    $this->load->model('Avaliacoes_model');
    $this->load->model('Simulados_model');
    $this->load->model('Turmas_model');
    $this->load->model('FasesEscolares_model');
    $this->load->model('Simulados_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        // Faz o cadastro e upload da imagem
        if ( !empty($_FILES['imagem']['name']) )
        {
          // Carrega as configs de upload
          $config = $this->config->item('mysiids');
          $this->load->library('upload', $config['questao_upload']);

          if ( !$this->upload->do_upload('imagem') )
          {
            $data['result_cadastrar'] = 'arquivo_error';
          }
          else
          {
            $form['imagem'] = $this->upload->data();
            $data['result_cadastrar'] = $this->Questoes_model->cadastrar($form);
          }
        }
        else
        {
          $data['result_cadastrar'] = $this->Questoes_model->cadastrar($form);
        }       
      }

      // Pegando as Matérias
      $data['materias'] = $this->Materias_model->get_materias();
      if( $this->user->controller == 'professor' )
        $data['materias'] = $this->Materias_model->get_materia_professor($this->user->usu_id, false, true);
      
      // Variavel id, assume papel de materia id
      // Ja vai deixar selecionado a materia
      $data['materia_selected'] = $id;

      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/questoes_cadastrar');
    }
    elseif( $action=='cadastrar-2' && !empty($id) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Questoes_model->cadastrar_2( $form, $id );
        
        $this->twiggy->set($data, true);
      }

      // Pegando o nome do usuario
      $data['nome'] = $this->user->usu_nome;

      // Pegando a questao
      $data['questao'] = $this->Questoes_model->get_questao( $id );

      // Pegando as associações das avaliações
      $data['ava_aq'] = $this->Avaliacoes_model->get_avaliacao_questao( $data['questao']->mat_id, true );

      // Pegando as associações dos PPDs
      $data['ppd_aq'] = $this->Avaliacoes_model->get_ppd_questao( $data['questao']->mat_id, true );

      // Pegando as associações dos Simulados
      $data['sim_aq'] = $this->Simulados_model->get_simulado_questao( $data['questao']->mat_id, true );

      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/questoes_cadastrar2');
    }
    elseif( $action=='editar' && !empty($id) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        // Faz o cadastro e upload da imagem
        if ( !empty($_FILES['imagem']['name']) )
        {
          // Carrega as configs de upload
          $config = $this->config->item('mysiids');
          $this->load->library('upload', $config['questao_upload']);

          if ( !$this->upload->do_upload('imagem') )
          {
            $data['result_editar'] = 'arquivo_error';
          }
          else
          {
            $form['imagem'] = $this->upload->data();
            $data['result_editar'] = $this->Questoes_model->editar($form, $id);
          }
        }
        else
        {
          $data['result_editar'] = $this->Questoes_model->editar($form, $id);
        }
        
        $this->twiggy->set($data, true);
      }
      // Final da parte que realmente faz a edicao
      // -----------------------------------------

      // Resgatando os dados da materia
      $questao = $this->Questoes_model->get_questao( $id );
      if( $questao==false )
      {
        $data['result_editar'] = 'danger';
        $this->twiggy->set($data, true);
      }
      else
      {
        $this->twiggy->set('questao', $questao);
      }

      //Pegando as Alternativas
      $alternativas = $this->Questoes_model->get_alternativas( $id );
      $this->twiggy->set('alternativas', $alternativas);

      $this->twiggy->display('comum/questoes_editar');
    }
    elseif( $action=='avaliacoes' && !empty($id) )
    {
      //Pegando as turmas
      $turmas = $this->Turmas_model->get_turmas();
      $this->twiggy->set('turmas', $turmas);

      //Pegando as Associações
      $fasesescolares = $this->FasesEscolares_model->get_todas_fasesescolares_materias();
      $this->twiggy->set('fasesescolares', $fasesescolares);

      //Prgando as Matérias
      $materias = $this->Materias_model->get_materias();
      $this->twiggy->set('materias', $materias);

      //Prgando a Avaliacao
      $avaliacao = $this->Avaliacoes_model->get_avaliacao( $id );
      $this->twiggy->set('avaliacao', $avaliacao);

      //Pegando as questões na tabela intermediaria
      $data['questoes'] = $this->Avaliacoes_model->get_questoes( $id );
      if( $this->user->controller == 'professor' )
        $data['questoes'] = $this->Avaliacoes_model->get_questoes( $id, $this->user->usu_id );

      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/questoes_avaliacoes');
    }
    elseif( $action=='simulados' && !empty($id) && !empty($bimestre) )
    {
      //Prgando a Avaliacao
      $simulado = $this->Simulados_model->get_simulado_bimestre( $bimestre );
      $this->twiggy->set('simulado', $simulado);

      //Pegando as questões na tabela intermediaria
      if( !empty($simulado) )
      {
        $questoes = $this->Simulados_model->get_questoes( $simulado->sim_id );
        $this->twiggy->set('questoes', $questoes);
      }

      $this->twiggy->display('comum/questoes_simulados');
    }
    elseif( $action=='ppd' && !empty($id) && !empty($bimestre) )
    {
      //Prgando as questoes de ppd
      $ppd = $this->Avaliacoes_model->get_ppd_bimestre( $bimestre );
      $this->twiggy->set('ppd', $ppd);

      $this->twiggy->display('comum/questoes_ppd');
    }
    elseif( $action=='a_desassociar' && !empty($id) )
    {
      $data['result_excluir'] = $this->Questoes_model->desassociar($id, 'a');
      $this->twiggy->set($data, true);
    }
    elseif( $action=='a_anular' && !empty($id) )
    {
      $data['result_excluir'] = $this->Questoes_model->anularquestao($id, 'a');
      $this->twiggy->set($data, true);
    }
    elseif( $action=='s_desassociar' && !empty($id) )
    {
      $data['result_excluir'] = $this->Questoes_model->desassociar($id, 's');
      $this->twiggy->set($data, true);
    }
    elseif( $action=='s_anular' && !empty($id) )
    {
      $data['result_excluir'] = $this->Questoes_model->anularquestao($id, 's');
      $this->twiggy->set($data, true);
    }
    elseif( $action=='p_desassociar' && !empty($id) )
    {
      $data['result_excluir'] = $this->Questoes_model->desassociar($id, 'p', $bimestre);
      $this->twiggy->set($data, true);
    }
    else
    {
      $bimestre = $action;
      $this->twiggy->set('bimestre', $bimestre);

      //Pegando as avaliações
      $data['turmas'] = $this->Avaliacoes_model->get_avaliacoes( $bimestre, true );
      if( $this->user->controller == 'professor' )
      {
        $data['turmas'] = $this->Avaliacoes_model->get_avaliacoes( $bimestre, true, $this->user->usu_id);
        $data['questoes_cadastradas_professor'] = $this->Questoes_model->get_total_cadastradas_professor($this->user->usu_id);
      }

      $this->twiggy->set($data, true);
      $this->twiggy->display('comum/questoes');
    }
  }


  /**
   * Manter Simulados
   */
  public function simulados($action="", $id="")
  {
    $data = array();
    $this->load->model('Simulados_model');
    $this->load->model('Turmas_model');
    $this->load->model('Materias_model');
    $this->load->model('FasesEscolares_model');

    if( $action=='cadastrar' )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        $data['result_cadastrar'] = $this->Simulados_model->cadastrar($form);
        
        $this->twiggy->set($data, true);
      }
      
      $this->twiggy->display('comum/simulados_cadastrar');
    }
    else if( $action=='editar' && !empty($id) )
    {
      // Foi submetido um form para a propia pagina
      $form = $this->input->post();
      if( !empty($form) )
      {
        if(isset($form['alterar']))
        {
          $data['result_editar'] = $this->Simulados_model->editar($form, $id);
          $this->twiggy->set($data, true);
        }
        elseif(isset($form['incluir']))
        {
          $data['result_editar'] = $this->Simulados_model->incluir($form, $id);
          $this->twiggy->set($data, true);
        }
      }
      // Final da parte que realmente faz a edicao
      // -----------------------------------------

      //Pegando o id da turma do simulado
      $id_turma = $this->Simulados_model->get_turma_id( $id );

      // Resgatando os dados da turma
      $turma = $this->Turmas_model->get_turma( $id_turma );
      if( $turma==false )
      {
        $data['result_editar'] = 'danger';
        $this->twiggy->set($data, true);
      }
      else
      {
        $this->twiggy->set('turma', $turma);
      }

      //Pegando a fase escolar da turma
      $id_faseescolar = $this->Turmas_model->get_faseescolar( $id_turma );

      //Pegando as Materias
      $materias = $this->Materias_model->get_materias();
      $this->twiggy->set('materias', $materias);

      //Pegando as Matérias da fase escolar
      $materias = $this->Turmas_model->get_fase_escolar_materia( $id_faseescolar );
      $id_materias = array();
      if( $materias )
      {
        foreach( $materias AS $reg )
        {
          $id_materias[] = $reg->mat_id;
        }
      }
      $this->twiggy->set('id_materias', $id_materias);

      //Pegando os dados do proprio simulado
      $simulado = $this->Simulados_model->get_simulado( $id );
      $this->twiggy->set('simulado', $simulado);

      //Pegando as questões na tabela intermediaria
      $questoes = $this->Simulados_model->get_questoes( $id );
      $this->twiggy->set('questoes', $questoes);

      $this->twiggy->display('comum/simulados_editar');
    }
    elseif($action=='administrar' && !empty($id))
    {
      $bimestre = $id;
      $this->twiggy->set('bimestre', $bimestre);
    
      //Pegando os simulados
      $simulados = $this->Simulados_model->get_simulados( $bimestre );
      $this->twiggy->set('simulados', $simulados);      

      //Pegando as turmas
      $turmas = $this->Turmas_model->get_turmas();
      $this->twiggy->set('turmas', $turmas);

      $this->twiggy->display('comum/simulados_administrar');
    }
    else if( $action=='excluir' && !empty($id) )
    {
      $data['result_excluir'] = $this->Simulados_model->excluir($id);
      $this->twiggy->set($data, true);
    }
  }


  public function relatorios($action='', $id='', $bimestre='', $mat_id='')
  {
    $data = array();
    $this->load->model('Relatorios_model');

    if( empty($action) || empty($id) )
      $data['relatorios_erro'] = 'empty';

    if( $action=='anual' )
    {
      $data['relatorios_erro'] = $this->Relatorios_model->get_anual($id);
    }
    elseif( $action=='completo' )
    {
      $data['relatorios_erro'] = $this->Relatorios_model->get_completo($id, $bimestre, $mat_id);
    }
    elseif( $action=='simplificado' )
    {
      $data['relatorios_erro'] = $this->Relatorios_model->get_simplificado($id, $bimestre);
    }

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/relatorios_erro');
  }


  /**
   * Manter dados pessoais
   */
  public function meus_dados()
  {
    $this->load->model('Usuarios_model');
    $data = array();

    $form = $this->input->post();
    if( !empty($form) )
    {
      // Faz o cadastro e upload da imagem
      if ( !empty($_FILES['foto']['name']) )
      {
        // Carrega as configs de upload
        $config = $this->config->item('mysiids');
        $this->load->library('upload', $config['usuario_foto_upload']);

        if ( !$this->upload->do_upload('foto') )
        {
          $data['result_editar'] = 'imagem_error';
        }
        else
        {
          $form['foto'] = $this->upload->data();
          $data['result_editar'] = $this->Usuarios_model->editar($this->user->usu_id, $form);
        }
      }
      else
      {
        // Apenas o cadastro, sem imagem
        $data['result_editar'] = $this->Usuarios_model->editar($this->user->usu_id, $form);
      }

      $dados = (array) $this->Usuarios_model->get_usuario($this->user->usu_id);
      $this->user = (object) array_merge((array) $this->user, $dados);

      // Atualiza os novos dados na session
      $this->session->set_userdata('user', $this->user );
      
      $this->twiggy->set($data, true);
    }

    // Resgatando os dados do usuario, nao permitindo q sejam alunos
    $usuario = $this->Usuarios_model->get_usuario( $this->user->usu_id, array('usuario_perfil.controller !='=>'aluno') );
    if( $usuario==false )
      $data['result_editar'] = 'danger';
    else
      $this->twiggy->set('usuario', $usuario);

    $this->twiggy->set($data, true);
    $this->twiggy->display('comum/meus_dados');
  }


  /**
   * Deslogar
   */
  public function deslogar()
  {
    $this->session->sess_destroy();
    redirect('/');
  }


  /**
   * Method que faz a restricao de conteudo por acesso
   * Se não estiver na lista de acesso, é liberada a visualização
   *
   * @param $mehod -> funcao a ser checada
   */
  private function access($method)
  {
    if( isset($this->access[$method]) && !in_array($this->user->controller, $this->access[$method]) )
      redirect($this->user->controller);
  }
}
