<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once APPPATH.'third_party/fpdf/fpdf-1.7.php';
class Fpdf_loader extends FPDF  {
	
	// Current column
  var $col = 0;

  // Ordinate of column start
  var $y0 = 15;

  var $header_title = "";

  var $show_footer_pager = true;
		
	public function __construct()
	{
		parent::__construct();
		
		$CI =& get_instance();
		$CI->fpdf = $this;		
	}


	/**
   * DEFININDO A POSIÇÃO DAS COLUNAS
   **/
  public function SetCol($col)
  {
      // Set position at a given column
      $this->col = $col;
      $x = 10+$col*100;
      $this->SetLeftMargin($x);
      $this->SetX($x);
  }


  /**
   * Implementação padrão para o FPDF
   * DEFININDO O HEADER
   **/
  public function Header()
  {
      $this->SetFont('Arial','',8);
      $this->Cell(0,0,utf8_decode( $this->header_title ),0,0,'C');
      $this->Ln(5);
  }

  /**
   * Implementação padrão para o FPDF
   * DEFININDO O FOOTER
   **/
  public function Footer()
  {
    // Page footer
    if( $this->show_footer_pager )
    {
	    $this->SetY(-15);
	    $this->SetFont('Arial','I',8);
	    $this->SetTextColor(128);
	    $this->Cell(0,10,utf8_decode('Página '.$this->PageNo()),0,0,'C');
    }
  }

  

  /**
   * Implementação padrão para o FPDF
   * DEFININDO A ACEITAÇÃO DE QUEBRA DE PÁGINA
   **/
  public function AcceptPageBreak()
  {
    // Method accepting or not automatic page break
    if($this->col<1)
    {
      // Go to next column
      $this->SetCol($this->col+1);
      // Set ordinate to top
      $this->SetY($this->y0);
      // Keep on page
      return false;
    }
    else
    {
      // Go back to first column
      $this->SetCol(0);
      // Set ordinate to top
      $this->SetY($this->y0);
      // Page break
      return true;
    }
  }
	
}
