<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Configuracao_model extends CI_Model {

  public function __construct() {
    parent::__construct();
    $this->load->database();
  }

  /**
   * Atualiza as configurações
   * @param $form -> Array com os dados do POST
   *
   * @return 'success' -> Matéria cadastrada com sucesso
   * @return 'warning' -> Caso matéria já exista
   * @return 'danger' -> Algum erro de processamento
   */
  public function atualizar( $form )
  {
    if(isset($form['reset']))
    {
      $user = $this->session->userdata('user');
      if($form['pass1'] == $form['pass2'] && md5($form['pass1']) == $user->usu_senha)
      {
        return 'prosseguir';
      }
      else
      {
        return "danger_reset";
      }
    }
    elseif(isset($form['confresetar']))
    {
      $user = $this->session->userdata('user');
      if($form['pass1'] == $form['pass2'] && md5($form['pass1']) == $user->usu_senha)
      {
        $this->db->trans_start();

        //FAZ O RESET DO BANCO
        $this->db->empty_table('arquivo_turma');
        $this->db->empty_table('arquivo');
        $this->db->empty_table('avaliacao_gabarito');
        $this->db->empty_table('avaliacao_questao');
        $this->db->empty_table('avaliacao_seg_chamada');
        $this->db->empty_table('avaliacao');
        $this->db->empty_table('aviso_turma');
        $this->db->empty_table('aviso');
        $this->db->empty_table('configuracao');
        $this->db->empty_table('nota');
        $this->db->empty_table('lancamento');
        $this->db->empty_table('lista_exercicio_entregue');
        $this->db->empty_table('lista_exercicio');
        $this->db->empty_table('planejamento_semanal');
        $this->db->empty_table('pontuacao_extra_aluno');
        $this->db->empty_table('pontuacao_extra');
        $this->db->empty_table('ppd_questao');
        $this->db->empty_table('ppd');
        $this->db->empty_table('professor_turma');
        $this->db->empty_table('questao_alternativa');
        $this->db->empty_table('questao');
        $this->db->empty_table('simulado_gabarito');
        $this->db->empty_table('simulado_questao');
        $this->db->empty_table('simulado');
        $this->db->empty_table('usuario_turma');
        $this->db->empty_table('turma');

        $data = array('con_id' => '1');

        $this->db->insert('configuracao', $data); 
        
        $this->db->trans_complete();

        return "success_reset";
      }
      else
      {
        return "danger";
      }
    }
    elseif(isset($form['canresetar']))
    {
      return "";
    }
    else
    {
      $id = array('con_id'=> 1);
      
      // Verifica existencia
      $result = $this->db->get_where('configuracao', $id);
      $result = $result->result();

      if( !$result )
      {
        $sql = $this->db->insert_string('configuracao', $id );
        $result = $this->db->query( $sql );
        if(!$result)
        {
          return 'danger';
        }
      }

      $data = array('con_1b_inicio'=> $form['1b_inicio'], 'con_1b_final'=> $form['1b_final'],
                    'con_2b_inicio'=> $form['2b_inicio'], 'con_2b_final'=> $form['2b_final'],
                    'con_3b_inicio'=> $form['3b_inicio'], 'con_3b_final'=> $form['3b_final'],
                    'con_4b_inicio'=> $form['4b_inicio'], 'con_4b_final'=> $form['4b_final'],
                    'con_1b_envioConvocacaoRecuperacao'=>$form['1b_envioConvocacaoRecuperacao'], 'con_1b_limiteSolicitacaoSegChamada'=>$form['1b_limiteSolicitacaoSegChamada'],
                    'con_2b_envioConvocacaoRecuperacao'=>$form['2b_envioConvocacaoRecuperacao'], 'con_2b_limiteSolicitacaoSegChamada'=>$form['2b_limiteSolicitacaoSegChamada'],
                    'con_3b_envioConvocacaoRecuperacao'=>$form['3b_envioConvocacaoRecuperacao'], 'con_3b_limiteSolicitacaoSegChamada'=>$form['3b_limiteSolicitacaoSegChamada'],
                    'con_4b_envioConvocacaoRecuperacao'=>$form['4b_envioConvocacaoRecuperacao'], 'con_4b_limiteSolicitacaoSegChamada'=>$form['4b_limiteSolicitacaoSegChamada'] );

      // Atualiza o registro
       $result = $this->db->update('configuracao', $data, $id);
      if($result)
      {
        return 'success';
      }
    }
  }

  /**
   * Pega a Configuração
   *
   * @return Array de objetos
   */
  public function get_con()
  {
    $id = array('con_id'=> 1);
    $result = $this->db->get_where('configuracao', $id);

    $con = $result->result();

    return current( $con );
  }

  /**
   * Pega o bimestre atual
   *
   * @return Array de objetos
   */
  public function get_bimestre()
  {
    $id = array('con_id'=> 1);
    $query = $this->db->get_where('configuracao', $id);

    $hoje = date('Y-m-d');

    foreach ($query->result() as $row)
    {
      if($hoje >= $row->con_2b_inicio && $hoje <= $row->con_2b_final)
      {
        return 2;
      }
      elseif($hoje >= $row->con_3b_inicio && $hoje <= $row->con_3b_final)
      {
        return 3;
      }
      elseif($hoje >= $row->con_4b_inicio && $hoje <= $row->con_4b_final)
      {
        return 4;
      }
      else
      {
        return 1;
      }
    }
    return 1;
  }

  public function resetar($form)
  {
    if(isset($form['reset']))
    {
      if($form['pass1'] == $form['pass2'] && md5($form['pass1']) == $user->usu_senha)
      {
        
      }
      else
      {
        return "error";
      }
    }
    else
    {
      header('location:home');
    }

  }

  /**
   * Pega o bimestre a partir de uma data
   *
   * @return Array de objetos
   */
  public function get_bimestredata($data)
  {
    $id = array('con_id'=> 1);
    $query = $this->db->get_where('configuracao', $id);

    foreach ($query->result() as $row)
    {
      if($data >= $row->con_2b_inicio && $data <= $row->con_2b_final)
      {
        return 2;
      }
      elseif($data >= $row->con_3b_inicio && $data <= $row->con_3b_final)
      {
        return 3;
      }
      elseif($data >= $row->con_4b_inicio && $data <= $row->con_4b_final)
      {
        return 4;
      }
      else
      {
        return 1;
      }
    }
    return "N";
  }
}
