-- MySQL Script generated by MySQL Workbench
-- 10/19/15 10:02:22
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema tcc
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema tcc
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `tcc` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `tcc` ;

-- -----------------------------------------------------
-- Table `tcc`.`materia`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`materia` ;

CREATE TABLE IF NOT EXISTS `tcc`.`materia` (
  `mat_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `mat_nome` VARCHAR(50) NULL COMMENT '',
  PRIMARY KEY (`mat_id`)  COMMENT '')
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`fase_escolar`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`fase_escolar` ;

CREATE TABLE IF NOT EXISTS `tcc`.`fase_escolar` (
  `fas_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `fas_nome` VARCHAR(20) NULL COMMENT '',
  PRIMARY KEY (`fas_id`)  COMMENT '')
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`fase_escolar_materia`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`fase_escolar_materia` ;

CREATE TABLE IF NOT EXISTS `tcc`.`fase_escolar_materia` (
  `fm_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `fas_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`fm_id`)  COMMENT '',
  INDEX `fas_id_idx` (`fas_id` ASC)  COMMENT '',
  INDEX `mat_id_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `fm_fas_id`
    FOREIGN KEY (`fas_id`)
    REFERENCES `tcc`.`fase_escolar` (`fas_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fm_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`turma`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`turma` ;

CREATE TABLE IF NOT EXISTS `tcc`.`turma` (
  `tur_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `fas_id` INT UNSIGNED NOT NULL COMMENT '',
  `tur_nome` VARCHAR(1) NULL COMMENT '',
  `tur_horario` VARCHAR(500) NULL COMMENT '',
  PRIMARY KEY (`tur_id`)  COMMENT '',
  INDEX `fas_id_idx` (`fas_id` ASC)  COMMENT '',
  CONSTRAINT `tur_fas_id`
    FOREIGN KEY (`fas_id`)
    REFERENCES `tcc`.`fase_escolar` (`fas_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`usuario_perfil`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`usuario_perfil` ;

CREATE TABLE IF NOT EXISTS `tcc`.`usuario_perfil` (
  `up_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `apelido` VARCHAR(45) NULL COMMENT '',
  `controller` VARCHAR(45) NULL COMMENT '',
  PRIMARY KEY (`up_id`)  COMMENT '')
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`usuario`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`usuario` ;

CREATE TABLE IF NOT EXISTS `tcc`.`usuario` (
  `usu_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_nome` VARCHAR(75) NULL COMMENT '',
  `usu_matricula` VARCHAR(6) NOT NULL COMMENT '',
  `usu_login` VARCHAR(12) NULL COMMENT '',
  `usu_senha` VARCHAR(32) NULL COMMENT '',
  `usu_email` VARCHAR(150) NULL COMMENT '',
  `usu_foto` VARCHAR(40) NULL COMMENT '',
  `usuario_perfil_up_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`usu_id`)  COMMENT '',
  INDEX `usuarios_perfil1_id_idx` (`usuario_perfil_up_id` ASC)  COMMENT '',
  CONSTRAINT `usuarios_perfil1_id`
    FOREIGN KEY (`usuario_perfil_up_id`)
    REFERENCES `tcc`.`usuario_perfil` (`up_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`professor_turma`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`professor_turma` ;

CREATE TABLE IF NOT EXISTS `tcc`.`professor_turma` (
  `pt_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`pt_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  INDEX `mat_id_idx` (`mat_id` ASC)  COMMENT '',
  INDEX `usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `pt_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `pt_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `pt_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`configuracao`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`configuracao` ;

CREATE TABLE IF NOT EXISTS `tcc`.`configuracao` (
  `con_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `con_1b_inicio` DATE NULL COMMENT '',
  `con_1b_final` DATE NULL COMMENT '',
  `con_2b_inicio` DATE NULL COMMENT '',
  `con_2b_final` DATE NULL COMMENT '',
  `con_3b_inicio` DATE NULL COMMENT '',
  `con_3b_final` DATE NULL COMMENT '',
  `con_4b_inicio` DATE NULL COMMENT '',
  `con_4b_final` DATE NULL COMMENT '',
  `con_1b_envioConvocacaoRecuperacao` DATE NULL COMMENT '',
  `con_2b_envioConvocacaoRecuperacao` DATE NULL COMMENT '',
  `con_3b_envioConvocacaoRecuperacao` DATE NULL COMMENT '',
  `con_4b_envioConvocacaoRecuperacao` DATE NULL COMMENT '',
  `con_1b_limiteSolicitacaoSegChamada` DATE NULL COMMENT '',
  `con_2b_limiteSolicitacaoSegChamada` DATE NULL COMMENT '',
  `con_3b_limiteSolicitacaoSegChamada` DATE NULL COMMENT '',
  `con_4b_limiteSolicitacaoSegChamada` DATE NULL COMMENT '',
  PRIMARY KEY (`con_id`)  COMMENT '')
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`avaliacao`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`avaliacao` ;

CREATE TABLE IF NOT EXISTS `tcc`.`avaliacao` (
  `ava_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `ava_aplicacao` INT UNSIGNED NOT NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `ava_dataAplicacao` DATE NULL COMMENT '',
  `ava_dataLimiteCadastroQuestoes` DATE NULL COMMENT '',
  `ava_dataLimiteCadastroNotas` DATE NULL COMMENT '',
  `ava_status` TINYINT(1) NULL COMMENT '',
  `ava_bimestre` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`ava_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `ava_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`questao`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`questao` ;

CREATE TABLE IF NOT EXISTS `tcc`.`questao` (
  `que_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  `que_discursiva` TINYINT(1) NULL COMMENT '',
  `que_enunciado1` TEXT(500000) NULL COMMENT '',
  `que_enunciado2` TEXT(500000) NULL COMMENT '',
  `que_imagem` VARCHAR(500) NULL COMMENT '',
  `que_linhas` TINYINT(2) NULL COMMENT '',
  PRIMARY KEY (`que_id`)  COMMENT '',
  INDEX `mat_id_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `que_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`questao_alternativa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`questao_alternativa` ;

CREATE TABLE IF NOT EXISTS `tcc`.`questao_alternativa` (
  `alt_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `que_id` INT UNSIGNED NOT NULL COMMENT '',
  `alt_descricao` TEXT(25000) NULL COMMENT '',
  `alt_correta` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`alt_id`)  COMMENT '',
  INDEX `que_id_idx` (`que_id` ASC)  COMMENT '',
  CONSTRAINT `alt_que_id`
    FOREIGN KEY (`que_id`)
    REFERENCES `tcc`.`questao` (`que_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`avaliacao_seg_chamada`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`avaliacao_seg_chamada` ;

CREATE TABLE IF NOT EXISTS `tcc`.`avaliacao_seg_chamada` (
  `seg_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `seg_bimestre` TINYINT(1) NOT NULL COMMENT '',
  PRIMARY KEY (`seg_id`)  COMMENT '',
  INDEX `avaSeg_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `avaSeg_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`nota`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`nota` ;

CREATE TABLE IF NOT EXISTS `tcc`.`nota` (
  `not_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `ava_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  `not_bimestre` TINYINT(1) NULL COMMENT '',
  `not_nota` DOUBLE NULL COMMENT '',
  PRIMARY KEY (`not_id`)  COMMENT '',
  INDEX `ava_id_idx` (`ava_id` ASC)  COMMENT '',
  INDEX `mat_id_idx` (`mat_id` ASC)  COMMENT '',
  INDEX `not_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `not_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `not_ava_id`
    FOREIGN KEY (`ava_id`)
    REFERENCES `tcc`.`avaliacao` (`ava_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `not_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`avaliacao_gabarito`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`avaliacao_gabarito` ;

CREATE TABLE IF NOT EXISTS `tcc`.`avaliacao_gabarito` (
  `gab_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_matricula` INT(6) UNSIGNED NOT NULL COMMENT '',
  `ava_id` INT UNSIGNED NOT NULL COMMENT '',
  `gab_ordenacaoMaterias` TINYINT(1) NULL COMMENT '',
  `gab_ordenacaoQuestoes` TINYINT(1) NULL COMMENT '',
  `gab_respostaOficial` VARCHAR(90) NULL COMMENT '',
  `gab_respostaAluno` VARCHAR(90) NULL COMMENT '',
  PRIMARY KEY (`gab_id`)  COMMENT '',
  INDEX `ava_id_idx` (`ava_id` ASC)  COMMENT '',
  INDEX `ag_usu_id_idx` (`usu_matricula` ASC)  COMMENT '',
  CONSTRAINT `ag_usu_id`
    FOREIGN KEY (`usu_matricula`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `ag_ava_id`
    FOREIGN KEY (`ava_id`)
    REFERENCES `tcc`.`avaliacao` (`ava_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`ppd`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`ppd` ;

CREATE TABLE IF NOT EXISTS `tcc`.`ppd` (
  `ppd_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `ppd_dataEntrega` DATE NULL COMMENT '',
  `ppd_dataLimiteCadastroQuestoes` DATE NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  `ppd_bimestre` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`ppd_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  INDEX `mat_id_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `ppd_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `ppd_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`avaliacao_questao`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`avaliacao_questao` ;

CREATE TABLE IF NOT EXISTS `tcc`.`avaliacao_questao` (
  `aq_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `ava_id` INT UNSIGNED NOT NULL COMMENT '',
  `que_id` INT UNSIGNED NULL COMMENT '',
  `aq_discursiva` TINYINT(1) NULL COMMENT '',
  `aq_anulada` TINYINT(1) NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`aq_id`)  COMMENT '',
  INDEX `ava_id_idx` (`ava_id` ASC)  COMMENT '',
  INDEX `aq_mat_id_idx` (`mat_id` ASC)  COMMENT '',
  INDEX `aq_que_id_idx` (`que_id` ASC)  COMMENT '',
  CONSTRAINT `aq_ava_id`
    FOREIGN KEY (`ava_id`)
    REFERENCES `tcc`.`avaliacao` (`ava_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `aq_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `aq_que_id`
    FOREIGN KEY (`que_id`)
    REFERENCES `tcc`.`questao` (`que_id`)
    ON DELETE SET NULL
    ON UPDATE SET NULL)
ENGINE = InnoDB
INSERT_METHOD = LAST;


-- -----------------------------------------------------
-- Table `tcc`.`ppd_questao`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`ppd_questao` ;

CREATE TABLE IF NOT EXISTS `tcc`.`ppd_questao` (
  `pq_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `ppd_id` INT UNSIGNED NOT NULL COMMENT '',
  `que_id` INT UNSIGNED NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`pq_id`)  COMMENT '',
  INDEX `ppd_id_idx` (`ppd_id` ASC)  COMMENT '',
  INDEX `que_id_idx` (`que_id` ASC)  COMMENT '',
  INDEX `pq_mat_id_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `pq_ppd_id`
    FOREIGN KEY (`ppd_id`)
    REFERENCES `tcc`.`ppd` (`ppd_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `pq_que_id`
    FOREIGN KEY (`que_id`)
    REFERENCES `tcc`.`questao` (`que_id`)
    ON DELETE SET NULL
    ON UPDATE SET NULL,
  CONSTRAINT `pq_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`simulado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`simulado` ;

CREATE TABLE IF NOT EXISTS `tcc`.`simulado` (
  `sim_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `sim_dataAplicacao` DATE NULL COMMENT '',
  `sim_dataLimiteCadastroQuestoes` DATE NULL COMMENT '',
  `sim_dataLimiteRealizacao` DATE NULL COMMENT '',
  `sim_bimestre` TINYINT(1) NULL COMMENT '',
  `sim_status` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`sim_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `sim_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`simulado_gabarito`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`simulado_gabarito` ;

CREATE TABLE IF NOT EXISTS `tcc`.`simulado_gabarito` (
  `gab_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `sim_id` INT UNSIGNED NOT NULL COMMENT '',
  `gab_ordenacaoMaterias` TINYINT(1) NULL COMMENT '',
  `gab_ordenacaoQuestoes` TINYINT(1) NULL COMMENT '',
  `gab_respostaOficial` VARCHAR(150) NULL COMMENT '',
  `gab_respostaAluno` VARCHAR(150) NULL COMMENT '',
  PRIMARY KEY (`gab_id`)  COMMENT '',
  INDEX `sim_id_idx` (`sim_id` ASC)  COMMENT '',
  INDEX `gab_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `gab_sim_id`
    FOREIGN KEY (`sim_id`)
    REFERENCES `tcc`.`simulado` (`sim_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `gab_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`simulado_questao`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`simulado_questao` ;

CREATE TABLE IF NOT EXISTS `tcc`.`simulado_questao` (
  `sq_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `sim_id` INT UNSIGNED NOT NULL COMMENT '',
  `que_id` INT UNSIGNED NULL COMMENT '',
  `sq_anulada` TINYINT(1) NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`sq_id`)  COMMENT '',
  INDEX `sim_id_idx` (`sim_id` ASC)  COMMENT '',
  INDEX `que_id_idx` (`que_id` ASC)  COMMENT '',
  INDEX `sq_mat_id_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `sq_sim_id`
    FOREIGN KEY (`sim_id`)
    REFERENCES `tcc`.`simulado` (`sim_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `sq_que_id`
    FOREIGN KEY (`que_id`)
    REFERENCES `tcc`.`questao` (`que_id`)
    ON DELETE SET NULL
    ON UPDATE SET NULL,
  CONSTRAINT `sq_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`lista_exercicio`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`lista_exercicio` ;

CREATE TABLE IF NOT EXISTS `tcc`.`lista_exercicio` (
  `lis_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `lis_numero` INT(3) UNSIGNED NOT NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  `lis_bimestre` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`lis_id`, `lis_numero`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  INDEX `mat_ID_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `lis_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `lis_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`lista_exercicio_entregue`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`lista_exercicio_entregue` ;

CREATE TABLE IF NOT EXISTS `tcc`.`lista_exercicio_entregue` (
  `ent_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `lis_numero` INT(3) UNSIGNED NOT NULL COMMENT '',
  `ent_entregue` TINYINT(1) NULL COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`ent_id`)  COMMENT '',
  INDEX `le_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `le_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`arquivo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`arquivo` ;

CREATE TABLE IF NOT EXISTS `tcc`.`arquivo` (
  `arq_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `arq_titulo` VARCHAR(150) NULL COMMENT '',
  `arq_descricao` VARCHAR(500) NULL COMMENT '',
  `arq_url` VARCHAR(500) NULL COMMENT '',
  PRIMARY KEY (`arq_id`)  COMMENT '')
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`arquivo_turma`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`arquivo_turma` ;

CREATE TABLE IF NOT EXISTS `tcc`.`arquivo_turma` (
  `at` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `arq_id` INT UNSIGNED NOT NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`at`)  COMMENT '',
  INDEX `arq_id_idx` (`arq_id` ASC)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  INDEX `fk_arquivo_turma_materia1_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `aq_arq_id`
    FOREIGN KEY (`arq_id`)
    REFERENCES `tcc`.`arquivo` (`arq_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `aq_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_arquivo_turma_materia1`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`aviso`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`aviso` ;

CREATE TABLE IF NOT EXISTS `tcc`.`aviso` (
  `avi_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `avi_dataVisibilidade` DATE NULL COMMENT '',
  `avi_titulo` VARCHAR(250) NULL COMMENT '',
  `avi_aviso` VARCHAR(5000) NULL COMMENT '',
  PRIMARY KEY (`avi_id`)  COMMENT '')
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`aviso_turma`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`aviso_turma` ;

CREATE TABLE IF NOT EXISTS `tcc`.`aviso_turma` (
  `at` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `avi_id` INT UNSIGNED NOT NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`at`)  COMMENT '',
  INDEX `avi_id_idx` (`avi_id` ASC)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `at_avi_id`
    FOREIGN KEY (`avi_id`)
    REFERENCES `tcc`.`aviso` (`avi_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `at_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`lista_presenca`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`lista_presenca` ;

CREATE TABLE IF NOT EXISTS `tcc`.`lista_presenca` (
  `lis_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `lis_data` DATE NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `lis_bimestre` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`lis_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `lp_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`lista_presenca_materia`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`lista_presenca_materia` ;

CREATE TABLE IF NOT EXISTS `tcc`.`lista_presenca_materia` (
  `lm_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `lis_id` INT UNSIGNED NOT NULL COMMENT '',
  `mat_id` INT UNSIGNED NOT NULL COMMENT '',
  `lm_primeiraAula` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`lm_id`)  COMMENT '',
  INDEX `lis_is_idx` (`lis_id` ASC)  COMMENT '',
  INDEX `mat_id_idx` (`mat_id` ASC)  COMMENT '',
  CONSTRAINT `lm_lis_id`
    FOREIGN KEY (`lis_id`)
    REFERENCES `tcc`.`lista_presenca` (`lis_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `lm_mat_id`
    FOREIGN KEY (`mat_id`)
    REFERENCES `tcc`.`materia` (`mat_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`lista_presenca_aluno`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`lista_presenca_aluno` ;

CREATE TABLE IF NOT EXISTS `tcc`.`lista_presenca_aluno` (
  `la_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `lis_id` INT UNSIGNED NOT NULL COMMENT '',
  `la_presentePrimeiraAula` TINYINT(1) NULL COMMENT '',
  `la_presente` TINYINT(1) NULL COMMENT '',
  PRIMARY KEY (`la_id`)  COMMENT '',
  INDEX `lis_id_idx` (`lis_id` ASC)  COMMENT '',
  INDEX `la_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `la_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `la_lis_id`
    FOREIGN KEY (`lis_id`)
    REFERENCES `tcc`.`lista_presenca` (`lis_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`pontuacao_extra`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`pontuacao_extra` ;

CREATE TABLE IF NOT EXISTS `tcc`.`pontuacao_extra` (
  `pon_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `pon_nome` VARCHAR(50) NULL COMMENT '',
  `pon_bimestre` TINYINT(1) NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`pon_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `pon_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`pontuacao_extra_aluno`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`pontuacao_extra_aluno` ;

CREATE TABLE IF NOT EXISTS `tcc`.`pontuacao_extra_aluno` (
  `pa_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `pon_id` INT UNSIGNED NOT NULL COMMENT '',
  `pa_bimestre` TINYINT(1) NULL COMMENT '',
  `pa_nota` DOUBLE NULL COMMENT '',
  PRIMARY KEY (`pa_id`)  COMMENT '',
  INDEX `pon_id_idx` (`pon_id` ASC)  COMMENT '',
  INDEX `pa_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  CONSTRAINT `pa_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `pa_pon_id`
    FOREIGN KEY (`pon_id`)
    REFERENCES `tcc`.`pontuacao_extra` (`pon_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`planejamento_semanal`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`planejamento_semanal` ;

CREATE TABLE IF NOT EXISTS `tcc`.`planejamento_semanal` (
  `pla_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  `pla_descricao` VARCHAR(75) NULL COMMENT '',
  `pla_bimestre` TINYINT(1) NULL COMMENT '',
  `pla_dataInicioSemana` DATE NULL COMMENT '',
  `pla_dataFinalSemana` DATE NULL COMMENT '',
  `pla_url` VARCHAR(550) NULL COMMENT '',
  PRIMARY KEY (`pla_id`)  COMMENT '',
  INDEX `tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `pla_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tcc`.`usuario_turma`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tcc`.`usuario_turma` ;

CREATE TABLE IF NOT EXISTS `tcc`.`usuario_turma` (
  `ut_id` INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '',
  `usu_id` INT UNSIGNED NOT NULL COMMENT '',
  `tur_id` INT UNSIGNED NOT NULL COMMENT '',
  PRIMARY KEY (`ut_id`)  COMMENT '',
  INDEX `ut_usu_id_idx` (`usu_id` ASC)  COMMENT '',
  INDEX `ut_tur_id_idx` (`tur_id` ASC)  COMMENT '',
  CONSTRAINT `ut_usu_id`
    FOREIGN KEY (`usu_id`)
    REFERENCES `tcc`.`usuario` (`usu_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `ut_tur_id`
    FOREIGN KEY (`tur_id`)
    REFERENCES `tcc`.`turma` (`tur_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `tcc`.`materia`
-- -----------------------------------------------------
START TRANSACTION;
USE `tcc`;
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (1, 'Matematica');
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (2, 'Portugues');
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (3, 'Historia');
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (4, 'Geografia');
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (5, 'Ciencias');
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (6, 'Fisica');
INSERT INTO `tcc`.`materia` (`mat_id`, `mat_nome`) VALUES (7, 'Quimica');

COMMIT;


-- -----------------------------------------------------
-- Data for table `tcc`.`usuario_perfil`
-- -----------------------------------------------------
START TRANSACTION;
USE `tcc`;
INSERT INTO `tcc`.`usuario_perfil` (`up_id`, `apelido`, `controller`) VALUES (1, 'Administrador', 'admin');
INSERT INTO `tcc`.`usuario_perfil` (`up_id`, `apelido`, `controller`) VALUES (2, 'Coordenador', 'coordenador');
INSERT INTO `tcc`.`usuario_perfil` (`up_id`, `apelido`, `controller`) VALUES (3, 'Professor', 'professor');
INSERT INTO `tcc`.`usuario_perfil` (`up_id`, `apelido`, `controller`) VALUES (4, 'Aluno', 'aluno');

COMMIT;


-- -----------------------------------------------------
-- Data for table `tcc`.`usuario`
-- -----------------------------------------------------
START TRANSACTION;
USE `tcc`;
INSERT INTO `tcc`.`usuario` (`usu_id`, `usu_nome`, `usu_matricula`, `usu_login`, `usu_senha`, `usu_email`, `usu_foto`, `usuario_perfil_up_id`) VALUES (1, 'Administrador Geral', DEFAULT, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin@admin.com', NULL, 1);
INSERT INTO `tcc`.`usuario` (`usu_id`, `usu_nome`, `usu_matricula`, `usu_login`, `usu_senha`, `usu_email`, `usu_foto`, `usuario_perfil_up_id`) VALUES (2, 'Professor Geral', DEFAULT, 'professor', '3f9cd3c7b11eb1bae99dddb3d05da3c5', 'prof@prof.com', NULL, 3);
INSERT INTO `tcc`.`usuario` (`usu_id`, `usu_nome`, `usu_matricula`, `usu_login`, `usu_senha`, `usu_email`, `usu_foto`, `usuario_perfil_up_id`) VALUES (3, 'Coordenador Geral', DEFAULT, 'coordenador', 'bd68542523b5b6bb3023ffd6b0ffb650', 'coo@coood.com', NULL, 2);

COMMIT;

