<?php
require('fpdf.php');
//require('../../../../application/models/Turmas_model.php');

class PDF extends FPDF
{
    // Current column
    var $col = 0;
    // Ordinate of column start
    var $y0 = 15;


    /**
     * FUNÇÃO QUE IMPRIME O NOME DA MATÉRIA
     **/
    function NomeMateria($NomeMateria)
    {
        // Title
        $this->SetFont('Arial','B',11);
        $this->SetFillColor(190);
        $this->MultiCell(90,5,utf8_decode($NomeMateria),0,'C',1);
        $this->Ln(4);
        // Save ordinate
        //$this->y0 = $this->GetY();
    }

    function new_ImprimeQuestao($data)
    {
        // Exibir Enunciado 1
        $this->SetFont('Arial','B',10);
        $this->MultiCell(90,5,utf8_decode('QUESTÃO '.$data['numero'].' - '.$data['Enunciado1'] ));
        $this->Ln();

        // Exibir imagem
        if( !empty($data['imagem']) && file_exists($data['imagem']) )
        {
            $this->SetFont('Arial','I',8);
            $this->MultiCell(90,5,'Imagem:');
            $this->Image($data['imagem'], null, null, 90, null, null, null);
            $this->Ln();
        }
        
        // Exibir Enunciado 2
        if(!empty($data['Enunciado2']))
        {
            $this->SetFont('Arial','B',10);
            $this->MultiCell(90,5,utf8_decode($data['Enunciado2']));
            $this->Ln();
        }

        $this->SetFont('Arial','BI',9);
        $this->MultiCell(90,5,'Alternativas:');

        // Exibir Alternativas
        $this->SetFont('Arial','',10);

        foreach ($data['alternativas'] AS $a) {
          $this->MultiCell(90, 5, utf8_decode( "{$a->letra}. {$a->alt_descricao}" ));
        }

        $this->Ln();
        $this->Ln();
    }

    /**
     * FUNÇÃO QUE IMPRIME A QUESTÃO DISCURSIVA
     **/
    function ImprimeQuestaoDiscursiva($numero, $Enunciado1, $imagem, $Enunciado2, $linhas)
    {
        // Exibir Enunciado 1
        $this->SetFont('Arial','B',10);
        $this->MultiCell(90,5,utf8_decode('QUESTÃO '.$numero.' - '.$Enunciado1));
        $this->Ln();

        // Exibir imagem
        if(file_exists($imagem))
        {
            $this->SetFont('Arial','I',8);
            $this->MultiCell(90,5,'Imagem:');
            $this->Image($imagem, null, null, 90, null, null, null);
            $this->Ln();
        }
        
        // Exibir Enunciado 2
        if($Enunciado2 != '')
        {
            $this->SetFont('Arial','B',10);
            $this->MultiCell(90,5,utf8_decode($Enunciado2));
            $this->Ln();
        }

        $m = 0;
        while ($m <= $linhas) 
        {
            $this->MultiCell(90,5,utf8_decode("____________________________________________"),0,'C');
            $m ++;
        }

        $this->Ln();
        $this->Ln();
    }

    /**
     * FUNÇÃO QUE FAZ A QUEBRA DE PÁGINA E INICIA A PROVA DO ALUNO
     **/
    function ProximoAluno($aluno, $matricula, $turma)
    {
        // Go back to first column
        $this->SetCol(0);

        //inserindo a página de verso antes de iniciar a avaliação de outro aluno
        if($this->PageNo()%2 != 0)
        {
            $this->AddPage();
        }
        $this->AddPage();

        $this->SetFillColor(230);
        $this->SetFont('Arial','B',10);
        $this->MultiCell(90,5,utf8_decode("Aluno: ".$aluno),0,'C',1);
        $this->MultiCell(90,5,utf8_decode("Matrícula: ".$matricula),0,'C',1);
        $this->MultiCell(90,5,utf8_decode("Turma: ".$turma),0,'C',1);
        $this->Ln();
        $this->MultiCell(90,5,utf8_decode("Assinatura:"),0,'L',1);
        $this->MultiCell(90,5,utf8_decode("___________________________________________"),0,'C',1);

        $this->Ln(4);
    }

    /**
     * FUNÇÃO QUE IMPRIME O CABEÇÁLHO DA LISTA DE PRESENÇA
     **/
    function CabPresenca($avaliacao, $turma, $data)
    {
        // Go back to first column
        $this->fpdf->SetCol(0);

        //inserindo a página de verso antes de iniciar a avaliação de outro aluno
        if($this->PageNo()%2 != 0)
        {
            $this->AddPage();
        }
        $this->AddPage();

        $this->SetFillColor(190);
        $this->SetFont('Arial','B',11);
        $this->MultiCell(90,5,utf8_decode("LISTA DE PRESENÇA"),0,'C',1);
        $this->MultiCell(90,5,utf8_decode("Avaliação: ".$avaliacao),0,'C',1);
        $this->MultiCell(90,5,utf8_decode("Turma: ".$turma),0,'C',1);
        $this->MultiCell(90,5,utf8_decode("Data: ".$data),0,'C',1);
    }


    /**
     * FUNÇÃO QUE IMPRIME UM ITEM NA LISTA DE PRESENÇA
     **/
    function ItemPresenca($nome)
    {
        $this->Ln(4);

        $this->SetFillColor(230);
        $this->SetFont('Arial','B',10);
        $this->MultiCell(90,5,utf8_decode($nome),0,'L',1);
        $this->SetFont('Arial','',10);
        $this->MultiCell(90,5,utf8_decode("Assinatura:"),0,'J',1);
        $this->MultiCell(90,10,utf8_decode("____________________________________________"),0,'C',1);
    }
}


/**
 * CRIA-SE O OBJ PDF() E SUAS CARACTERÍSTICAS
 **/
//Criando um novo obj
$pdf = new PDF();

//Dando o nome e autor ao documento (nome que será salvo ao fazer download)
$title = 'nome da avaliacao';
$pdf->SetTitle($title);
$pdf->SetAuthor("MySiid's");

//Pegando o ID da avaliação passado por get
$ava_id = $_GET['ava_id'];

/**
 * AQUI FAZ-SE O LOOP PARA A IMPRESSÃO DA LISTA DE PRESENÇA
 **/
$pdf->CabPresenca('P1 - 6ª Ano A - 4ª Bimestre', '6ª Ano A', '21/12/2015');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');
$pdf->ItemPresenca('Bruno Henrique Woisa');
$pdf->ItemPresenca('Guilherme B.');


/**
 * AQUI FAZ-SE O LOOP PARA PASSAR AS INFORMAÇÕES PARA A IMPRESSÃO DA AVALIAÇÃO
 **/

$aluno_1 = '[{"mat_id":"3","mat_nome":"Hist\u00f3ria","questoes":[{"questao":{"que_id":"8","mat_id":"3","que_discursiva":"0","que_enunciado1":"r232r2r","que_enunciado2":"gh7yb78y7g7","que_imagem":null,"que_linhas":"0"},"alternativas":{"A":{"alt_id":"24","que_id":"8","alt_descricao":"uygqwe23","alt_correta":"0","mat_id":"3","letra":"A"},"B":{"alt_id":"22","que_id":"8","alt_descricao":"guy","alt_correta":"0","mat_id":"3","letra":"B"},"C":{"alt_id":"25","que_id":"8","alt_descricao":"uyg3123","alt_correta":"0","mat_id":"3","letra":"C"},"D":{"alt_id":"21","que_id":"8","alt_descricao":"hy","alt_correta":"1","mat_id":"3","letra":"D"},"E":{"alt_id":"23","que_id":"8","alt_descricao":"uygqwe","alt_correta":"0","mat_id":"3","letra":"E"}}}]},{"mat_id":"4","mat_nome":"Geografia","questoes":[{"questao":{"que_id":"9","mat_id":"4","que_discursiva":"0","que_enunciado1":"23423rtfg","que_enunciado2":"46574","que_imagem":null,"que_linhas":"0"},"alternativas":{"A":{"alt_id":"27","que_id":"9","alt_descricao":"98798","alt_correta":"0","mat_id":"4","letra":"A"},"B":{"alt_id":"30","que_id":"9","alt_descricao":"wer","alt_correta":"0","mat_id":"4","letra":"B"},"C":{"alt_id":"29","que_id":"9","alt_descricao":"48965","alt_correta":"0","mat_id":"4","letra":"C"},"D":{"alt_id":"28","que_id":"9","alt_descricao":"465","alt_correta":"0","mat_id":"4","letra":"D"},"E":{"alt_id":"26","que_id":"9","alt_descricao":"65498","alt_correta":"1","mat_id":"4","letra":"E"}}}]},{"mat_id":"1","mat_nome":"Matem\u00e1tica","questoes":[{"questao":{"que_id":"1","mat_id":"1","que_discursiva":"0","que_enunciado1":"asdasd","que_enunciado2":"asdasd","que_imagem":null,"que_linhas":"0"},"alternativas":{"A":{"alt_id":"2","que_id":"1","alt_descricao":"dasdasdkjh","alt_correta":"0","mat_id":"1","letra":"A"},"B":{"alt_id":"3","que_id":"1","alt_descricao":"khjkh","alt_correta":"0","mat_id":"1","letra":"B"},"C":{"alt_id":"5","que_id":"1","alt_descricao":"y7ugh","alt_correta":"0","mat_id":"1","letra":"C"},"D":{"alt_id":"4","que_id":"1","alt_descricao":"ui78","alt_correta":"0","mat_id":"1","letra":"D"},"E":{"alt_id":"1","que_id":"1","alt_descricao":"asdasdas","alt_correta":"1","mat_id":"1","letra":"E"}}},{"questao":{"que_id":"2","mat_id":"1","que_discursiva":"0","que_enunciado1":"asdasdasd","que_enunciado2":"asdasdasd","que_imagem":null,"que_linhas":"0"},"alternativas":{"A":{"alt_id":"7","que_id":"2","alt_descricao":"uioy789by7","alt_correta":"0","mat_id":"1","letra":"A"},"B":{"alt_id":"8","que_id":"2","alt_descricao":"8y","alt_correta":"0","mat_id":"1","letra":"B"},"C":{"alt_id":"10","que_id":"2","alt_descricao":"uigh","alt_correta":"0","mat_id":"1","letra":"C"},"D":{"alt_id":"6","que_id":"2","alt_descricao":"qweqeqwe","alt_correta":"1","mat_id":"1","letra":"D"},"E":{"alt_id":"9","que_id":"2","alt_descricao":"uiy","alt_correta":"0","mat_id":"1","letra":"E"}}}]},{"mat_id":"2","mat_nome":"Portugu\u00eas","questoes":[{"questao":{"que_id":"5","mat_id":"2","que_discursiva":"0","que_enunciado1":"2352wetgweriogjui","que_enunciado2":"huuiyfguisydgui","que_imagem":null,"que_linhas":"0"},"alternativas":{"A":{"alt_id":"14","que_id":"5","alt_descricao":"gyuyguy","alt_correta":"0","mat_id":"2","letra":"A"},"B":{"alt_id":"13","que_id":"5","alt_descricao":"uih","alt_correta":"0","mat_id":"2","letra":"B"},"C":{"alt_id":"12","que_id":"5","alt_descricao":"ufhsduih","alt_correta":"0","mat_id":"2","letra":"C"},"D":{"alt_id":"15","que_id":"5","alt_descricao":"guysdf","alt_correta":"0","mat_id":"2","letra":"D"},"E":{"alt_id":"11","que_id":"5","alt_descricao":"fuiwwe","alt_correta":"1","mat_id":"2","letra":"E"}}},{"questao":{"que_id":"6","mat_id":"2","que_discursiva":"0","que_enunciado1":"wswtwert","que_enunciado2":"wetrertoj","que_imagem":null,"que_linhas":"0"},"alternativas":{"A":{"alt_id":"17","que_id":"6","alt_descricao":"ujio","alt_correta":"0","mat_id":"2","letra":"A"},"B":{"alt_id":"16","que_id":"6","alt_descricao":"ijio","alt_correta":"1","mat_id":"2","letra":"B"},"C":{"alt_id":"18","que_id":"6","alt_descricao":"i","alt_correta":"0","mat_id":"2","letra":"C"},"D":{"alt_id":"20","que_id":"6","alt_descricao":"ouhifwe","alt_correta":"0","mat_id":"2","letra":"D"},"E":{"alt_id":"19","que_id":"6","alt_descricao":"oi","alt_correta":"0","mat_id":"2","letra":"E"}}}]}]';
$aluno_1 = json_decode($aluno_1);

$pdf->ProximoAluno('Guilherme B','000007','6ª Ano A');
$num_questao = 1;
foreach ($aluno_1 AS $materia) {
    $pdf->NomeMateria( $materia->mat_nome );

    foreach ($materia->questoes AS $questao) {
        // Se existir imagem, atribui o caminho absoluto
        $imagem = (!empty($questao->questao->que_imagem)) ? 'http://imagemlocal/'.$questao->questao->que_imagem : '';
        $param = array(
            "numero"        => $num_questao,
            "imagem"        => $imagem,
            "Enunciado1"    => $questao->questao->que_enunciado1,
            "Enunciado2"    => $questao->questao->que_enunciado2,
            "alternativas"  => $questao->alternativas,
        );
        $pdf->new_ImprimeQuestao($param);

        $num_questao++;
    }
}

//ALUNO 1
$pdf->ProximoAluno('Bruno Henrique Woisa','001767','6ª Ano A');

$pdf->NomeMateria('Geografia');
$pdf->ImprimeQuestao(   '1',
                        'Assinale abaixo a alternativa que apresente uma medida viável e pertinente de proteção dos mananciais nas áreas rurais:',
                        '',
                        '',
                        'Controle do uso de adubos e agrotóxicos. ',
                        'N.D.A Nenhuma das Alternativas.',
                        'Preservação total da cobertura vegetal original.',
                        'Tratamento de esgotos residenciais.',
                        'Proibição da atividade industrial.',
                        'B');
$pdf->ImprimeQuestao(   '2',
                        'Segundo uma organização mundial de estudos ambientais, em 2025, duas de cada três pessoas viverão situações de carência de água, caso não haja mudanças no padrão atual de consumo do produto. Uma alternativa adequada e viável para prevenir a escassez, considerando-se a disponibilidade global, seria:',
                        '',
                        '',
                        'Desenvolver processos de reutilização da água.',
                        'Explorar leitos de água subterrânea.',
                        'Ampliar a oferta de água, captando-a em outros rios.',
                        'Captação de águas pluviais.',
                        'Importar água doce de outros países.',
                        'E');

$pdf->NomeMateria('Português');
$pdf->ImprimeQuestao(   '3',
                        'Intrudução ao assunto',
                        '1.jpg',
                        'De acordo com a imagem responda: Quanto é 1+1?',
                        '1',
                        '2',
                        '3',
                        '4',
                        '5',
                        'A');
$pdf->ImprimeQuestao(   '4',
                        'Dipirona sódica Medicamento Genérico Lei nº 9.787, de 1999 Solução oral (gotas) Forma Farmacêutica e Apresentações da Dipirona Sódica Gotas (solução oral) 500 mg/mL. Embalagens contendo 1 frasco conta-gotas com 10 ou 20 mL. USO ADULTO E PEDIÁTRICO Uso oral Composição da Dipirona Sódica Cada 1 mL de solução oral (20 go- tas) contém: Dipirona sódica ................500 mg Excipientes q.s.p.....................1 mL Excipientes: sorbitol 70 %, metabissulfato de sódio, edetato dissódico e água deionizada. Informações ao Paciente da Dipi-rona Sódica Ação esperada do medicamento Dipirona sódica é utilizada no tratamento das manifestações dolorosas e da febre. Os efeitos analgésico e antipirético podem ser esperados de 30 a 60 minutos após a administração e geralmente duram, aproximadamente, 4 horas. Cuidados de armazenamento Conservar o medicamento em temperatura ambiente (entre 15 °C e 30 °C). Proteger da luz. Prazo de validade Desde que observados os devidos cuidados de conservação, o prazo de validade de dipirona sódica é de 24 meses, contados a partir da data de fabricação impressa em sua embalagem externa. NÃO USE MEDICAMENTOS COM O PRAZO DE VALIDADE VENCIDO. Gravidez e lactação Informe ao seu médico a ocorrência de gravidez na vigência do tratamento ou após o seu término. Informe ao seu médico se está amamentando. Dipirona sódica não deve ser utilizada durante o primeiro e terceiro trimestres da gravidez e durante a lactação. Cuidados de administração Dipirona sódica não deve ser ad- ministrada em altas doses, ou por períodos prolongados, sem controle médico. Siga a orientação do seu médico, respeitando sempre os horários, as doses e a duração do tratamento. Interrupção do tratamento O tratamento pode ser interrompi- do a qualquer instante sem provocar danos ao paciente. Reações adversas Informe ao seu médico o aparecimento de reações desagradáveis, tais como: coceira, ardor, inchaço, bem como quaisquer outros sinais ou sintomas. Informe também caso você sinta dor ou qualquer anormalidade na boca ou garganta. TODO MEDICAMENTO DEVE SER MANTIDO FORA DO AL- CANCE DAS CRIANÇAS. Ingestão concomitante com outras substâncias Deve-se ter cautela quando da administração concomitante de dipirona sódica com ciclosporina. Não são conhecidas interações deste medicamento com alimentos e álcool. Entretanto, recomenda-se não ingerir bebidas alcoólicas durante o tratamento. Contraindicações e precauções O uso deste medicamento é contraindicado em caso de hipersensibilidade conhecida à dipirona só- dica e/ou demais componentes da formulação e/ou a outras pirazonas (Ex.: fenezona, propilenazona) e/ ou a pirazolidinas (Ex.: fenilbutazo-na, oxifembutazona), incluindo, por exemplo, caso anterior de agranulocitose em reação a um destes medicamentos. Informe o seu médico sobre qualquer medicamento que esteja usando, antes do início, ou durante o tratamento. Informe-o, também, caso você tenha asma ou outros problemas respiratórios. Durante o tratamento com dipirona sódica, pode-se observar uma coloração avermelhada na urina, que desaparece com a descontinuação do tratamento, em razão da excreção do ácido rubazônico. NÃO TOME REMÉDIO SEM O CONHECIMENTO DO SEU MÉDICO. PODE SER PERIGOSO PARA A SAÚDE.',
                        '',
                        'Disponível em: . Acesso em: 30 mar. 2014. Fragmento. Como se caracteriza a linguagem, no seu todo, presente no texto?',
                        'cuidada',
                        'oratória.',
                        'comum',
                        'familiar',
                        'popular',
                        'C');

$pdf->NomeMateria('História');
$pdf->ImprimeQuestao(   '5',
                        'Intrudução ao assunto',
                        '1.jpg',
                        'De acordo com a imagem responda: Quanto é 1+1?',
                        '1',
                        '2',
                        '3',
                        '4',
                        '5',
                        'A');
$pdf->ImprimeQuestao(   '6',
                        'Dipirona sódica Medicamento Genérico Lei nº 9.787, de 1999 Solução oral (gotas) Forma Farmacêutica e Apresentações da Dipirona Sódica Gotas (solução oral) 500 mg/mL. Embalagens contendo 1 frasco conta-gotas com 10 ou 20 mL. USO ADULTO E PEDIÁTRICO Uso oral Composição da Dipirona Sódica Cada 1 mL de solução oral (20 go- tas) contém: Dipirona sódica ................500 mg Excipientes q.s.p.....................1 mL Excipientes: sorbitol 70 %, metabissulfato de sódio, edetato dissódico e água deionizada. Informações ao Paciente da Dipi-rona Sódica Ação esperada do medicamento Dipirona sódica é utilizada no tratamento das manifestações dolorosas e da febre. Os efeitos analgésico e antipirético podem ser esperados de 30 a 60 minutos após a administração e geralmente duram, aproximadamente, 4 horas. Cuidados de armazenamento Conservar o medicamento em temperatura ambiente (entre 15 °C e 30 °C). Proteger da luz. Prazo de validade Desde que observados os devidos cuidados de conservação, o prazo de validade de dipirona sódica é de 24 meses, contados a partir da data de fabricação impressa em sua embalagem externa. NÃO USE MEDICAMENTOS COM O PRAZO DE VALIDADE VENCIDO. Gravidez e lactação Informe ao seu médico a ocorrência de gravidez na vigência do tratamento ou após o seu término. Informe ao seu médico se está amamentando. Dipirona sódica não deve ser utilizada durante o primeiro e terceiro trimestres da gravidez e durante a lactação. Cuidados de administração Dipirona sódica não deve ser ad- ministrada em altas doses, ou por períodos prolongados, sem controle médico. Siga a orientação do seu médico, respeitando sempre os horários, as doses e a duração do tratamento. Interrupção do tratamento O tratamento pode ser interrompi- do a qualquer instante sem provocar danos ao paciente. Reações adversas Informe ao seu médico o aparecimento de reações desagradáveis, tais como: coceira, ardor, inchaço, bem como quaisquer outros sinais ou sintomas. Informe também caso você sinta dor ou qualquer anormalidade na boca ou garganta. TODO MEDICAMENTO DEVE SER MANTIDO FORA DO AL- CANCE DAS CRIANÇAS. Ingestão concomitante com outras substâncias Deve-se ter cautela quando da administração concomitante de dipirona sódica com ciclosporina. Não são conhecidas interações deste medicamento com alimentos e álcool. Entretanto, recomenda-se não ingerir bebidas alcoólicas durante o tratamento. Contraindicações e precauções O uso deste medicamento é contraindicado em caso de hipersensibilidade conhecida à dipirona só- dica e/ou demais componentes da formulação e/ou a outras pirazonas (Ex.: fenezona, propilenazona) e/ ou a pirazolidinas (Ex.: fenilbutazo-na, oxifembutazona), incluindo, por exemplo, caso anterior de agranulocitose em reação a um destes medicamentos. Informe o seu médico sobre qualquer medicamento que esteja usando, antes do início, ou durante o tratamento. Informe-o, também, caso você tenha asma ou outros problemas respiratórios. Durante o tratamento com dipirona sódica, pode-se observar uma coloração avermelhada na urina, que desaparece com a descontinuação do tratamento, em razão da excreção do ácido rubazônico. NÃO TOME REMÉDIO SEM O CONHECIMENTO DO SEU MÉDICO. PODE SER PERIGOSO PARA A SAÚDE.',
                        '',
                        'Disponível em: . Acesso em: 30 mar. 2014. Fragmento. Como se caracteriza a linguagem, no seu todo, presente no texto?',
                        'cuidada',
                        'oratória.',
                        'comum',
                        'familiar',
                        'popular',
                        'C');

// ALUNO 2
$pdf->ProximoAluno('Guilherme B.','001060','6ª Ano A');

$pdf->NomeMateria('Geografia');
$pdf->ImprimeQuestao(   '1',
                        'Assinale abaixo a alternativa que apresente uma medida viável e pertinente de proteção dos mananciais nas áreas rurais:',
                        '',
                        '',
                        'Controle do uso de adubos e agrotóxicos. ',
                        'N.D.A Nenhuma das Alternativas.',
                        'Preservação total da cobertura vegetal original.',
                        'Tratamento de esgotos residenciais.',
                        'Proibição da atividade industrial.',
                        'B');
$pdf->ImprimeQuestao(   '2',
                        'Segundo uma organização mundial de estudos ambientais, em 2025, duas de cada três pessoas viverão situações de carência de água, caso não haja mudanças no padrão atual de consumo do produto. Uma alternativa adequada e viável para prevenir a escassez, considerando-se a disponibilidade global, seria:',
                        '',
                        '',
                        'Desenvolver processos de reutilização da água.',
                        'Explorar leitos de água subterrânea.',
                        'Ampliar a oferta de água, captando-a em outros rios.',
                        'Captação de águas pluviais.',
                        'Importar água doce de outros países.',
                        'E');

$pdf->NomeMateria('Português');
$pdf->ImprimeQuestao(   '3',
                        'Intrudução ao assunto',
                        '1.jpg',
                        'De acordo com a imagem responda: Quanto é 1+1?',
                        '1',
                        '2',
                        '3',
                        '4',
                        '5',
                        'A');
$pdf->ImprimeQuestao(   '4',
                        'Dipirona sódica Medicamento Genérico Lei nº 9.787, de 1999 Solução oral (gotas) Forma Farmacêutica e Apresentações da Dipirona Sódica Gotas (solução oral) 500 mg/mL. Embalagens contendo 1 frasco conta-gotas com 10 ou 20 mL. USO ADULTO E PEDIÁTRICO Uso oral Composição da Dipirona Sódica Cada 1 mL de solução oral (20 go- tas) contém: Dipirona sódica ................500 mg Excipientes q.s.p.....................1 mL Excipientes: sorbitol 70 %, metabissulfato de sódio, edetato dissódico e água deionizada. Informações ao Paciente da Dipi-rona Sódica Ação esperada do medicamento Dipirona sódica é utilizada no tratamento das manifestações dolorosas e da febre. Os efeitos analgésico e antipirético podem ser esperados de 30 a 60 minutos após a administração e geralmente duram, aproximadamente, 4 horas. Cuidados de armazenamento Conservar o medicamento em temperatura ambiente (entre 15 °C e 30 °C). Proteger da luz. Prazo de validade Desde que observados os devidos cuidados de conservação, o prazo de validade de dipirona sódica é de 24 meses, contados a partir da data de fabricação impressa em sua embalagem externa. NÃO USE MEDICAMENTOS COM O PRAZO DE VALIDADE VENCIDO. Gravidez e lactação Informe ao seu médico a ocorrência de gravidez na vigência do tratamento ou após o seu término. Informe ao seu médico se está amamentando. Dipirona sódica não deve ser utilizada durante o primeiro e terceiro trimestres da gravidez e durante a lactação. Cuidados de administração Dipirona sódica não deve ser ad- ministrada em altas doses, ou por períodos prolongados, sem controle médico. Siga a orientação do seu médico, respeitando sempre os horários, as doses e a duração do tratamento. Interrupção do tratamento O tratamento pode ser interrompi- do a qualquer instante sem provocar danos ao paciente. Reações adversas Informe ao seu médico o aparecimento de reações desagradáveis, tais como: coceira, ardor, inchaço, bem como quaisquer outros sinais ou sintomas. Informe também caso você sinta dor ou qualquer anormalidade na boca ou garganta. TODO MEDICAMENTO DEVE SER MANTIDO FORA DO AL- CANCE DAS CRIANÇAS. Ingestão concomitante com outras substâncias Deve-se ter cautela quando da administração concomitante de dipirona sódica com ciclosporina. Não são conhecidas interações deste medicamento com alimentos e álcool. Entretanto, recomenda-se não ingerir bebidas alcoólicas durante o tratamento. Contraindicações e precauções O uso deste medicamento é contraindicado em caso de hipersensibilidade conhecida à dipirona só- dica e/ou demais componentes da formulação e/ou a outras pirazonas (Ex.: fenezona, propilenazona) e/ ou a pirazolidinas (Ex.: fenilbutazo-na, oxifembutazona), incluindo, por exemplo, caso anterior de agranulocitose em reação a um destes medicamentos. Informe o seu médico sobre qualquer medicamento que esteja usando, antes do início, ou durante o tratamento. Informe-o, também, caso você tenha asma ou outros problemas respiratórios. Durante o tratamento com dipirona sódica, pode-se observar uma coloração avermelhada na urina, que desaparece com a descontinuação do tratamento, em razão da excreção do ácido rubazônico. NÃO TOME REMÉDIO SEM O CONHECIMENTO DO SEU MÉDICO. PODE SER PERIGOSO PARA A SAÚDE.',
                        '',
                        'Disponível em: . Acesso em: 30 mar. 2014. Fragmento. Como se caracteriza a linguagem, no seu todo, presente no texto?',
                        'cuidada',
                        'oratória.',
                        'comum',
                        'familiar',
                        'popular',
                        'C');

$pdf->NomeMateria('História');
$pdf->ImprimeQuestao(   '5',
                        'Intrudução ao assunto',
                        '1.jpg',
                        'De acordo com a imagem responda: Quanto é 1+1?',
                        '1',
                        '2',
                        '3',
                        '4',
                        '5',
                        'A');
$pdf->ImprimeQuestao(   '6',
                        'Dipirona sódica Medicamento Genérico Lei nº 9.787, de 1999 Solução oral (gotas) Forma Farmacêutica e Apresentações da Dipirona Sódica Gotas (solução oral) 500 mg/mL. Embalagens contendo 1 frasco conta-gotas com 10 ou 20 mL. USO ADULTO E PEDIÁTRICO Uso oral Composição da Dipirona Sódica Cada 1 mL de solução oral (20 go- tas) contém: Dipirona sódica ................500 mg Excipientes q.s.p.....................1 mL Excipientes: sorbitol 70 %, metabissulfato de sódio, edetato dissódico e água deionizada. Informações ao Paciente da Dipi-rona Sódica Ação esperada do medicamento Dipirona sódica é utilizada no tratamento das manifestações dolorosas e da febre. Os efeitos analgésico e antipirético podem ser esperados de 30 a 60 minutos após a administração e geralmente duram, aproximadamente, 4 horas. Cuidados de armazenamento Conservar o medicamento em temperatura ambiente (entre 15 °C e 30 °C). Proteger da luz. Prazo de validade Desde que observados os devidos cuidados de conservação, o prazo de validade de dipirona sódica é de 24 meses, contados a partir da data de fabricação impressa em sua embalagem externa. NÃO USE MEDICAMENTOS COM O PRAZO DE VALIDADE VENCIDO. Gravidez e lactação Informe ao seu médico a ocorrência de gravidez na vigência do tratamento ou após o seu término. Informe ao seu médico se está amamentando. Dipirona sódica não deve ser utilizada durante o primeiro e terceiro trimestres da gravidez e durante a lactação. Cuidados de administração Dipirona sódica não deve ser ad- ministrada em altas doses, ou por períodos prolongados, sem controle médico. Siga a orientação do seu médico, respeitando sempre os horários, as doses e a duração do tratamento. Interrupção do tratamento O tratamento pode ser interrompi- do a qualquer instante sem provocar danos ao paciente. Reações adversas Informe ao seu médico o aparecimento de reações desagradáveis, tais como: coceira, ardor, inchaço, bem como quaisquer outros sinais ou sintomas. Informe também caso você sinta dor ou qualquer anormalidade na boca ou garganta. TODO MEDICAMENTO DEVE SER MANTIDO FORA DO AL- CANCE DAS CRIANÇAS. Ingestão concomitante com outras substâncias Deve-se ter cautela quando da administração concomitante de dipirona sódica com ciclosporina. Não são conhecidas interações deste medicamento com alimentos e álcool. Entretanto, recomenda-se não ingerir bebidas alcoólicas durante o tratamento. Contraindicações e precauções O uso deste medicamento é contraindicado em caso de hipersensibilidade conhecida à dipirona só- dica e/ou demais componentes da formulação e/ou a outras pirazonas (Ex.: fenezona, propilenazona) e/ ou a pirazolidinas (Ex.: fenilbutazo-na, oxifembutazona), incluindo, por exemplo, caso anterior de agranulocitose em reação a um destes medicamentos. Informe o seu médico sobre qualquer medicamento que esteja usando, antes do início, ou durante o tratamento. Informe-o, também, caso você tenha asma ou outros problemas respiratórios. Durante o tratamento com dipirona sódica, pode-se observar uma coloração avermelhada na urina, que desaparece com a descontinuação do tratamento, em razão da excreção do ácido rubazônico. NÃO TOME REMÉDIO SEM O CONHECIMENTO DO SEU MÉDICO. PODE SER PERIGOSO PARA A SAÚDE.',
                        '',
                        'Disponível em: . Acesso em: 30 mar. 2014. Fragmento. Como se caracteriza a linguagem, no seu todo, presente no texto?',
                        'cuidada',
                        'oratória.',
                        'comum',
                        'familiar',
                        'popular',
                        'C');

//Aluno 1 - Discursiva
$pdf->ProximoAluno('Bruno Henrique Woisa','001767','6ª Ano A');

$pdf->NomeMateria('Ciências');
$pdf->ImprimeQuestaoDiscursiva(     '1',
                                    'O tempo pretérito pluscuamperfecto de indicativo é um dos tempos compostos do espanhol formado com o verbo haber mais um participio - había cantado, había comido, había vivio- Qual é uso desse tempo verbal?',
                                    '1.jpg',
                                    'Disserte:',
                                    '5');

$pdf->ImprimeQuestaoDiscursiva(     '2',
                                    'No texto autora Carmen Bollousa mosta duas fazes do espanhol nos estados unidos, quais são essas fazes?',
                                    '',
                                    '',
                                    '3');

$pdf->ImprimeQuestaoDiscursiva(     '3',
                                    'O texto (lido acima) é dividido em duas partes, descreva qual é a ideia principal de cada uma dessas partes.',
                                    '',
                                    '',
                                    '1');

$pdf->ImprimeQuestaoDiscursiva(     '4',
                                    'Com base na leitura no texto, justifique o titulo ´´NuevaYork comienza a hablar de su hispanidad pasada, presente y futura´´.',
                                    '',
                                    '',
                                    '8');

$pdf->ImprimeQuestaoDiscursiva(     '5',
                                    'O tempo futuro é usado para quatro situações, cite três delas.',
                                    '',
                                    '',
                                    '2');

//Aluno 2 - Discursiva
$pdf->ProximoAluno('Guilherme B.','001060','6ª Ano A');

$pdf->NomeMateria('Ciências');
$pdf->ImprimeQuestaoDiscursiva(     '1',
                                    'O tempo pretérito pluscuamperfecto de indicativo é um dos tempos compostos do espanhol formado com o verbo haber mais um participio - había cantado, había comido, había vivio- Qual é uso desse tempo verbal?',
                                    '1.jpg',
                                    'Disserte:',
                                    '5');

$pdf->ImprimeQuestaoDiscursiva(     '2',
                                    'No texto autora Carmen Bollousa mosta duas fazes do espanhol nos estados unidos, quais são essas fazes?',
                                    '',
                                    '',
                                    '3');

$pdf->ImprimeQuestaoDiscursiva(     '3',
                                    'O texto (lido acima) é dividido em duas partes, descreva qual é a ideia principal de cada uma dessas partes.',
                                    '',
                                    '',
                                    '1');

$pdf->ImprimeQuestaoDiscursiva(     '4',
                                    'Com base na leitura no texto, justifique o titulo ´´NuevaYork comienza a hablar de su hispanidad pasada, presente y futura´´.',
                                    '',
                                    '',
                                    '8');

$pdf->ImprimeQuestaoDiscursiva(     '5',
                                    'O tempo futuro é usado para quatro situações, cite três delas.',
                                    '',
                                    '',
                                    '2');

/**
 * FINALIZANDO O DOCUMENTO
 **/
//A linha abaixo faz o último footer centralizar.
$pdf->AcceptPageBreak();

//A linha abaixo força o download do arquivo com o nome especificado
//$pdf->Output('nome.pdf', 'D');

//A linha abaixo gera o documento
$pdf->Output();
?>
