<?php
require('fpdf.php');

class PDF extends FPDF
{
    // Current column
    var $col = 0;
    // Ordinate of column start
    var $y0 = 15;

    /**
     * DEFININDO O HEADER
     **/
    function Header()
    {
        $this->SetFont('Arial','',8);
        $this->Cell(0,0,utf8_decode("Relatório gerado pelo MySiid's"),0,0,'C');
        $this->Ln(5);
    }

    /**
     * DEFININDO O FOOTER
     **/
    function Footer()
    {
        // Page footer
        $this->SetY(-15);
        $this->SetFont('Arial','I',8);
        $this->SetTextColor(128);
        $this->Cell(0,10,utf8_decode('Página '.$this->PageNo()),0,0,'C');
    }

    /**
     * FUNÇÃO QUE GERA O CABECALHO DA TABELA
     **/
    function CabTabela($data, $larguras)
    {
        $this->Ln(4);
        $c = 0;
        foreach($data as $col)
        {
            $this->SetFillColor(190);
            $this->Cell($larguras[$c],7,utf8_decode($col),1,0,'C',true);
            $c ++;
        }
        $this->Ln();
    }

    /**
     * FUNÇÃO QUE ADICIONA LINHA NA TABELA
     **/
    function LinhaTabela($data, $larguras)
    {
        $c = 0;
        foreach($data as $col)
        {
            $this->Cell($larguras[$c],6,utf8_decode($col),1);
            $c ++;
        }
        $this->Ln();
    }

    /**
     * FUNÇÃO QUE IMPRIME O NOME DA MATÉRIA
     **/
    function NomeLancamento($NomeLancamento)
    {
        $this->Ln(4);
        $this->SetFont('Arial','B',11);
        $this->SetFillColor(190);
        $this->MultiCell(190,5,utf8_decode($NomeLancamento),0,'C',1);
    }

    function QuebraPagina()
    {
        if($this->PageNo()%2 != 0)
        {
            $this->AddPage();
        }
        $this->AddPage();
    }

    /**
     * FUNÇÃO QUE IMPRIME O TITULO DO RELATORIO
     **/
    function titulo($turma, $titulo, $materia)
    {
        $this->AddPage();
        $this->SetFillColor(230);
        $this->SetFont('Arial','B',10);
        $this->MultiCell(190,5,utf8_decode($titulo),0,'C',1);
        $this->MultiCell(190,5,utf8_decode("Turma: ".$turma),0,'C',1);
        $this->MultiCell(190,5,utf8_decode($materia),0,'C',1);

        $this->Ln(4);
    }
}


/**
 * CRIA-SE O OBJ PDF() E SUAS CARACTERÍSTICAS
 **/
//Criando um novo obj
$pdf = new PDF();

//Dando o nome e autor ao documento (nome que será salvo ao fazer download)
$title = 'nome da avaliacao';
$pdf->SetTitle($title);
$pdf->SetAuthor("MySiid's");

//iniciando o relatorio
$pdf->titulo('6º Ano A', 'Relatório de Notas Completo', 'Matemática');

// Título das Colunas
$header = array('Matrícula', 'Aluno', 'Nota');
// Larguras das Colunas
$larguras = array('20', '145', '25');
// Dados das colunas
$data = array('001767', 'Bruno Henrique Woisa', '1');

$pdf->NomeLancamento('P1 - 6ª Ano A - 4ª Bimestre');
$pdf->CabTabela($header, $larguras);
$pdf->SetFont('Arial','',9);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->QuebraPagina();

$pdf->NomeLancamento('P2 - 6ª Ano A - 4ª Bimestre');
$pdf->CabTabela($header, $larguras);
$pdf->SetFont('Arial','',9);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);
$pdf->LinhaTabela($data, $larguras);


/**
 * FINALIZANDO O DOCUMENTO
 **/
//A linha abaixo faz o último footer centralizar.
$pdf->AcceptPageBreak();

//A linha abaixo força o download do arquivo com o nome especificado
//$pdf->Output('nome.pdf', 'D');

//A linha abaixo gera o documento
$pdf->Output();
?>
