<?php
require('fpdf.php');

class PDF extends FPDF
{
    // Current column
    var $col = 0;
    // Ordinate of column start
    var $y0 = 15;

    /**
     * DEFININDO O HEADER
     **/
    function Header()
    {
        $this->SetFont('Arial','',8);
        $this->Cell(0,0,utf8_decode("Relatório gerado pelo MySiid's"),0,0,'C');
        $this->Ln(5);
    }

    /**
     * DEFININDO O FOOTER
     **/
    function Footer()
    {
        // Page footer
        $this->SetY(-15);
        $this->SetFont('Arial','I',8);
        $this->SetTextColor(128);
        $this->Cell(0,10,utf8_decode('Página '.$this->PageNo()),0,0,'C');
    }

    /**
     * DEFININDO A POSIÇÃO DAS COLUNAS
     **/
    function SetCol($col)
    {
        // Set position at a given column
        $this->col = $col;
        $x = 10+$col*100;
        $this->SetLeftMargin($x);
        $this->SetX($x);
    }

    /**
     * DEFININDO A ACEITAÇÃO DE QUEBRA DE PÁGINA
     **/
    function AcceptPageBreak()
    {
        // Method accepting or not automatic page break
        if($this->col<1)
        {
            // Go to next column
            $this->SetCol($this->col+1);
            // Set ordinate to top
            $this->SetY($this->y0);
            // Keep on page
            return false;
        }
        else
        {
            // Go back to first column
            $this->SetCol(0);
            // Set ordinate to top
            $this->SetY($this->y0);
            // Page break
            return true;
        }
    }

    /**
     * FUNÇÃO QUE IMPRIME O NOME DO ALUNO
     **/
    function NomeAluno($NomeAluno)
    {
        $this->Ln(4);
        $this->SetFont('Arial','B',11);
        $this->SetFillColor(190);
        $this->MultiCell(90,5,utf8_decode($NomeAluno),0,'C',1);
    }

    /**
     * FUNÇÃO QUE IMPRIME UM ITEM NA LISTA
     **/
    function ImprimeItem($Materia, $MediaBimestral)
    {
        // Exibir Enunciado 1
        $this->SetFont('Arial','',10);
        if($MediaBimestral < 7)
        {
            $this->SetTextColor(220,50,50);
            $this->MultiCell(90,5,utf8_decode('****** '.$Materia.' = '.$MediaBimestral));    
            $this->SetTextColor(0);
        }
        else
        {
            $this->MultiCell(90,5,utf8_decode($Materia.' = '.$MediaBimestral));
        }
        
    }

    /**
     * FUNÇÃO QUE FAZ A QUEBRA DE PÁGINA E INICIA A PROVA DO ALUNO
     **/
    function titulo($turma, $titulo, $bimestre)
    {
        // Go back to first column
        $this->SetCol(0);

        //inserindo a página de verso antes de iniciar a avaliação de outro aluno
        if($this->PageNo()%2 != 0)
        {
            $this->AddPage();
        }
        $this->AddPage();

        $this->SetFillColor(230);
        $this->SetFont('Arial','B',10);
        $this->MultiCell(90,5,utf8_decode($titulo),0,'C',1);
        $this->MultiCell(90,5,utf8_decode("Turma: ".$turma),0,'C',1);
        $this->MultiCell(90,5,utf8_decode($bimestre."º Bimestre"),0,'C',1);

        $this->Ln(4);
    }
}


/**
 * CRIA-SE O OBJ PDF() E SUAS CARACTERÍSTICAS
 **/
//Criando um novo obj
$pdf = new PDF();

//Dando o nome e autor ao documento (nome que será salvo ao fazer download)
$title = 'nome da avaliacao';
$pdf->SetTitle($title);
$pdf->SetAuthor("MySiid's");

//iniciando o relatorio
$pdf->titulo('6º Ano A', 'Relatório de Notas Simplificado', '4');

$pdf->NomeAluno('Bruno Henrique Woisa');
$pdf->ImprimeItem('Matemática', '6');
$pdf->ImprimeItem('Português', '7');
$pdf->ImprimeItem('História', '5');
$pdf->ImprimeItem('Geografia', '8');
$pdf->ImprimeItem('Ciências', '9');
$pdf->ImprimeItem('Literatura', '3');
$pdf->ImprimeItem('Redação', '10');

$pdf->NomeAluno('Bruno Henrique Woisa');
$pdf->ImprimeItem('Matemática', '6');
$pdf->ImprimeItem('Português', '7');
$pdf->ImprimeItem('História', '5');
$pdf->ImprimeItem('Geografia', '8');
$pdf->ImprimeItem('Ciências', '9');
$pdf->ImprimeItem('Literatura', '3');
$pdf->ImprimeItem('Redação', '10');

$pdf->NomeAluno('Bruno Henrique Woisa');
$pdf->ImprimeItem('Matemática', '6');
$pdf->ImprimeItem('Português', '7');
$pdf->ImprimeItem('História', '5');
$pdf->ImprimeItem('Geografia', '8');
$pdf->ImprimeItem('Ciências', '9');
$pdf->ImprimeItem('Literatura', '3');
$pdf->ImprimeItem('Redação', '10');

/**
 * FINALIZANDO O DOCUMENTO
 **/
//A linha abaixo faz o último footer centralizar.
$pdf->AcceptPageBreak();

//A linha abaixo força o download do arquivo com o nome especificado
//$pdf->Output('nome.pdf', 'D');

//A linha abaixo gera o documento
$pdf->Output();
?>
